Introduction

Thank you very much for purchasing a zebNet software product and for having placed your trust in us.

To ensure correct and safe usage with a full understanding of this product's performance, please be sure to read through this documentation completely and store it in a safe location.

Unauthorized copying or transferral, in whole or in part, of this documentation is prohibited.

The contents of this documentation and the specifications of this product are subject to change without notice.

The documentation and the product have been prepared and tested as much as possible. If you find any misprint or error, please inform us by email at info@zebnet.co.uk.

zebNet Ltd assumes no responsibility for any direct or indirect loss or damage which may occur through use of this product, regardless of any failure to perform on the part of this product.

zebNet Ltd assumes no responsibility for any direct or indirect loss or damage which may occur with respect to any article made using this product.

zebNet® and MailShelf® are registered trademarks of zebNet Ltd. Other names and brands may be claimed as the property of others.

The content in this manual applies to:

  • MailShelf Essentials 2.0
  • MailShelf Client 2.0
  • MailShelf Pro 2.0
  • MailShelf Server 2.0

Not every described feature or option in this manual applies to every product edition. If a feature or option only applies to a specific product edition, it is marked accordingly.

Last revised: 04 December 2025


System Requirements

MailShelf runs fast and is light on system resources at the same time so you can even use it well on older systems.

Minimum system requirements

  • PC with 1 GHz or higher processor clock speed
  • 1 GB RAM
  • 1 GB of available hard disk space
  • Super VGA (800 x 600) or higher-resolution video adapter and monitor
  • Mouse or other pointing device
  • Administrator privileges on Microsoft Windows for installation
  • An active internet connection for activation

Recommended system requirements

  • PC with 1,5 GHz or higher processor clock speed
  • 2 GB RAM
  • 1 GB of available hard disk space
  • XGA (1024 x 768) or higher-resolution video adapter and monitor
  • Mouse or other pointing device
  • Administrator privileges on Microsoft Windows for installation
  • An active internet connection for activation

Supported operating systems

  • Windows 7 SP1 or higher
  • Windows 8.1
  • Windows 10, version 1809 or higher (including LTSC editions**)
  • Windows 11 (including LTSC editions**)
  • Windows Server 2008 R2 SP1 or higher*
  • Windows Server 2012*
  • Windows Server 2012 R2*
  • Windows Server 2016*
  • Windows Server 2019*
  • Windows Server 2022*
  • Windows Server 2025*

Additional software requirements

  • Microsoft .NET Framework 4.8

Note: Any additional software requirement is available completely for free and will automatically be installed during the installation of the application if it's not already present on your computer.

*Installation on a Windows Server based operating system requires either MailShelf Server or MailShelf Client.

**Installation on a Windows LTSC based operating system requires either MailShelf Pro, MailShelf Client or MailShelf Server. MailShelf Essentials is not supported on LTSC editions.


License Types

MailShelf is available in different license types for different types of users.

Single User License

Permits you to install, activate and use the software on one computer.

Multi-User License for up to 3 computers

Permits you to install, activate and use the software on up to 3 computers within one company or household.

Multi-User License for up to 5 computers

Permits you to install, activate and use the software on up to 5 computers within one company or household.

Multi-User License for up to 10 computers

Permits you to install, activate and use the software on up to 10 computers within one company or household.

Single Server License with up to 10 users

Permits you to install, activate and use the software on one server with up to 10 network users. Users can use MailShelf Client in order to connect to the server. No further license is required in order to use MailShelf Client.

Single Server License with up to 25 users

Permits you to install, activate and use the software on one server with up to 25 network users. Users can use MailShelf Client in order to connect to the server. No further license is required in order to use MailShelf Client.

Single Server License with up to 50 users

Permits you to install, activate and use the software on one server with up to 50 network users. Users can use MailShelf Client in order to connect to the server. No further license is required in order to use MailShelf Client.

Single Server License with up to 100 users

Permits you to install, activate and use the software on one server with up to 100 network users. Users can use MailShelf Client in order to connect to the server. No further license is required in order to use MailShelf Client.

Education License

Educational licenses are available exclusively to students, teachers, and academic organizations under a specific agreement. Commercial use of these licenses is strictly prohibited.

Enterprise Volume License

Permits you to install, activate and use the software within one company for the specified number of workstations as specified in the Enterprise Volume License Agreement.

Not For Resale License (NFR)

Not For Resale (NFR) licenses are issued to partners or resellers for non-commercial use and to authors, bloggers, journalists or other writers who have a significant reach. Not For Resale (NFR) licenses can be used to review and evaluate the software only. Not For Resale (NFR) licenses are a special kind of license that will be issued for free, such a license cannot be purchased.

Evaluation License

Evaluation licenses are issued for free for a certain time period and can be used to test and evaluate the software only. You can use the whole features of the program for the given time period to ensure it serves your needs before purchasing it. Evaluation licenses can only be used if an active internet connection is available.

Single server licenses, including the specified users, are only available for MailShelf Server. The number of specified users specifies the maximum number of users that can be created in MailShelf Server, which can be connected to the server using MailShelf Client. If necessary, the number of users can be increased by adding client access licenses.


Client Access Licenses

With Client Access Licenses (CALs), you can increase the number of allowed network users individually at any time and as required.

Client access licenses for MailShelf Server can be purchased directly from zebNet or from zebNet partners, as well as from selected retailers. If you need further information, please contact us.

The following client access licenses can be purchased for MailShelf Server:

Client Access License for up to 5 users

Allows and enables you to add up to 5 additional users to your MailShelf Server installation.

Client Access License for up to 10 users

Allows and enables you to add up to 10 additional users to your MailShelf Server installation.

Client Access License for up to 25 users

Allows and enables you to add up to 25 additional users to your MailShelf Server installation.

Client Access License for up to 50 users

Allows and enables you to add up to 50 additional users to your MailShelf Server installation.

Client Access License for up to 75 users

Allows and enables you to add up to 75 additional users to your MailShelf Server installation.

Client Access License for up to 100 users

Allows and enables you to add up to 100 additional users to your MailShelf Server installation.

Client Access License for up to 250 users

Allows and enables you to add up to 250 additional users to your MailShelf Server installation.

Client Access License for up to 500 users

Allows and enables you to add up to 500 additional users to your MailShelf Server installation.


End-User License Agreement

PLEASE READ THE TERMS AND CONDITIONS OF THIS LICENSE AGREEMENT CAREFULLY BEFORE INSTALLING ANY ZEBNET SOFTWARE PRODUCT.

zebNet’s End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and zebNet Ltd for the zebNet Ltd software product(s) identified above which may include associated software components, media, printed materials, and "online" or electronic documentation ("software product"). By installing, copying, or otherwise using the software product, you agree to be bound by the terms of this EULA. This license agreement represents the entire agreement concerning the program between you and zebNet Ltd, (referred to as "licenser"), and it supersedes any prior proposal, representation, or understanding between the parties. If you do not agree to the terms of this EULA, do not install or use the software product. The software product is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The software product is licensed, not sold.

1. GRANT OF LICENSE.

The software product is licensed as follows:

(a) Installation and Use.

zebNet Ltd grants you the right to install and use copies of the software product on a specific number of computers, as identified at the time of purchase. The license granted by this EULA is non-exclusive.

(b) Backup Copies.

You may also make copies of the software product as may be necessary for backup and archival purposes.

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.

(a) Maintenance of Copyright Notices.

You must not remove or alter any copyright notices on any and all copies of the software product.

(b) Distribution.

You may not distribute registered copies of the software product to third parties. Evaluation versions available for download from zebNet's websites may be freely distributed.

(c) Prohibition on Reverse Engineering, Decompilation, and Disassembly.

You may not reverse engineer, decompile, or disassemble the software product, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

(d) Rental.

You may not rent, lease, or lend the software product.

(e) Transfer.

You may not sell, assign, or transfer the software product or the License granted by this EULA without prior written consent of zebNet Ltd.

(f) Support Services.

zebNet Ltd may provide you as part of a separate agreement with support services related to the software product ("Support Services") either free of charge or for a fee. However, there is no legal claim to receive support services. Any supplemental software code provided to you as part of the Support Services shall be considered part of the software product and subject to the terms and conditions of this EULA.

(g) Compliance with Applicable Laws.

You must comply with all applicable laws regarding use of the software product.

3. ACTIVATION

zebNet Ltd has included features in the software product to prevent unlicensed use of the software product. You agree that zebNet Ltd may do so. In particular, use of the full version of the software product requires that you activate the software product through the Internet.

4. SOFTWARE UPDATES

This EULA grants you the right to use the version of the software product which was available at the date of purchase. All subsequent versions that are released after the date of purchase are only provided as part of a separate agreement either free of charge or for a fee. Once a newer version, update, or upgrade of the software product has been released, zebNet Ltd may cease support for prior versions, without any notice to you. There is no legal claim to receive versions that are released after the date of purchase.

5. TERMINATION

Without prejudice to any other rights, zebNet Ltd may terminate this EULA without any right of refund if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the software product in your possession.

6. COPYRIGHT

All title, including but not limited to copyrights, in and to the software product and any copies thereof are owned by zebNet Ltd or its suppliers. All title and intellectual property rights in and to the content which may be accessed through use of the software product is the property of the respective content owner and may be protected by applicable copyright or other intellectual property laws and treaties. This EULA grants you no rights to use such content. All rights not expressly granted are reserved by zebNet Ltd.

7. NO WARRANTIES

zebNet Ltd expressly disclaims any warranty for the software product. The software product is provided 'As Is' without any express or implied warranty of any kind, including but not limited to any warranties of merchantability, noninfringement, or fitness of a particular purpose. zebNet Ltd does not warrant or assume responsibility for the accuracy or completeness of any information, text, graphics, links or other items contained within the software product. zebNet Ltd makes no warranties respecting any harm that may be caused by the transmission of a computer virus, worm, time bomb, logic bomb, or other such computer program. zebNet Ltd further expressly disclaims any warranty or representation to Authorized Users or to any third party.

8. LIMITATION OF LIABILITY

In no event shall zebNet Ltd be liable for any damages (including, without limitation, lost profits, business interruption, or lost information) rising out of 'Authorized Users' use of or inability to use the software product, even if zebNet Ltd has been advised of the possibility of such damages. In no event will zebNet Ltd be liable for loss of data or for indirect, special, incidental, consequential (including lost profit), or other damages based in contract, tort or otherwise. zebNet Ltd shall have no liability with respect to the content of the software product or any part thereof, including but not limited to errors or omissions contained therein, libel, infringements of rights of publicity, privacy, trademark rights, business interruption, personal injury, loss of privacy, moral rights or the disclosure of confidential information.

9. GOVERNING LAW

If you acquired the software product in the European Union, this EULA is governed by the laws of England. If the software product was acquired outside the European Union, then local law may apply. The terms of the UN Convention on Contracts for the International Sales of Goods are agreed by all parties to be excluded from this EULA.

10. SEVERABILITY

If any of the terms of this EULA are determined by any competent authority to be invalid, unlawful or unenforceable to any extent, such term, condition or provision will to that extent be severed from the remaining terms, conditions and provisions which will continue to be valid to the fullest extent permitted by law.


Technical Support

zebNet provides technical support and application updates (minor & major updates) at no charge to customers who have a valid and unexpired Update & Support Subscription.

An initial Update & Support Subscription is already included in your purchase and this subscription is automatically being activated when you activate your product for the very first time.

The Update & Support Subscription that's already included in the purchase has a period of normally one year, but depending on the license type and/or individual agreement between you and zebNet, there might be deviations . For more details, please refer to the relevant agreement.

If you would like to continue to receive technical support and application updates for the software product after the expiry date of the Update & Support Subscription, the Update & Support Subscription must be renewed before the expiration date. Once the Update & Support Subscription has expired, it can not be renewed.

Please click here to learn more about the Update & Support Subscription.

Most issues can be resolved by reading this documentation and by reading the articles that are available in our knowledge base.

Please make sure you have read at least the relevant section of this documentation and that you have checked our knowledge base for solutions to commonly asked questions before contacting zebNet technical support.

We will not be able to respond to any support requests if the answer has already been described in a section of this documentation or in an article in our knowledge base.

Website

https://www.zebnet.co.uk

Knowledge Base

https://kb.zebnet.co.uk

Help Desk for Technical Support

https://support.zebnet.co.uk

Please note: We can only provide support via our Help Desk and cannot provide support by direct email. Please do not use our general contact form or any of our regular email addresses for technical support requests. If you do so, your technical support request will not be directed to the correct person, and you likely will not receive an answer. Only use our Help Desk for technical support options to ensure your request reaches the right person.

The following support options are available to you through our Help Desk:

  • Ticket Support
  • Live Chat Support
  • Phone Support
  • Remote Support
  • On-Site Support


Update & Support Subscription

The Update & Support Subscription ensures that you receive free application updates for the purchased software product during the validity period of the subscription. In addition, it also ensures that you can always contact technical support whenever necessary.

By purchasing a zebNet software product, you automatically have an Update & Support Subscription of normally one year and is valid for the respective software product.

Answers to frequently asked questions about Update & Support Subscriptions can be found below:

Why do I need an Update & Support Subscription at all?

The Update & Support Subscription allows us to provide you free application updates during the validity period. In addition, you can always contact the technical support team, who will provide you with advice and assistance during the validity period.

Is the software product only a so-called software subscription?

No, the actual software product can continue to be used with the described functionality, even after the Update & Support Subscription has expired and without any additional costs. Your software license is a permanent software license which does not expire. Therefore, the Update & Support Subscription is not required to run the software.

Will the Update & Support Subscription automatically be renewed?

No, it won't be renewed automatically. If necessary, you can renew it manually but there is absolutely no obligation to renew it.

Can I renew the Update & Support Subscription after it has already expired?

Unfortunately this is not possible. If you still wish to receive technical support and application updates for the respective software product after expiration of the validity period, the Update & Support Subscription must be renewed before the expiration date.

Will I lose my remaining time when I renew the Update & Support Subscription prematurely?

No, of course not. No matter when you choose to renew during the validity period, your remaining time is not lost, but is extended with the renewal.

How much does the renewal of the Update & Support Subscription cost?

The renewal of the Update & Support Subscription for another year can be purchased for only 40% of the list price of your original software license.

When will my Update & Support Subscription actually expire?

You can find the expiration date of your Update & Support Subscription directly in the software product. Just navigate to the file menu "Additional Options" -> "About". A new window will open where you can select the "Technical Support" tab. In the lower section, you will now find the expiration date. Alternatively, you can also view the expiration date via your customer account at https://account.zebnet.co.uk. However, the software product must be registered in your customer account.

How do I renew the Update & Support Subscription?

The Update & Support Subscription can be renewed directly via the software product. Just navigate to the file menu "Additional Options" -> "About". A new window will open where you can select the "Technical Support" tab. In the lower section, you will find the expiration date, just click on "Renew" which then opens the Update & Support Subscription Renewal Wizard where you can renew the subscription. Alternatively, you can also renew it via your customer account at https://account.zebnet.co.uk. However, the software product must be registered in your customer account.

I do not want to renew the Update & Support Subscription, now what?

This is no problem for the further operation of the software because the software license is a permanent license. If you do not want to renew the Update & Support Subscription, you do not need to do anything because it expires automatically after the validity period and won't be renewed automatically. However, please note that we will not be able to provide you with free application updates after the expiration date and you will not be able to contact our technical support.


Third Party Software Notice

Third party code may be provided with the Software and/or Service. The license terms for such third-parties are detailed below in this file.

Components by license:

The Microsoft.Web.WebView2 license is applicable to:

WebView2

The Apache-2.0 license is applicable to:

DnsClient.NET

Google APIs Client Library for .NET

The MIT License (MIT) is applicable to:

Bouncy Castle

Task Scheduler Managed Wrapper

AlphaFS

Microsoft Authentication Library (MSAL) for .NET

Exchange Web Services Managed API

WindowsAPICodePack

MySQL Connector for .NET

Nager.PublicSuffix (PSL)

NetOffice

Json.NET

ScintillaNET

Microsoft Public License (Ms-PL) is applicable to:

DotNetZip

XstReader.Api

New BSD License (BSD) is applicable to:

SKGL

SQLite Is Public Domain

===================================================

The following license applies to WebView2:

Microsoft.Web.WebView2

Copyright 2020 Microsoft Corporation

All rights reserved.

Copyright (C) Microsoft Corporation. All rights reserved.

Redistribution and use in source and binary forms, with or without

modification, are permitted provided that the following conditions are

met:

* Redistributions of source code must retain the above copyright

notice, this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above

copyright notice, this list of conditions and the following disclaimer

in the documentation and/or other materials provided with the

distribution.

* The name of Microsoft Corporation, or the names of its contributors

may not be used to endorse or promote products derived from this

software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS

"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT

LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR

A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT

OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,

SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT

LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,

DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY

THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT

(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE

OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

===================================================

The following license applies to DnsClient.NET:

DnsClient.NET

© 2025 by Michael Conrad.

All rights reserved. - MichaCo.net

Google APIs Client Library for .NET

Copyright 2021 Google LLC

Apache License

Version 2.0, January 2004

http://www.apache.org/licenses/

TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

1. Definitions.

"License" shall mean the terms and conditions for use, reproduction,

and distribution as defined by Sections 1 through 9 of this document.

"Licensor" shall mean the copyright owner or entity authorized by

the copyright owner that is granting the License.

"Legal Entity" shall mean the union of the acting entity and all

other entities that control, are controlled by, or are under common

control with that entity. For the purposes of this definition,

"control" means (i) the power, direct or indirect, to cause the

direction or management of such entity, whether by contract or

otherwise, or (ii) ownership of fifty percent (50%) or more of the

outstanding shares, or (iii) beneficial ownership of such entity.

"You" (or "Your") shall mean an individual or Legal Entity

exercising permissions granted by this License.

"Source" form shall mean the preferred form for making modifications,

including but not limited to software source code, documentation

source, and configuration files.

"Object" form shall mean any form resulting from mechanical

transformation or translation of a Source form, including but

not limited to compiled object code, generated documentation,

and conversions to other media types.

"Work" shall mean the work of authorship, whether in Source or

Object form, made available under the License, as indicated by a

copyright notice that is included in or attached to the work

(an example is provided in the Appendix below).

"Derivative Works" shall mean any work, whether in Source or Object

form, that is based on (or derived from) the Work and for which the

editorial revisions, annotations, elaborations, or other modifications

represent, as a whole, an original work of authorship. For the purposes

of this License, Derivative Works shall not include works that remain

separable from, or merely link (or bind by name) to the interfaces of,

the Work and Derivative Works thereof.

"Contribution" shall mean any work of authorship, including

the original version of the Work and any modifications or additions

to that Work or Derivative Works thereof, that is intentionally

submitted to Licensor for inclusion in the Work by the copyright owner

or by an individual or Legal Entity authorized to submit on behalf of

the copyright owner. For the purposes of this definition, "submitted"

means any form of electronic, verbal, or written communication sent

to the Licensor or its representatives, including but not limited to

communication on electronic mailing lists, source code control systems,

and issue tracking systems that are managed by, or on behalf of, the

Licensor for the purpose of discussing and improving the Work, but

excluding communication that is conspicuously marked or otherwise

designated in writing by the copyright owner as "Not a Contribution."

"Contributor" shall mean Licensor and any individual or Legal Entity

on behalf of whom a Contribution has been received by Licensor and

subsequently incorporated within the Work.

2. Grant of Copyright License. Subject to the terms and conditions of

this License, each Contributor hereby grants to You a perpetual,

worldwide, non-exclusive, no-charge, royalty-free, irrevocable

copyright license to reproduce, prepare Derivative Works of,

publicly display, publicly perform, sublicense, and distribute the

Work and such Derivative Works in Source or Object form.

3. Grant of Patent License. Subject to the terms and conditions of

this License, each Contributor hereby grants to You a perpetual,

worldwide, non-exclusive, no-charge, royalty-free, irrevocable

(except as stated in this section) patent license to make, have made,

use, offer to sell, sell, import, and otherwise transfer the Work,

where such license applies only to those patent claims licensable

by such Contributor that are necessarily infringed by their

Contribution(s) alone or by combination of their Contribution(s)

with the Work to which such Contribution(s) was submitted. If You

institute patent litigation against any entity (including a

cross-claim or counterclaim in a lawsuit) alleging that the Work

or a Contribution incorporated within the Work constitutes direct

or contributory patent infringement, then any patent licenses

granted to You under this License for that Work shall terminate

as of the date such litigation is filed.

4. Redistribution. You may reproduce and distribute copies of the

Work or Derivative Works thereof in any medium, with or without

modifications, and in Source or Object form, provided that You

meet the following conditions:

(a) You must give any other recipients of the Work or

Derivative Works a copy of this License; and

(b) You must cause any modified files to carry prominent notices

stating that You changed the files; and

(c) You must retain, in the Source form of any Derivative Works

that You distribute, all copyright, patent, trademark, and

attribution notices from the Source form of the Work,

excluding those notices that do not pertain to any part of

the Derivative Works; and

(d) If the Work includes a "NOTICE" text file as part of its

distribution, then any Derivative Works that You distribute must

include a readable copy of the attribution notices contained

within such NOTICE file, excluding those notices that do not

pertain to any part of the Derivative Works, in at least one

of the following places: within a NOTICE text file distributed

as part of the Derivative Works; within the Source form or

documentation, if provided along with the Derivative Works; or,

within a display generated by the Derivative Works, if and

wherever such third-party notices normally appear. The contents

of the NOTICE file are for informational purposes only and

do not modify the License. You may add Your own attribution

notices within Derivative Works that You distribute, alongside

or as an addendum to the NOTICE text from the Work, provided

that such additional attribution notices cannot be construed

as modifying the License.

You may add Your own copyright statement to Your modifications and

may provide additional or different license terms and conditions

for use, reproduction, or distribution of Your modifications, or

for any such Derivative Works as a whole, provided Your use,

reproduction, and distribution of the Work otherwise complies with

the conditions stated in this License.

5. Submission of Contributions. Unless You explicitly state otherwise,

any Contribution intentionally submitted for inclusion in the Work

by You to the Licensor shall be under the terms and conditions of

this License, without any additional terms or conditions.

Notwithstanding the above, nothing herein shall supersede or modify

the terms of any separate license agreement you may have executed

with Licensor regarding such Contributions.

6. Trademarks. This License does not grant permission to use the trade

names, trademarks, service marks, or product names of the Licensor,

except as required for reasonable and customary use in describing the

origin of the Work and reproducing the content of the NOTICE file.

7. Disclaimer of Warranty. Unless required by applicable law or

agreed to in writing, Licensor provides the Work (and each

Contributor provides its Contributions) on an "AS IS" BASIS,

WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or

implied, including, without limitation, any warranties or conditions

of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A

PARTICULAR PURPOSE. You are solely responsible for determining the

appropriateness of using or redistributing the Work and assume any

risks associated with Your exercise of permissions under this License.

8. Limitation of Liability. In no event and under no legal theory,

whether in tort (including negligence), contract, or otherwise,

unless required by applicable law (such as deliberate and grossly

negligent acts) or agreed to in writing, shall any Contributor be

liable to You for damages, including any direct, indirect, special,

incidental, or consequential damages of any character arising as a

result of this License or out of the use or inability to use the

Work (including but not limited to damages for loss of goodwill,

work stoppage, computer failure or malfunction, or any and all

other commercial damages or losses), even if such Contributor

has been advised of the possibility of such damages.

9. Accepting Warranty or Additional Liability. While redistributing

the Work or Derivative Works thereof, You may choose to offer,

and charge a fee for, acceptance of support, warranty, indemnity,

or other liability obligations and/or rights consistent with this

License. However, in accepting such obligations, You may act only

on Your own behalf and on Your sole responsibility, not on behalf

of any other Contributor, and only if You agree to indemnify,

defend, and hold each Contributor harmless for any liability

incurred by, or claims asserted against, such Contributor by reason

of your accepting any such warranty or additional liability.

END OF TERMS AND CONDITIONS

APPENDIX: How to apply the Apache License to your work.

To apply the Apache License to your work, attach the following

boilerplate notice, with the fields enclosed by brackets "[]"

replaced with your own identifying information. (Don't include

the brackets!) The text should be enclosed in the appropriate

comment syntax for the file format. We also recommend that a

file or class name and description of purpose be included on the

same "printed page" as the copyright notice for easier

identification within third-party archives.

Copyright [yyyy] [name of copyright owner]

Licensed under the Apache License, Version 2.0 (the "License");

you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software

distributed under the License is distributed on an "AS IS" BASIS,

WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

See the License for the specific language governing permissions and

limitations under the License.

===================================================

The following license applies to Bouncy Castle, Task Scheduler Managed Wrapper, AlphaFS, Microsoft Authentication Library (MSAL) for .NET, Exchange Web Services Managed API, WindowsAPICodePack, MySQL Connector for .NET, Nager.PublicSuffix (PSL), NetOffice, Json.NET, ScintillaNET:

Bouncy Castle

Copyright (c) 2000 - 2023 The Legion of the Bouncy Castle Inc. (https://www.bouncycastle.org)

Task Scheduler Managed Wrapper

Copyright (c) 2003-2010 David Hall

All rights reserved.

AlphaFS

Copyright (c) 2008-2018 Peter Palotas, Jeffrey Jangli, Alexandr Normuradov

All rights reserved.

Microsoft Authentication Library (MSAL) for .NET

Copyright Microsoft Corporation

All rights reserved

Exchange Web Services Managed API

Copyright (c) Microsoft Corporation

All rights reserved.

WindowsAPICodePack

Copyright (c) 2009 - 2010 Microsoft Corporation

All rights reserved.

MySQL Connector for .NET

Copyright 2016 - 2024 Bradley Grainger

All rights reserved.

Nager.PublicSuffix (PSL)

Copyright (c) 2016 nager.at

All rights reserved.

NetOffice

Copyright © 2011-2018 Sebastian Lange, Copyright © 2015-2022 Jozef Izso

All rights reserved.

Json.NET

Copyright (c) 2007 James Newton-King

All rights reserved.

ScintillaNET

Copyright (c) 2016, Jacob Slusser, https://github.com/jacobslusser

All rights reserved.

The MIT License (MIT)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

===================================================

The following license applies to DotNetZip, XstReader.Api :

DotNetZip

Copyright (c) 2006-2010 Dino Chiesa

All rights reserved.

XstReader.Api

Copyright (c) 2016, Dijji; 2021, iluvadev

All rights reserved.

Microsoft Public License (Ms-PL)

This license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.

1. Definitions

The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.

A "contribution" is the original software, or any additions or changes to the software.

A "contributor" is any person that distributes its contribution under this license.

"Licensed patents" are a contributor's patent claims that read directly on its contribution.

2. Grant of Rights

(A) Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.

(B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.

3. Conditions and Limitations

(A) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.

(B) If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.

(C) If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.

(D) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.

(E) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.

===================================================

The following license applies to SKGL:

Copyright (c) 2011-2012, Artem Los

All rights reserved.

New BSD License (BSD)

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

===================================================

SQLite Is Public Domain

All of the code and documentation in SQLite has been dedicated to the public domain by the authors. All code authors, and representatives of the companies they work for, have signed affidavits dedicating their contributions to the public domain and originals of those signed affidavits are stored in a firesafe at the main offices of Hwaci. Anyone is free to copy, modify, publish, use, compile, sell, or distribute the original SQLite code, either in source code form or as a compiled binary, for any purpose, commercial or non-commercial, and by any means.

The previous paragraph applies to the deliverable code and documentation in SQLite - those parts of the SQLite library that you actually bundle and ship with a larger application. Some scripts used as part of the build process (for example the "configure" scripts generated by autoconf) might fall under other open-source licenses. Nothing from these build scripts ever reaches the final deliverable SQLite library, however, and so the licenses associated with those scripts should not be a factor in assessing your rights to copy and use the SQLite library.

All of the deliverable code in SQLite has been written from scratch. No code has been taken from other projects or from the open internet. Every line of code can be traced back to its original author, and all of those authors have public domain dedications on file. So the SQLite code base is clean and is uncontaminated with licensed code from other projects.

Obtaining An License To Use SQLite

Even though SQLite is in the public domain and does not require a license, some users want to obtain a license anyway. Some reasons for obtaining a license include:

Your company desires warranty of title and/or indemnity against claims of copyright infringement.

You are using SQLite in a jurisdiction that does not recognize the public domain.

You are using SQLite in a jurisdiction that does not recognize the right of an author to dedicate their work to the public domain.

You want to hold a tangible legal document as evidence that you have the legal right to use and distribute SQLite.

Your legal department tells you that you have to purchase a license.

If you feel like you really need to purchase a license for SQLite, Hwaci, the company that employs all the developers of SQLite, will sell you one. All proceeds from the sale of SQLite licenses are used to fund continuing improvement and support of SQLite.

Contributed Code

In order to keep SQLite completely free and unencumbered by copyright, all new contributors to the SQLite code base are asked to dedicate their contributions to the public domain. If you want to send a patch or enhancement for possible inclusion in the SQLite source tree, please accompany the patch with the following statement:

The author or authors of this code dedicate any and all copyright interest in this code to the public domain. We make this dedication for the benefit of the public at large and to the detriment of our heirs and successors. We intend this dedication to be an overt act of relinquishment in perpetuity of all present and future rights to this code under copyright law.

We are not able to accept patches or changes to SQLite that are not accompanied by a statement such as the above. In addition, if you make changes or enhancements as an employee, then a simple statement such as the above is insufficient. You must also send by surface mail a copyright release signed by a company officer. A signed original of the copyright release should be mailed to:

Hwaci

6200 Maple Cove Lane

Charlotte, NC 28269

USA

A template copyright release is available in PDF or HTML. You can use this release to make future changes.


Troubleshooting

Most recent known bugs or troubleshooting information are publicity available and accessible free of charge through our Knowledge Database but we also list the most important ones here as offline reference.

Displaying Emojis in the Archive when running Windows 7

When using MailShelf together with Windows 7, any emojis present in the archive may not be displayed. This applies to all emojis in an email, regardless of whether they are in the subject of the email, sender name, or the actual email body. This is due to the system font used by Windows 7, which, because of its age, does not yet support emojis. To resolve this, you can use a different system font in Windows 7 that does support emojis. However, this behavior can also be ignored entirely, as it is purely cosmetic and has absolutely no impact on the functionality of MailShelf.


Version History

The latest version history for zebNet MailShelf v2 is shown below:

04/12/2025 - Version 2.0.2.0

  • New major release as successor to zebNet MailShelf, Version 1.0


Trial Limitations

The trial version of MailShelf has some limitations compared to the full version which are listed below. A trial version can only be used to try the software before purchasing it and is not intended to use it productively. Any trial limitation is gone after entering a full version product key. Note that it is not possible to get more than one trial period.

Popup on startup

A popup welcomes you every time you start MailShelf and displays the expiry date of your trial period.

Expires after 30 days

The trial version of MailShelf can only be used for up to 30 days before it automatically expires. After these 30 days, you are not able to start another trial but you are required to purchase a full version license if you wish to continue use MailShelf.

Internet connection required

The trial version can only used with an active internet connection. You are not able to start the trial version if you are not connected to the internet.

Other restrictions

XXX.


Installation

Installation of MailShelf is easy and takes just a few moments. Just follow these 5 simple steps to install MailShelf on your computer.

  1. Run the zebNet Installation Wizard by clicking on the installation file.
  2. Click the "Next" button on the welcome screen.
  3. Read and accept the terms of the license agreement, then click "Next".
  4. At the choose features screen, you should just click "Install". You can choose another install location, but we recommend that you choose the default install location.
  5. After a few moments, the installation is done and you can click "Finish" to exit the zebNet Installation Wizard.

To start the installed product after installation, click the start menu button, select "All Programs" and click on on the product name.

If you are using Microsoft Windows 8.1, Windows Server 2012 or Windows Server 2012 R2 you will have to go to the Start Screen in order to find the application shortcut.

In addition, there will also be placed a shortcut to the program on your personal Desktop for easily starting the program.

Please note that it is very important to carefully read the license agreement since this is the legal agreement between you and us.


Uninstallation

Should you wish to uninstall MailShelf, simply follow the steps below:

For users of Windows 10, Windows 11, Windows Server 2016/2019/2022 and Windows Server 2025:

  1. Click the right mouse button on the Start menu and select "Apps & Features".
  2. Scroll down to find the program entry.
  3. Click the program entry in the list of programs to select it.
  4. Click "Uninstall" and follow the instructions.

For users of Windows 8.1, Windows Server 2012 and Windows Server 2012 R2:

  1. Open the Charms Bar and select "Settings".
  2. Click "Control Panel" from the settings menu to open the Control Panel.
  3. In the Control Panel, click "Uninstall a program" (located under Programs).
  4. Click the program entry in the list of programs to select it.
  5. Click "Uninstall" and follow the instructions.

For users of Windows 7 and Windows Server 2008 R2:

  1. Click "Control Panel" from the Start menu to open the Control Panel.
  2. In the Control Panel, click "Uninstall" a program (located under Programs).
  3. Click the program entry in the list of programs to select it.
  4. Click "Uninstall" and follow the instructions.

The uninstall procedure performs the following steps:

  1. Verifies that it is safe to uninstall.
  2. Deletes files in the program folder if they were installed by this version of the program.
  3. Removes any icons, desktop shortcuts and start menu entries.
  4. Removes the program entry from the registry.


What is activation for?

Product activation helps us to ensure you are using a genuine copy of the purchased zebNet software product and that your license is not already in use.

Activation is the process by which zebNet validates that your software and license are genuine and being used as allowed by your purchased license. It is intended to protect both your rights as a consumer and zebNet's rights as a software developer.

When you license a software product from zebNet, you are issued a product key from zebNet that represents your license to use that software. Activation protects you by ensuring that you have licensed a genuine zebNet product rather than a counterfeit. Activation protects zebNet by ensuring that our software is used in accordance with a purchased license.

You may not be able to use your zebNet software product if it is not activated.


How to activate your license?

To use your copy of the software product, you will need to activate it via the internet. Please ensure that you are connected to the internet and follow these simple steps to activate your zebNet software product.

  1. Start the zebNet software product.
  2. Enter your personal product key in the appropriate field.
  3. After entering your product key, click "Activate".

That's all. Your copy of the zebNet software product will be activated immediately and it starts right now so that you are able to use your copy of the zebNet software product from now on.

Please note that depending on your purchased license, your product key might have an activation limit. This means you cannot activate your product key unlimited times but only the allowed count that you have purchased. Therefore, please bear in mind that you have to deactivate your license on your current machine before you can activate it on another machine.

If you are unable to deactivate your license on your computer, you can also deactivate your license directly in your account at https://account.zebnet.co.uk

After activating the application, your license needs to be refreshed at least every 30 days in order ensure that you are continuing using a legitimate product. Refreshing your license is an automatic process that doesn't need any interaction from your side and automatically happens in the background. No personal information is being transmitted while refreshing your license.


How can I find my license?

If you placed your order directly with zebNet or with one of its partners, your product key will be sent to you by email to the email address you have provided while placing your order.

If you purchased a retail product, then the product key is on a sticker or on a license certificate located within the CD/DVD or USB flash drive holder of the product's retail box.

Your 20-character product key looks like similar to this:

ABCDE-FGHIJ-KLMNO-PQRST

It's recommended to register your product for free in your account at https://account.zebnet.co.uk in order to be able to manage your license and to retrieve it at any time free of charge.


First Start

When starting MailShelf for the first time, the Getting Started Wizard welcomes you, which allows you to set up MailShelf quickly and easily for the intended use. MailShelf can be used in a Single-User Environment as well as in a Multi-User Environment.

By clicking the Cancel button in the Getting Started Welcome screen, MailShelf will be configured to be used in a Single-User Environment. By clicking the Next button, you can choose between both modes and configure the chosen environment.

Single-User Environment (Default)

The Single-User Environment allows you to use MailShelf all alone as a single user. This mode requires no further configuration, so you can use MailShelf directly and without any additional settings as a single user. The Single-User Environment is not multi-client capable so that no additional users can be added and no individual user privileges can be set.

Data Location

The data location determines where your MailShelf archive is being stored. You can use the default location or a custom location.

Default Data Location

Select this option if you wish to store your MailShelf archive at the default location. The default location is %AppData%\zebNet\MailShelf Server\2.0\Data.

Custom Data Location

Select this option if you wish to store your MailShelf archive at a custom location. You can select any local path on your computer for storing your archive but you cannot select network paths, network shares or network drives. If you need to store your archive at a network destination, you will need to set up MailShelf in a Multi-User environment even if you are the only person that will use MailShelf.

When operating MailShelf in the Single-User Environment, you are always the administrator. Furthermore, the archive database can not be stored on the network in the Single-User Environment, but only on your local drives. In the Single-User Environment, only the internal database can be used as database storage. If you want to use MariaDB Server as a database store, the Multi-User Environment must be selected, even if you want to use MailShelf effectively as a single user.

Multi-User Environment

Selecting the Multi-User Environment allows you to use MailShelf with multiple users, or to connect an existing MailShelf installation to an existing database or installation, which must be a Multi-User Environment database or installation. In the Multi-User Environment, you can only select MariaDB Server as database storage.

To set up the Multi-User Environment, select "Multi-User Environment" in the Welcome screen and click the Next button to set all other settings.

Installation Mode

The installation mode determines how your MailShelf installation is being used. You can choose between Server Installation and Client Installation.

Server Installation

Select this option if it is the initial installation of MailShelf and to create a new local database in which the data should be stored. Your MailShelf installation will then connect to this database. Other MailShelf installations, which may be located in your network, can then also connect to this installation in order to access the email archive together.

By clicking the Next button, you first need to create the administrative user by entering the desired user name as well as the password and then selecting/creating the database being used for your MailShelf installation.

Client Installation

Select this option if you want to connect this MailShelf installation to an existing database or installation. If the client installation is selected, no local database is created but a connection to a database that already exists in your network is established. By clicking the Next button, you can then determine the connection mode.

Connection Mode

The connection mode determines how you want to connect a MailShelf client installation to an existing database.

Enter Web Access URL

The option easily allows you to connect a MailShelf Server installation using MailShelf WebAccess and requires no configuration. This function requires that MailShelf Web Access has been fully configured on the MailShelf Server installation to be connected in order to exchange data. This option might require you to enter a connection password based on the server configuration.

Enter Database Credentials

This option allows you to connect to an existing database by manually entering the database details. This is useful if MailShelf Web Access is not configured on the corresponding system or if you wish to connect to a database that is not related to a MailShelf Server installation, e.g. a MariaDB database on a Network Attached Storage (NAS) or something like that. When you select this option, you need the appropriate database details, so that you can set up your client installation.

After you have selected the appropriate connection mode, click on the Next button to proceed to the next step. If you have selected the option "Enter Web Access URL", a connection is being made to the destination server in order to exchange data and the setup is completed. If the "Enter Database Credentials" option is selected, the corresponding database data must be entered in the same way as the initial installation.

After the initial setup has been completed, MailShelf automatically restarts and can be used right now. If you have set up MailShelf for a Single-User Environment, it starts without any additional prompts. If you have set up MailShelf for a Multi-User Environment, you will be prompted to enter your login data.


User Login

The user login window shows up if MailShelf is running in a Multi-User environment and manages user authorisation.

User Name

Enter or select the user name for the log in.

Password

Enter the password for the user.

Remember Password

Allows you to save your password for the next time you log in. This option might be disabled for security purposes. Please ask your administrator if you are in doubt.

Automatic Login

Allows you to automatically log in. This option might be disabled for security purposes. Please ask your administrator if you are in doubt.


Home

The dashboard provides you with some basic information about your system and your archive and also gives you a quick access to the most common tasks of the application.

Overview: Basic information

Displays some basic information about your system.

Computer name

Displays the current name of your computer. This is also the name under which your computer is visible to other computers on the network.

Operating system

Displays the operating system that is currently running on your computer.

Processor

Displays the name of the processor (CPU) that is installed in your system.

Memory

Displays the actual size of the memory (RAM) that is installed in your system.

Software status

This status indicates if the application is up to date, out of date or potentially out of date. If the application is potentially out of date you can easily check for new updates by clicking the "Check for updates" link. If the application is actually out of date you can easily install all available updates by clicking the "Install updates" link in order to get the latest available version. It might also be possible that the status "Unknown" is displayed meaning that the application couldn't search for new updates. This can happen if you have internet connection problems or something similar like this.

Overview: Archive information

Displays information about the entire email archive.

Total profiles

Displays the count of all created profiles.

Total archives

Displays the count of all single archives that are available in the entire archive.

Archived messages

Displays the total count of all emails that are available the entire archive.

Archived messages size

Displays the file size of the total archived emails that are in the entire archive. Please note that the actual database size differs from the displayed message size because some additional details are also stored in the database. The actual database is therefore always slightly larger than the entire archive.

Overview: Features of the application

Gives you a quick access to the most common tasks of the application.

Archive

Opens the Archive tab so that you can access your entire email archive.

Search

Opens the Search tab so you can search for specific emails in all archived emails.

Profiles

Opens the Profiles tab where you can manage existing profiles or create new profiles.

History

Opens the History tab, where you can view the logs and history entries of archiving and exporting tasks.

Settings

Opens the Settings tab, where you can customize and set all application settings.


Archive

The Archive tab is separated into several areas for an easy navigation and an intuitive operation and displays the entire email archive you have access to. Please note that depending on the given user privileges, not every function listed here is actually available. If in doubt, please contact your MailShelf administrator.

Archive overview

In the left-hand section, you will find a tree structure that represents the entire archive. The actual email archives are located within this entire archive. Each individual email archive is represented by an envelope icon, which is an email address or a profile. Within an email archive, the email archive folders are displayed.

The archive overview provides you with a variety of features and options so you can manage your email archive conveniently and easily. To view the contents of the email archive, simply click on the corresponding folder within the email archive. All archived emails that are available in the selected folder are then displayed in the folder contents overview.

With a right-click within the archive overview, a context menu is being opened which provides you additional features and options. Depending on whether you have selected an archive or an archive folder, you will be offered different features and options.

Expand

Expands the first level of the selected tree.

Expand All

Expands the whole selected tree.

Collapse

Collapses the whole selected tree.

Refresh View

Refreshes the current view and reloads the archive overview.

Search Here

Allows you to search the selected archive or the selected archive folder.

New Archive

Opens a new window, where you can create a new but empty archive. When you run a profile, a new archive is automatically created (if it is not already present) for this profile, so you do not actually have to add a new and empty archive manually.

Export

Opens the export manager that allows you to export the selected archive or the selected archive folder with all the emails in it.

Move to Folder

Allows you to move an archive folder inside and outside of an archive. For example, you can move an archive folder within an archive to another archive folder, or move it directly to another archive.

New Folder

Opens a new windows where you can add a new archive folder.

Rename

Opens a new window where you can rename the selected archive or the selected archive folder.

Delete

Deletes the selected archive or the selected archive folder.

Properties

Opens a new windows where you can view the archive properties or the archive folder properties.

If you are searching for specific emails, the archive overview also contains the search results, which are represented by a magnifier icon. The search results are displayed like an email archive. Each individual search result will be added to the "Search Result" navigation tree.

All search results looks like this:

Search string (Date Time)

By clicking on the corresponding search result, the folder content overview is loaded with the emails, which correspond to the search criteria.

Please note that the navigation tree "Search Result" is only displayed if there is at least one search term or at least one search.

Search results also have their own context menu, which can be accessed by right-clicking and which offers you additional features and options.

Refresh View

Refreshes the current view.

Export

Opens the export manager that allows you to export the found emails.

Save Search Result

Saves the selected search result so that it is displayed again at the next program start. This option is only available when a search result is directly selected.

Remove Search Results

Removes all search results from the "Search Result" navigation tree. This option is only available when the navigation tree "Search Result" is directly selected.

Remove Search Result

Removes the selected search result so that this is no longer available in the overview. This option is only available when a single search result is directly selected.

Folder Contents Overview

The folder content overview shows you all the emails that are in a folder or search result selected in the archive overview. If the folder content overview is empty after selection, the selected folder is an empty folder or no emails were found that correspond to the search criteria.

The folder content overview is separated into several sections, which gives you a quick overview of the emails.

Paperclip

If an email contains file attachments, these are displayed in the folder contents overview for the corresponding e-mail with a paperclip icon.

Subject

Displays the subject of the corresponding email.

From

Displays the sender's email address of the corresponding email.

Date

Displays the date of the email. This is not the archive date, but the time when the email was received or sent.

Size

Displays the size of the corresponding email.

By right-clicking within the folder content overview, you will be offered additional functions and options via a context menu. Depending on whether you have selected one or more emails, different functions and options are offered to you.

Save As

Opens a new window, which allows you to save the selected email as an RFC822 compliant .eml file or Microsoft Outlook compliant .msg file. The format in which the selected email should be saved can be selected in the selection.

Export

Opens the export manager that allows you to export the selected emails.

Move to Folder

Allows you to move the selected emails inside and outside an archive. For example, you can move emails to another archive folder within an archive, or move them directly to another archive.

Delete

Allows you to permanently delete the selected emails from the archive.

Mark

Allows you to mark the selected emails using tags. By pointing the cursor to this function, a new submenu is opened:

New Tag

Opens a new window where you can add a new tag.

Manage Tags

Navigates to the application settings where you can manage tags.

Remove Tag

Removes the tag from the selected emails. This function is only displayed if the selected email has been marked with a tag.

Below these functions, all available tags are displayed. By clicking on a tag, all selected emails in the folder overview are then marked with this tag.

Email View

An email selected in the folder content overview is displayed in the email view, which is separated into several areas for easy navigation and intuitive operation. There you will also find other features and options.

In the upper part of the email view you will find a toolbar, which offers the following functions and options for the displayed email:

Save As

Opens a new window, which allows you to save the displayed email as an RFC822 compliant .eml file or Microsoft Outlook compliant .msg file. The format in which the selected email should be saved can be selected in the selection.

Export

Opens the export manager that allows you to export the displayed email.

Move to Folder

Allows you to move the displayed email inside and outside an archive. For example, you can move the displayed email to another archive folder within an archive, or move them directly to another archive.

Print

Allows you to print the displayed email or the selected part of the displayed email (HTML, Text, Source or Headers).

Search

Allows you to search the displayed email or the selected part of the displayed email (HTML, Text, Source or Headers) for a specific term.

Delete

Allows you to permanently delete the displayed email from the archive.

Mark

Allows you to mark the displayed email using tags. By pointing the cursor to this function, a new submenu is opened:

New Tag

Opens a new window where you can add a new tag.

Manage Tags

Navigates to the application settings where you can manage tags.

Remove Tag

Removes the tag from the displayed email. This function is only displayed if the displayed email has been marked with a tag.

Below these functions, all available tags are displayed. By clicking on a tag, the displayed email is then marked with this tag.

Message is encrypted

Opens the Message Security window which contains further details of the encryption used in the message. Please note that this option is only available if the message is encrypted (S/MIME or PGP).

Message is signed

Opens the Message Security window which contains further details of the signature used in the message. Please note that this option is only available if the message is signed (S/MIME or PGP).

Zoom In

Allows you to zoom in the HTML part of the displayed email.

Zoom Out

Allows you to zoom out the HTML part of the displayed email.

100% Zoom

Sets the zoom level of the HTML part of the displayed email back to the default value of 100%.

Collapse

Allows you to collapse the expanded email details and to hide them.

Expand

Allows you to expand the collapsed email details and to display them.

Just below the toolbar, you will see the email details of the displayed -mail, which will show you the basic information of the displayed email, as well as other features and options:

Subject

Displays the subject of the selected email.

From

Displays the sender of the selected email. If available, you will see both the sender address and the sender name.

The sender is also displayed as a link, which offers you further functions and options that can be helpful to set the corresponding sender directly to the blacklist. You can access these functions by clicking on the bluish sender which opens a new context menu.

Add <EMAIL ADRESS> to blacklist

Adds the email address of the sender to the blacklist. Note that <EMAIL ADDRESS> is just a placeholder for the documentation which is being used for demonstration purposes only. By opening the context menu, the sender's actual email address is displayed.

Add <DOMAIN NAME> to blacklist

Adds the domain name of the sender's email to the blacklist. Note that <DOMAIN NAME> is just a placeholder for the documentation which is being used for demonstration purposes only. By opening the context menu, the sender's actual domain name is displayed.

Add <IP ADDRESS> to blacklist

Adds the IP address of the sender to the blacklist. Note that <IP ADDRESS> is just a placeholder for the documentation which is being used for demonstration purposes only. By opening the context menu, the sender's actual IP address is displayed.

Add <COUNTRY> to blacklist

Adds the country of the sender to the blacklist. Note that <COUNTRY> is just a placeholder for the documentation which is being used for demonstration purposes only. By opening the context menu, the sender's actual country name is displayed.

Add <TLD> to blacklist

Adds the domain name extension of the sender's email to the blacklist. Note that <TLD> is just a placeholder for the documentation which is being used for demonstration purposes only. By opening the context menu, the sender's actual domain name extension is displayed.

Archived

Displays the date and time at which the displayed email was archived.

Sent

Displays the date and time at which the displayed email was received or sent.

To

Displays the email address to which the displayed email has been sent.

Folder

Displays the archive folder path where the displayed email is located.

The actual email will be displayed just below the email details. This view is built up in four different tabs, each of it contains its own part of the email.

HTML

Displays (if available) the HTML part of the selected email. If the loading of remote content has been restricted, the button Options is offered to you in the upper part of the HTML view, which allows you to control the loading of remote content for the selected email. By clicking on this button, a new context menu is being opened:

Show remote content in this message

Loads all remote content of this email so that the selected email is being displayed with all remote content like images etc.

Edit remote content options...

Navigates to the Privacy and Security Settings where you can set global settings for remote content.

Allow remote content for <EMAIL ADDRESS>

Adds the email address of the sender as an exception to the privacy and security settings so that remote content for this sender will be automatically loaded in the future. Note that <EMAIL ADDRESS> is just a placeholder for the documentation which is being used for demonstration purposes only. By opening the context menu, the sender's actual email address is displayed.

Allow remote content for <DOMAIN NAME>

Adds the domain name of the sender as an exception to the privacy and security settings, so that remote content for this domain name will be automatically loaded in the future. Note that <DOMAIN NAME> is just a placeholder for the documentation which is being used for demonstration purposes only. By opening the context menu, the sender's actual domain name is displayed.

Text

Displays (if available) the text part of the selected email, also known as plain text part.

Source

Displays the source part of the selected email.

Headers

Displays the email headers in a table view. By right-clicking on the headers table, you will be offered further options. Double-clicking a displayed header copies the value of the clicked header to the clipboard for further use.

Add selected headers to blacklist

Adds the selected headers to the blacklist.

Copy all headers

Copies all available headers to the clipboard.

Copy selected headers

Copies all selected headers to the clipboard.

If the selected email contains file attachments, these are displayed in the overview directly below the tabs.

You can open or run a selected email attachment by double-clicking on it. By right-clicking on the selected email attachments, you will be offered functions for opening and saving these attachments.


Export Manager

MailShelf allows you to easily export individual emails, archive folders and even entire email archives so that you can make emails easily available to a different location.

MailShelf Archive File

Allows you to export the selected archive to a MailShelf Archive File.

Microsoft 365

Allows you to export the selected archive or the selected archive folder to a Microsoft 365 mailbox.

Microsoft Exchange

Allows you to export the selected archive or the selected archive folder to a Microsoft Exchange mailbox.

Google Workspace

Allows you to export the selected archive or the selected archive folder to a Google Workspace mailbox.

IMAP4

Allows you to export the selected archive or the selected archive folder to an IMAP4 mailbox.

Microsoft Outlook

Allows you to export the selected archive or the selected archive folder to a local Microsoft Outlook installation.

Mozilla Thunderbird

Allows you to export the selected archive or the selected archive folder to a local Mozilla Thunderbird installation.

Mozilla SeaMonkey

Allows you to export the selected archive or the selected archive folder to a local Mozilla SeaMonkey installation.

Postbox

Allows you to export the selected archive or the selected archive folder to a local Postbox installation.

File Folder

Allows you to export the selected archive or the selected archive folder to a folder located on your local system or network.

PST File

Allows you to export the selected archive or the selected archive folder to a Microsoft Outlook PST file located on your local system.

MBOX File

Allows you to export the selected archive or the selected archive folder to a MBOX file located on your local system or network.

ZIP File

Allows you to export the selected archive or the selected archive folder to a ZIP file.


MailShelf Archive File

To export emails to a MailShelf Archive File, enter or select the archive location in the export window and click the Export Now button to start the process.


Microsoft 365

To export emails to a Microsoft 365 mailbox, specify the appropriate mailbox in the export window. You need to have a registered client application in Microsoft Entra ID in order being able to export to a Microsoft 365 mailbox.

Microsoft 365 Mailbox

Select whether you want to enter the account information manually or whether you want to export to an existing mailbox that has already been added in the profiles section. If you have not already added a Microsoft 365 profile, you only have the option to manually enter the mailbox information

User name

Enter the user name of the mailbox.

Application (client) ID

Enter the application (client) ID of the registered Microsoft Entra ID application.

Directory (tenant) ID

Enter the directory (tenant) ID of the registered Microsoft Entra ID application.

Secret

Enter the secret of the registered Microsoft Entra ID application. The button next to the secret field allows you to view or to hide the given secret.

Test Account

We recommend you to test your mailbox settings to ensure that the given information is correct. Your emails cannot be exported if the given information is incorrect therefore, please click the Test Account button perform the test.

To export the emails, simply click the Export Now button. Depending on the total amount of data and the bandwidth of your internet connection speed, the export process may take some time. In the case of a very large amount of data, this process may even take several hours.

The export process is carried out in a new window in which you can always monitor the current status of the process.


Microsoft Exchange

To export emails to a Microsoft Exchange mailbox, specify the appropriate mailbox in the export window.

Microsoft Exchange Mailbox

Select whether you want to enter the account information manually or whether you want to export to an existing mailbox that has already been added in the profiles section. If you have not already added a Microsoft Exchange profile, you only have the option to manually enter the account information

Microsoft Exchange Server Version

Select the appropriate version of the server you wish to connect to.

Host

Enter the host name of the Microsoft Exchange Server you wish to connect to, such as: "exchange.mydomain.tld". Please ask your administrator if you do not have this information.

Disable Certificate Validation

When this option is enabled, all server certificates are accepted no matter if they are self-signed, valid or not.

Autodiscover

Determine whether the host name should be detected automatically based on your email address and password. In such a case, it is not necessary to enter the host name manually. However, depending on how the corresponding Microsoft Exchange Server was configured, automatic discovery may be disabled. If in doubt, please ask your administrator.

User name

Enter the user name of your mailbox. This might be an email address or an account name (user principal name).

Password

Enter the corresponding password for your mailbox. The button next to the password field allows you to view or to hide the password.

Test Account

We recommend you to test your mailbox settings to ensure that the given information is correct. Your emails cannot be exported if the given information is incorrect therefore, please click the Test Account button perform the test.

To export the emails, simply click the Export Now button. Depending on the total amount of data and the bandwidth of your internet connection speed, the export process may take some time. In the case of a very large amount of data, this process may even take several hours.

The export process is carried out in a new window in which you can always monitor the current status of the process.


Google Workspace

To export emails to a Google Workspace mailbox, specify the appropriate mailbox in the export window. You need to have a created service account in Google Cloud Console in order being able to export to a Google Workspace mailbox.

Google Workspace Mailbox

Select whether you want to enter the account information manually or whether you want to export to an existing mailbox that has already been added in the profiles section. If you have not already added a Google Workspace profile, you only have the option to manually enter the mailbox information

Email address

Enter the email address of your mailbox.

Private key file

Enter or select the path to the private key file (JSON) downloaded from the Google Cloud Console.

Test Account

We recommend you to test your mailbox settings to ensure that the given information is correct. Your emails cannot be exported if the given information is incorrect therefore, please click the Test Account button perform the test.

To export the emails, simply click the Export Now button. Depending on the total amount of data and the bandwidth of your internet connection speed, the export process may take some time. In the case of a very large amount of data, this process may even take several hours.

The export process is carried out in a new window in which you can always monitor the current status of the process.


IMAP4

To export emails to an IMAP4 mailbox, specify the appropriate mailbox in the export window.

IMAP4 Mailbox

Select whether you want to enter the account information manually or whether you want to export to an existing mailbox that has already been added in the profiles section. If you have not already added an IMAP4 profile, you only have the option to manually enter the mailbox information.

Email address

Enter the email address of your mailbox.

Host

Enter the host name of the server, such as "imap.mydomain.tld". Please ask your administrator if you do not have this information.

Port

Enter the port of your server such as "143".

Timeout

Enter a timeout value in seconds. This value determines that the specified number of seconds that is to be waited or retried before an error is displayed.

SSL Mode

Select the SSL mode to specify in which way the connection should switch into TLS/SSL mode.

SSL Protocol

Select the SSL protocol to be used for performing TLS/SSL negotiation and data encryption.

User name

Enter the user name of your mailbox. This might be your email address.

Password

Enter the corresponding password for your mailbox. The button next to the password field allows you to view or to hide the password.

Authorize

This button is only available if your email account requires authentication through OAuth 2.0, like outlook.com, gmail.com and others. In this case, just click the Authorize button and completely follow the process in order to perform the authorization. The fields User Name as well as Password are not available if your email account needs to be authorized through OAuth 2.0.

Test Account

We recommend you to test your mailbox settings to ensure that the given information is correct. Your emails cannot be exported if the given information is incorrect therefore, please click the Test Account button perform the test.

To export the emails, simply click the Export Now button. Depending on the total amount of data and the bandwidth of your internet connection speed, the export process may take some time. In the case of a very large amount of data, this process may even take several hours.

The export process is carried out in a new window in which you can always monitor the current status of the process.


Microsoft Outlook

To export emails to a local Microsoft Outlook installation, you must select the corresponding Microsoft Outlook Storage in the export window. Please note that Microsoft Outlook needs to be installed and activated on your system.

Microsoft Outlook Storage

Select the storage from the drop down list in which the emails should be exported. All compatible storages that are available in your local Microsoft Outlook installation are displayed in this list and can be selected to export your emails. Please note that only local data storages are compatible to export your emails. If there is no storage available for selection, please open Microsoft Outlook and create a new Microsoft Outlook Data File (.pst).

Refresh Storages

Refreshes and displays all available storages.

To export the emails, simply click the Export Now button. Depending on the total amount of data, the export process may take some time. In the case of a very large amount of data, this process may even take several hours.

The export process is carried out in a new window in which you can always monitor the current status of the process.


Mozilla Thunderbird

To export emails to a local Mozilla Thunderbird installation, you must select the corresponding Mozilla Thunderbird profile in the export window.

Profile

Select the profile from the drop down list in which the emails should be exported. All compatible profiles that are available in your local Mozilla Thunderbird installation are displayed in this list and can be selected to export your emails.

Refresh Profiles

Refreshes and displays all available profiles.

To export the emails, simply click the Export Now button. Depending on the total amount of data, the export process may take some time. In the case of a very large amount of data, this process may even take several hours.

The export process is carried out in a new window in which you can always monitor the current status of the process.


Mozilla SeaMonkey

To export emails to a local Mozilla SeaMonkey installation, you must select the corresponding Mozilla SeaMonkey profile in the export window.

Profile

Select the profile from the drop down list in which the emails should be exported. All compatible profiles that are available in your local Mozilla SeaMonkey installation are displayed in this list and can be selected to export your emails.

Refresh Profiles

Refreshes and displays all available profiles.

To export the emails, simply click the Export Now button. Depending on the total amount of data, the export process may take some time. In the case of a very large amount of data, this process may even take several hours.

The export process is carried out in a new window in which you can always monitor the current status of the process.


Postbox

To export emails to a local Postbox installation, you must select the corresponding Postbox profile in the export window.

Profile

Select the profile from the drop down list in which the emails should be exported. All compatible profiles that are available in your local Postbox installation are displayed in this list and can be selected to export your emails.

Refresh Profiles

Refreshes and displays all available profiles.

To export the emails, simply click the Export Now button. Depending on the total amount of data, the export process may take some time. In the case of a very large amount of data, this process may even take several hours.

The export process is carried out in a new window in which you can always monitor the current status of the process.


File Folder

To export emails to a folder located on your system or network, you must specify the appropriate directory in the export window and select the file format in which the emails should be exported.

Target Location

Enter or select the full path of the folder in which the selected emails should be exported.

Export as RFC822 EML Files (.eml)

Specifies that the selected emails should be exported as RFC822 compliant .eml files, which can be read by a variety of applications. In fact, most email applications can open and read .eml files. However, there are also exceptions, e.g. Microsoft Outlook, which can not open or read .eml files.

Export as Microsoft Outlook MSG Files (.msg)

Specifies that the selected emails should be exported as Microsoft Outlook compliant .msg files, which can be read by both Microsoft Outlook and MailShelf.

To export the emails, simply click the Export Now button. Depending on the total amount of data, the export process may take some time. In the case of a very large amount of data, this process may even take several hours.

The export process is carried out in a new window in which you can always monitor the current status of the process.


PST File

To export emails to a Microsoft Outlook PST file on your system or network, you must specify the appropriate file in the export window. Please note that Microsoft Outlook must be installed and activated on your system so that you can use this feature.

File Location

Determines the full file name of the corresponding file. This can either be entered manually into the text field, or by clicking on "Save as ...".

Export to a new Microsoft Outlook Data File (.pst)

Specifies that the selected emails should be exported to a new Microsoft Outlook Data File that is not already present. The corresponding Microsoft Outlook Data File is created during the export process.

Export to an existing Microsoft Outlook Data File (.pst)

Specifies that the selected emails should be exported to an existing Microsoft Outlook Data File. In this case, the existing Microsoft Outlook Data File will be appended with the emails to be exported.

To export the emails, simply click the Export Now button. Depending on the total amount of data, the export process may take some time. In the case of a very large amount of data, this process may even take several hours.

The export process is carried out in a new window in which you can always monitor the current status of the process.


MBOX File

To export emails to an Email Mailbox File (.mbox) on your system or network, you must specify the appropriate file in the export window.

File Location

Determines the full file name of the corresponding file. This can either be entered manually into the text field, or by clicking on "Save as ...".

Export to a new Email Mailbox File (.mbox)

Specifies that the selected emails should be exported to a new Email Mailbox File that is not already present. The corresponding file is created during the export process.

Export to an existing Email Mailbox File (.mbox)

Specifies that the selected emails should be exported to an existing Email Mailbox File. In this case, the existing file will be appended with the emails to be exported.

To export the emails, simply click the Export Now button. Depending on the total amount of data, the export process may take some time. In the case of a very large amount of data, this process may even take several hours.

The export process is carried out in a new window in which you can always monitor the current status of the process.


ZIP File

To export emails to a ZIP archive file, you must specify the corresponding information and settings in the export window.

Archive Location

Enter the full path of the ZIP archive file in which the selected emails should be exported, or click on "Save as..." to select the desired path.

Password (Optional)

Allows you to set a password for the ZIP archive file to protect it from unauthorized access using an AES 256 encryption. Ensure that the password and confirmation match exactly. Note that the password is case-sensitive. Please take care of your password and don't forget it because you won't be able to read the ZIP archive file without this password.

Confirm Password

Repeat your password to confirm your password.

Compression Level

Allows you to set the compression level to be used for the ZIP archive file. The higher the compression ratio, the less the backup size, however, the backup process may take longer.

None

Select this item if you do not want to compress the ZIP archive file.

Default

Select this item if you want to compress the ZIP archive file with a good balance of speed and compression efficiency.

Best Speed

Select this item if you want to compress the ZIP archive file with the fastest available compression level.

Best Compression

Select this item if you want to be compress the ZIP archive file with the highest available compression level.

Comments

Allows you to add comments to the ZIP archive file. Comprehensive comments can help you to find the appropriate ZIP archive file much faster. You can enter the comments in the yellow text box.

To export the emails, simply click the Export Now button. Depending on the total amount of data, the export process may take some time. In the case of a very large amount of data, this process may even take several hours.

The export process is carried out in a new window in which you can always monitor the current status of the process.


Search

MailShelf allows you to quickly and easily search your entire archive, a single archive or even a specific archive folder for specific emails, and offers you a wide range of options so that you can find only those emails that exactly match your search criteria.

The Search tab is therefore separated in several different areas, which can be used to customize and restrict your search.

Search

Contains the standard search functions. Enter the desired search string in the corresponding text field or browse through your search history and select the sections to be searched. You can also determine to search for an exact match only returning emails that match the exact value rather than a full-text search that returns emails that match any of the search strings. By clicking on the Search button, the search is carried out immediately with the criteria you set.

The search allows you to search the following sections of each email:

Subject

Searches the subject of the email for the given search string.

Message Body

Searches the message body of the email for the given search string.

Headers

Searches the headers of the email for the given search string.

Attachment Names

Searches the attachment file names of the email for the given search string.

Sender (From)

Searches the sender of the email for the given search string.

Recipient (To)

Searches the recipient of the email for the given search string.

Reply-To

Searches the reply-to address of the email for the given search string.

Carbon Copy

Searches the email addresses of the email specified as CC (carbon copy) for the given search string.

Blind Carbon Copy

Searches the email addresses of the email specified as BCC (blind carbon copy) for the given search string.

Advanced Options

In addition to the standard features, MailShelf also provides you with extensive additional features to help you achieve better search results, which will allow you to further refine your search.

Search for Messages in

Allows you to select a specific single archive from the drop down list in which you want to search for specific emails. If "All Archives" is selected in the list, your search will be performed in all available archives, meaning that the entire archive is being searched.

If only a single archive should be searched, a specific folder of this single archive can be selected, on which the search should be restricted. By clicking on "Select folder" you can select the corresponding archive folder.

The "Include subfolders" option allows you to determine whether all possible subfolders of the selected archive folder should be searched as well. If this option is not selected, only the first level of the selected archive folder will be searched.

Specify Date Range

Allows you to restrict the date range of the emails to be found, so that the search is only restricted to those emails that were received or sent in the specified time period. Please note that this is not the date on which the emails have been archived.

Any Date

Determines that all emails should be searched no matter when they were sent or received.

Today

Determines that only those emails should be searched, which were received or sent today.

Yesterday

Determines that only those emails should be searched, which were received or sent yesterday.

This Week

Determines that only those emails should be searched that have been received or sent within the current week.

Last Week

Determines that only those emails should be searched that have been received or sent within the last week.

This Month

Determines that only those emails should be searched that have been received or sent within the current month.

Last Month

Determines that only those emails should be searched that have been received or sent within the last month.

This Year

Determines that only those emails should be searched that have been received or sent within the current year.

Last Year

Determines that only those emails should be searched that have been received or sent within the last year.

Custom...

Allows you to use the calendar selection fields to specify a period from-to-time, which determines that only those emails which have been received or sent in the specified period have to be searched.

Search in Messages

Allows you to filter emails by attachments.

With or without Attachments

Determines that all emails should be searched, no matter if they contains file attachments or not.

With Attachments

Determines that only those emails should be searched, which contains file attachments.

Without Attachments

Determines that only those emails should be searched, which do not contains file attachments.

Specify Message Size

Allows you to specify the file size of the emails to be found so that the search is limited to those emails that are within the specified file size, including any attachments.

Any Size

Determines that all emails should be searched regardless of the file size.

Minimal

Determines that only those emails should be searched, that have a minimum file size of the specified value. Enter the desired file size in the text field and select the unit kilobytes (KB) or megabytes (MB) from the drop down list.

Maximal

Determines that only those emails should be searched, that have a maximum file size of the specified value. Enter the desired file size in the text field and select the unit kilobytes (KB) or megabytes (MB) from the drop down list.

Between...

Allows you to use the input fields to define two different file size values in which the file size of the emails to be searched must be between it. Enter the desired file sizes in the input fields and select the unit kilobytes (KB) or megabytes (MB) from the drop down list.

Specify Message Tags

Specify whether all emails should be searched, or only those that have been tagged.

Search all Messages

Determines that all emails should be searched, regardless of whether they are marked with a tag or not.

Search Tagged Messages

Allows you to search for only those emails that have been tagged. Please select the appropriate tag from the drop down list.

Any Tag

Determines that only those emails are searched, which have been marked with any tag.

<TAG>

Determines that only those emails should be searched, which were marked with the selected tag. Please note that "<TAG>" is a placeholder. After you have selected the option "Search tagged messages", you will find all available keywords directly below the "Any Tag" option, which can then be selected accordingly.


Profiles

MailShelf allows you to quickly and easily create new profiles, from which emails should be archived and provides you a wide range of possibilities. Already existing profiles can also be edited quickly and easily.

Each created profile represents a separate archiving task, which can be executed either manually or automatically on a schedule. When you run a profile for the first time, a new individual archive is created as part of your entire archive. If the execution of a profile is repeated, the corresponding profile will be appended by newly received emails.

If you no longer need a profile, it can also be easily deleted. Deleting a profile has no effect on already archived messages. Even if a profile is deleted, all archived messages remain in the archive and can be deleted there if necessary.

The Profiles tab is separated into several areas for an easy navigation and an intuitive operation.

Create Profile

Provides you with features for creating new profiles. The buttons allows you to select which type of profile you want to create.

Email Servers

Provides you with features for creating email server profiles from which emails should be archived.

Microsoft 365

Opens a new windows in which a Microsoft 365 mailbox can be added as a profile.

Microsoft Exchange

Opens a new window in which a Microsoft Exchange mailbox can be added as a profile.

Google Workspace

Opens a new window in which a Google Workspace mailbox can be added as a profile.

IMAP4 Mailbox

Opens a new window in which an IMAP4 mailbox can be added as a profile.

POP3 Mailbox

Opens a new window in which a POP3 mailbox can be added as a profile.

Email Clients

Provides you with features for creating profiles of email clients from which emails should be archived.

Microsoft Outlook (Classic)

Opens a new window in which a local Microsoft Outlook installation can be added as a profile.

Mozilla Thunderbird

Opens a new window in which a local Mozilla Thunderbird installation can be added as a profile.

Mozilla SeaMonkey

Opens a new window in which a local Mozilla SeaMonkey installation can be added as a profile.

Postbox

Opens a new window in which a local Postbox installation can be added as a profile.

Email Files

Provides you with features for creating profiles of email holding capable files from which emails should be archived.

MailShelf Archive File

Opens a new window in which a MailShelf Archive File can be added as a profile.

EML and MSG Files

Opens a new window in which a file path containing RFC822 compliant .eml files as well as Microsoft Outlook compliant .msg files can be added as a profile.

Microsoft Outlook Data File (.pst)

Opens a new window in which a Microsoft Outlook Data File (.pst) can be added as a profile.

Microsoft Offline Outlook Data File (.ost)

Opens a new window in which a Microsoft Offline Outlook Data File (.ost) can be added as a profile.

Microsoft Outlook Express Database (.dbx)

Opens a new window in which a Microsoft Outlook Express Database (.dbx) can be added as a profile.

Email Mailbox File (.mbox)

Opens a new window in which a Email Mailbox File (.mbox) can be added as a profile.

Profile overview

The profile overview displays all currently created profiles and also provides you with extensive possibilities to manage your profiles.

Profile Name

Displays the profile name of the corresponding profile. This is usually the email address to be archived. If a computer name in parentheses follows the profile name, this means that it is a profile that accesses the local data sources of the displayed computer, e.g., a file folder or a locally installed email client. Such a profile can only be executed on that specific computer, as the data source is available solely on that computer.

Next Run Time

If an automatic schedule has been added to the corresponding profile, the date and time of the next scheduled execution is displayed here. If no schedule has been added, "Manually" is displayed here.

Last Run Time

Displays the date and time of the last execution, regardless of whether this execution was carried out manually or automatically by schedule.

Last Result

Displays the result of the last execution. This allows you to see whether the execution was successful or faulty.

Within the profile overview, you can access a context menu by right-clicking on it, which offers you additional functions and options. Depending on how many profiles have been selected, different functions and options are displayed in this context menu.

Refresh View

Refreshes the profile overview and reloads it.

Group View

Groups the profile overview by profile type.

Run

Executes the selected profiles so that emails are archived from them.

End

If a profile is currently being executed automatically on a schedule, the current execution is terminated.

Enable

If a schedule has been added to the profile, but has been deactivated, this schedule is re-activated, so that the fully automatic execution is performed again.

Disable

If a schedule has been added to the profile, this schedule can be deactivated by clicking this option, so that the execution has to be carried out manually. Please note that this does not remove the schedule, but only disables it. To remove a schedule, use the "Remove Schedule" option.

Edit

Opens a new window in which the selected profile can be edited.

Delete

Allows you to delete the selected profiles, but not deleting already archived emails of the selected profiles.

Import

Allows you to import profiles that were exported by MailShelf.

Export

Allows you to export the selected profile so that you can import it later or import it into another MailShelf installation.

Create Shortcut

Allows you to create a shortcut of the selected profile so that you can run the profile by opening the created shortcut without the need to actually open MailShelf.

Add Schedule

If a schedule has not been added to the profile, this option will open a new window in which a schedule can be defined.

Edit Schedule

If a schedule has already been added to the profile, this option will open a new window in which the schedule can be edited.

Remove Schedule

If a schedule has been added to the profile, this schedule can be removed by clicking this option so that it has to be redefined if necessary.

Below the profile overview, you will also see the number of profiles you have created so that you have an overview of all created profiles at any time.

Please note that each profile is unique. Even if you create several profiles with the same email address, each of these profiles will create a single archive in the entire archive. Therefore, you may find several single archives for the same email address in the entire archive.


Email Mailbox File

To archive emails from an Email Mailbox File (.mbox) located on your system or network, you must select the appropriate file and set the appropriate settings if necessary. Once a profile has been created, it can be edited at any time.

The "Archive Email Mailbox File (.mbox)" window is separated in several tabs, which allows a simple and intuitive operation.

File Information

On the File Information tab, you can set the appropriate Email Mailbox File (.mbox) from which emails should be archived. Basically, it is only necessary to enter the file information correctly in order to be able to archive emails from an Email Mailbox File (.mbox) so the other tabs do not necessarily have to be configured.

Profile Name

Specifies the profile name for the profile being created. You can either manually name your profile or let MailShelf decide how your profile is being named.

Email Mailbox File (.mbox)

Enter or select the path to the corresponding Email Mailbox File (.mbox).

Filter

By default, all available emails in the specified mailbox are archived, but you can also specify which emails should not be archived.

Don't archive spam messages

Specifies that emails detected as spam or junk messages should not be archived. This option can help keep your email archive small and clean, but it also slows down the archiving process as each email to be archived is checked for spam and junk characteristics so the process can be very time-intensive. Therefore, activating this option should be well-considered.

Please also note that this option depends on the spam filter settings you have set. If you did not enable spam or junk email detection options in the spam filter settings, the "Don't archive spam messages" option will not be considered during the archiving process and junk emails are being archived. Therefore, please remember to set spam filter settings accordingly.

Don't archive messages that are blacklisted

Specifies that emails that match the set blacklist criteria should not be archived. This option can help protect your email archive from unwanted emails, but it can slow down the archiving process slightly, since each email to be archived is compared to the blacklist before archiving. To fill your blacklist, simply go to the Blacklist settings.

Only archive messages that are older than a specific date and time or a date range

Determines that only those emails should be archived, which are within a certain period of time or which have been sent or received at a certain time.

Date

Determines the date and time to be considered for emails. The corresponding date and time can be selected from the calendar selection fields. After determining the date and time, only those emails which are older than the set date and time are archived.

Range

Determines the time period for emails to be considered. The corresponding period of time may be selected by the corresponding selection fields, e.g. "1 weeks". After determining the time period, only those emails which are older than the specified period are archived.

Miscellaneous

The Miscellaneous tab allows you to specify advanced options for the archiving process.

Dynamic archiving

Determines that all emails are dynamically archived, which means that remote content, e.g. images and scripts are not embedded in the archived email, so this remote content (if any) must be manually loaded when viewing the email.

Dynamic archiving is the default method, which is also the fastest as well as storage-saving archiving method.

Static archiving

Determines that emails are archived statically, which means that external content, e.g. images and scripts are embedded in the archived email so that this remote content (if any) does not need to be loaded manually when viewing the email.

When statically archiving an email, the corresponding email is checked for remote content during the archiving process, which is then downloaded from the internet (if available) at the same time so that this content is embedded directly into the email to be archived.

Please note that static archiving will slow down the archiving process as every remote content of the corresponding email is downloaded from the internet to your local system. Depending on how large the corresponding remote content is, this can slow the archiving process enormously and noticeably.

Furthermore, it should be taken into consideration that external content may not be available at all and thus can not be embedded at all. Especially with very old emails, it is not uncommon that the corresponding contents were deleted by the corresponding server meanwhile.

In this case, this will also slow down the archiving process enormously since the corresponding external content could not be found and downloaded and thus ultimately skipped through MailShelf, which would then dynamically archive the email.

Another point to consider is the security aspect. Malicious senders could try to load malware or similar content as external content. Static archiving would therefore also download this malware, although it would not be executed.

Therefore, activating this option should be well-considered.

Allow duplicates in archive

Determines that email duplicates should also be archived in the archive, but not in the same archive folder.

By default, all email duplicates in the archive are skipped, so that the same email is only archived once. However, when you enable this option, you can also archive email duplicates, which may be in the same archive, even if they are already in a different archive folder within the same archive.

Please note that an archive folder can contain the same email only once. Therefore, email duplicates which are located in the same archive folder will not be archived by activating this option.

Archive assignment

Determines the archive that should be assigned to the profile to be created. This option is useful if you want to create a profile for an existing archive whose profile has been deleted in the past. You only have to select an archive here if you wish to assign the profile to be created with an existing archive. If you wish to create a new profile and a new archive, just leave the default value selected. Note: If an existing profile is assigned to a new or different archive, any scheduled task associated with it will be deleted and must be recreated.

Advanced

The Advanced tab allows you to specify some more advanced options for your email archive.

Retention Policy

The retention policies determine how long emails must be kept which means how long they must be in the archive before they can be deleted. This allows you to comply with legal requirements and also prevent the inadvertent deletion of archived emails. For example, if you use a retention period of 5 years, emails must be present at least 5 years and one day in the archive before you can delete them.

Determine the retention period with the scroll bar

The scroll bar allows you to determine the duration of storage in years, with a retention period of up to 30 years. Dragging the scroll list to the left will decrease the value, and you can increase the value by dragging to the right. If the value has been set to the minimum available value, the emails can be deleted from the archive at any time. The retention period can be changed at any time but only if it has not been permanently locked.

Locking the retention period

In order to comply with existing legal requirements, you can permanently lock the retention period. To do so, simply select a retention period of at least one year from the scroll bar and then click on the button "Lock Retention Policy". By clicking on this button, you can permanently lock the retention time.

Please note that locking the retention period is indeed permanent and final. Once you have locked the retention period, you will no longer be able to change it later.

Store encrypted messages in a decrypted state

Allows you to store encrypted messages in a decrypted state meaning that encrypted messages will be decrypted before and added to the archive afterwards. The correspondending private key (S/MIME and/or PGP) must be present in the certificate store/in the private key store before running the archiving task otherwise, encrypted messages cannot be decrypted during the archiving.

User Assignments

You can assign the profile to specific MailShelf users so that you can control which user is accessing the profile. If there is no specific user assignment in the multi-user mode, only administrators can access the profile. A profile is not limited to one user and can be assigned to more than one user at a time.

The user overview lists all currently created MailShelf users so that the user can be assigned quickly and easily by simply activating the user's selection box.

A user assignment already assigned can be withdrawn by deactivating the corresponding selection box. Users can be added and edited in the user management section.

Please note that the "User Assignments" tab is only displayed if you are running MailShelf in the Multi-User Environment and you are logged on as an administrator.


Microsoft Outlook Express Database

To archive emails from a Microsoft Outlook Express Database (.dbx) located on your system or network, you must select the appropriate file and set the appropriate settings if necessary. Once a profile has been created, it can be edited at any time.

The "Archive Microsoft Outlook Express Database (.dbx)" window is separated in several tabs, which allows a simple and intuitive operation.

File Information

On the File Information tab, you can set the appropriate Microsoft Outlook Express Database (.dbx) from which emails should be archived. Basically, it is only necessary to enter the file information correctly in order to be able to archive emails from a Microsoft Outlook Express Database (.dbx) so the other tabs do not necessarily have to be configured.

Profile Name

Specifies the profile name for the profile being created. You can either manually name your profile or let MailShelf decide how your profile is being named.

Microsoft Outlook Express Database (.dbx)

Enter or select the path to the corresponding Microsoft Outlook Express Database (.dbx).

Filter

By default, all available emails in the specified mailbox are archived, but you can also specify which emails should not be archived.

Don't archive spam messages

Specifies that emails detected as spam or junk messages should not be archived. This option can help keep your email archive small and clean, but it also slows down the archiving process as each email to be archived is checked for spam and junk characteristics so the process can be very time-intensive. Therefore, activating this option should be well-considered.

Please also note that this option depends on the spam filter settings you have set. If you did not enable spam or junk email detection options in the spam filter settings, the "Don't archive spam messages" option will not be considered during the archiving process and junk emails are being archived. Therefore, please remember to set spam filter settings accordingly.

Don't archive messages that are blacklisted

Specifies that emails that match the set blacklist criteria should not be archived. This option can help protect your email archive from unwanted emails, but it can slow down the archiving process slightly, since each email to be archived is compared to the blacklist before archiving. To fill your blacklist, simply go to the Blacklist settings.

Only archive messages that are older than a specific date and time or a date range

Determines that only those emails should be archived, which are within a certain period of time or which have been sent or received at a certain time.

Date

Determines the date and time to be considered for emails. The corresponding date and time can be selected from the calendar selection fields. After determining the date and time, only those emails which are older than the set date and time are archived.

Range

Determines the time period for emails to be considered. The corresponding period of time may be selected by the corresponding selection fields, e.g. "1 weeks". After determining the time period, only those emails which are older than the specified period are archived.

Miscellaneous

The Miscellaneous tab allows you to specify advanced options for the archiving process.

Dynamic archiving

Determines that all emails are dynamically archived, which means that remote content, e.g. images and scripts are not embedded in the archived email, so this remote content (if any) must be manually loaded when viewing the email.

Dynamic archiving is the default method, which is also the fastest as well as storage-saving archiving method.

Static archiving

Determines that emails are archived statically, which means that external content, e.g. images and scripts are embedded in the archived email so that this remote content (if any) does not need to be loaded manually when viewing the email.

When statically archiving an email, the corresponding email is checked for remote content during the archiving process, which is then downloaded from the internet (if available) at the same time so that this content is embedded directly into the email to be archived.

Please note that static archiving will slow down the archiving process as every remote content of the corresponding email is downloaded from the internet to your local system. Depending on how large the corresponding remote content is, this can slow the archiving process enormously and noticeably.

Furthermore, it should be taken into consideration that external content may not be available at all and thus can not be embedded at all. Especially with very old emails, it is not uncommon that the corresponding contents were deleted by the corresponding server meanwhile.

In this case, this will also slow down the archiving process enormously since the corresponding external content could not be found and downloaded and thus ultimately skipped through MailShelf, which would then dynamically archive the email.

Another point to consider is the security aspect. Malicious senders could try to load malware or similar content as external content. Static archiving would therefore also download this malware, although it would not be executed.

Therefore, activating this option should be well-considered.

Allow duplicates in archive

Determines that email duplicates should also be archived in the archive, but not in the same archive folder.

By default, all email duplicates in the archive are skipped, so that the same email is only archived once. However, when you enable this option, you can also archive email duplicates, which may be in the same archive, even if they are already in a different archive folder within the same archive.

Please note that an archive folder can contain the same email only once. Therefore, email duplicates which are located in the same archive folder will not be archived by activating this option.

Archive assignment

Determines the archive that should be assigned to the profile to be created. This option is useful if you want to create a profile for an existing archive whose profile has been deleted in the past. You only have to select an archive here if you wish to assign the profile to be created with an existing archive. If you wish to create a new profile and a new archive, just leave the default value selected. Note: If an existing profile is assigned to a new or different archive, any scheduled task associated with it will be deleted and must be recreated.

Advanced

The Advanced tab allows you to specify some more advanced options for your email archive.

Retention Policy

The retention policies determine how long emails must be kept which means how long they must be in the archive before they can be deleted. This allows you to comply with legal requirements and also prevent the inadvertent deletion of archived emails. For example, if you use a retention period of 5 years, emails must be present at least 5 years and one day in the archive before you can delete them.

Determine the retention period with the scroll bar

The scroll bar allows you to determine the duration of storage in years, with a retention period of up to 30 years. Dragging the scroll list to the left will decrease the value, and you can increase the value by dragging to the right. If the value has been set to the minimum available value, the emails can be deleted from the archive at any time. The retention period can be changed at any time but only if it has not been permanently locked.

Locking the retention period

In order to comply with existing legal requirements, you can permanently lock the retention period. To do so, simply select a retention period of at least one year from the scroll bar and then click on the button "Lock Retention Policy". By clicking on this button, you can permanently lock the retention time.

Please note that locking the retention period is indeed permanent and final. Once you have locked the retention period, you will no longer be able to change it later.

Store encrypted messages in a decrypted state

Allows you to store encrypted messages in a decrypted state meaning that encrypted messages will be decrypted before and added to the archive afterwards. The correspondending private key (S/MIME and/or PGP) must be present in the certificate store/in the private key store before running the archiving task otherwise, encrypted messages cannot be decrypted during the archiving.

User Assignments

You can assign the profile to specific MailShelf users so that you can control which user is accessing the profile. If there is no specific user assignment in the multi-user mode, only administrators can access the profile. A profile is not limited to one user and can be assigned to more than one user at a time.

The user overview lists all currently created MailShelf users so that the user can be assigned quickly and easily by simply activating the user's selection box.

A user assignment already assigned can be withdrawn by deactivating the corresponding selection box. Users can be added and edited in the user management section.

Please note that the "User Assignments" tab is only displayed if you are running MailShelf in the Multi-User Environment and you are logged on as an administrator.


Microsoft Offline Outlook Data File

To archive emails from a Microsoft Offline Outlook Data File (.ost) located on your system or network, you must select the appropriate file and set the appropriate settings if necessary. Once a profile has been created, it can be edited at any time.

The "Archive Microsoft Offline Outlook Data File (.ost)" window is separated in several tabs, which allows a simple and intuitive operation.

File Information

On the File Information tab, you can set the appropriate Microsoft Offline Outlook Data File (.ost) from which emails should be archived. Basically, it is only necessary to enter the file information correctly in order to be able to archive emails from a Microsoft Offline Outlook Data File (.ost) so the other tabs do not necessarily have to be configured.

Profile Name

Specifies the profile name for the profile being created. You can either manually name your profile or let MailShelf decide how your profile is being named.

Microsoft Offline Outlook Data File (.ost)

Enter or select the path to the corresponding Microsoft Offline Outlook Data File (.ost).

Email Folders

By default, all folders in your mailbox are included in the archive, but you can also choose to archive only specific folders in your mailbox.

Archive all folders

Determines that all available folders of the specified mailbox should be archived.

Archive specific folders

Determines that only certain folders of the specified mailbox should be archived. The folders are selected by clicking on the "Browse Folders" link, which opens a new window for folder selection.

In the folder selection window, you can include the selected folder by activating the selection box of the corresponding folder. The "Include Subfolders" option also allows you to specify whether any existing subfolders of the selected folder should also be included. To exclude a folder from the archive, simply deselect the corresponding selection box.

After you have selected all the desired folders, you can confirm your selection by clicking on the OK button, so that your selection will be applied.

After clicking the OK button in the folder selection window, MailShelf will automatically fill in the fields "Folders to be included" and "Folders to be excluded" based on your selection with the corresponding folder paths.

Folders to be included

Specifies the folders of the specified mailbox that should be archived.

Folders to be excluded

Specifies the folders of the specified mailbox that should not be archived.

Please note that you can select folders by clicking the "Browse Folders" link. However, the corresponding folders can also be entered manually in the "Folders to be included" and "Folders to be excluded" fields.

Please ensure that the entered folder names or folder paths are 100% correct and accurate, as they can not be processed otherwise.

In order to avoid any errors, we recommend that you select the folders using the "Browse Folders" option. This makes sure you are on the safe side when selecting folders.

All entered folders must either end with "\*" or "\", where the parameter "\*" determines that the specified folder and any existing subfolders should be archived. The "\" parameter determines that only the actual folder, but not its subfolders should be archived. Please enter the parameters without quotation marks (").

Filter

By default, all available emails in the specified mailbox are archived, but you can also specify which emails should not be archived.

Don't archive spam messages

Specifies that emails detected as spam or junk messages should not be archived. This option can help keep your email archive small and clean, but it also slows down the archiving process as each email to be archived is checked for spam and junk characteristics so the process can be very time-intensive. Therefore, activating this option should be well-considered.

Please also note that this option depends on the spam filter settings you have set. If you did not enable spam or junk email detection options in the spam filter settings, the "Don't archive spam messages" option will not be considered during the archiving process and junk emails are being archived. Therefore, please remember to set spam filter settings accordingly.

Don't archive messages that are blacklisted

Specifies that emails that match the set blacklist criteria should not be archived. This option can help protect your email archive from unwanted emails, but it can slow down the archiving process slightly, since each email to be archived is compared to the blacklist before archiving. To fill your blacklist, simply go to the Blacklist settings.

Only archive messages that are older than a specific date and time or a date range

Determines that only those emails should be archived, which are within a certain period of time or which have been sent or received at a certain time.

Date

Determines the date and time to be considered for emails. The corresponding date and time can be selected from the calendar selection fields. After determining the date and time, only those emails which are older than the set date and time are archived.

Range

Determines the time period for emails to be considered. The corresponding period of time may be selected by the corresponding selection fields, e.g. "1 weeks". After determining the time period, only those emails which are older than the specified period are archived.

Miscellaneous

The Miscellaneous tab allows you to specify advanced options for the archiving process.

Dynamic archiving

Determines that all emails are dynamically archived, which means that remote content, e.g. images and scripts are not embedded in the archived email, so this remote content (if any) must be manually loaded when viewing the email.

Dynamic archiving is the default method, which is also the fastest as well as storage-saving archiving method.

Static archiving

Determines that emails are archived statically, which means that external content, e.g. images and scripts are embedded in the archived email so that this remote content (if any) does not need to be loaded manually when viewing the email.

When statically archiving an email, the corresponding email is checked for remote content during the archiving process, which is then downloaded from the internet (if available) at the same time so that this content is embedded directly into the email to be archived.

Please note that static archiving will slow down the archiving process as every remote content of the corresponding email is downloaded from the internet to your local system. Depending on how large the corresponding remote content is, this can slow the archiving process enormously and noticeably.

Furthermore, it should be taken into consideration that external content may not be available at all and thus can not be embedded at all. Especially with very old emails, it is not uncommon that the corresponding contents were deleted by the corresponding server meanwhile.

In this case, this will also slow down the archiving process enormously since the corresponding external content could not be found and downloaded and thus ultimately skipped through MailShelf, which would then dynamically archive the email.

Another point to consider is the security aspect. Malicious senders could try to load malware or similar content as external content. Static archiving would therefore also download this malware, although it would not be executed.

Therefore, activating this option should be well-considered.

Allow duplicates in archive

Determines that email duplicates should also be archived in the archive, but not in the same archive folder.

By default, all email duplicates in the archive are skipped, so that the same email is only archived once. However, when you enable this option, you can also archive email duplicates, which may be in the same archive, even if they are already in a different archive folder within the same archive.

Please note that an archive folder can contain the same email only once. Therefore, email duplicates which are located in the same archive folder will not be archived by activating this option.

Archive assignment

Determines the archive that should be assigned to the profile to be created. This option is useful if you want to create a profile for an existing archive whose profile has been deleted in the past. You only have to select an archive here if you wish to assign the profile to be created with an existing archive. If you wish to create a new profile and a new archive, just leave the default value selected. Note: If an existing profile is assigned to a new or different archive, any scheduled task associated with it will be deleted and must be recreated.

Advanced

The Advanced tab allows you to specify some more advanced options for your email archive.

Retention Policy

The retention policies determine how long emails must be kept which means how long they must be in the archive before they can be deleted. This allows you to comply with legal requirements and also prevent the inadvertent deletion of archived emails. For example, if you use a retention period of 5 years, emails must be present at least 5 years and one day in the archive before you can delete them.

Determine the retention period with the scroll bar

The scroll bar allows you to determine the duration of storage in years, with a retention period of up to 30 years. Dragging the scroll list to the left will decrease the value, and you can increase the value by dragging to the right. If the value has been set to the minimum available value, the emails can be deleted from the archive at any time. The retention period can be changed at any time but only if it has not been permanently locked.

Locking the retention period

In order to comply with existing legal requirements, you can permanently lock the retention period. To do so, simply select a retention period of at least one year from the scroll bar and then click on the button "Lock Retention Policy". By clicking on this button, you can permanently lock the retention time.

Please note that locking the retention period is indeed permanent and final. Once you have locked the retention period, you will no longer be able to change it later.

Store encrypted messages in a decrypted state

Allows you to store encrypted messages in a decrypted state meaning that encrypted messages will be decrypted before and added to the archive afterwards. The correspondending private key (S/MIME and/or PGP) must be present in the certificate store/in the private key store before running the archiving task otherwise, encrypted messages cannot be decrypted during the archiving.

User Assignments

You can assign the profile to specific MailShelf users so that you can control which user is accessing the profile. If there is no specific user assignment in the multi-user mode, only administrators can access the profile. A profile is not limited to one user and can be assigned to more than one user at a time.

The user overview lists all currently created MailShelf users so that the user can be assigned quickly and easily by simply activating the user's selection box.

A user assignment already assigned can be withdrawn by deactivating the corresponding selection box. Users can be added and edited in the user management section.

Please note that the "User Assignments" tab is only displayed if you are running MailShelf in the Multi-User Environment and you are logged on as an administrator.


Microsoft Outlook Data File

To archive emails from a Microsoft Outlook Data File (.pst) located on your system or network, you must select the appropriate file and set the appropriate settings if necessary. Once a profile has been created, it can be edited at any time.

The "Archive Microsoft Outlook Data File (.pst)" window is separated in several tabs, which allows a simple and intuitive operation.

File Information

On the File Information tab, you can set the appropriate Microsoft Outlook Data File (.pst) from which emails should be archived. Basically, it is only necessary to enter the file information correctly in order to be able to archive emails from a Microsoft Outlook Data File (.pst) so the other tabs do not necessarily have to be configured.

Profile Name

Specifies the profile name for the profile being created. You can either manually name your profile or let MailShelf decide how your profile is being named.

Microsoft Outlook Data File (.pst)

Enter or select the path to the corresponding Microsoft Outlook Data File (.pst).

Email Folders

By default, all folders in your mailbox are included in the archive, but you can also choose to archive only specific folders in your mailbox.

Archive all folders

Determines that all available folders of the specified mailbox should be archived.

Archive specific folders

Determines that only certain folders of the specified mailbox should be archived. The folders are selected by clicking on the "Browse Folders" link, which opens a new window for folder selection.

In the folder selection window, you can include the selected folder by activating the selection box of the corresponding folder. The "Include Subfolders" option also allows you to specify whether any existing subfolders of the selected folder should also be included. To exclude a folder from the archive, simply deselect the corresponding selection box.

After you have selected all the desired folders, you can confirm your selection by clicking on the OK button, so that your selection will be applied.

After clicking the OK button in the folder selection window, MailShelf will automatically fill in the fields "Folders to be included" and "Folders to be excluded" based on your selection with the corresponding folder paths.

Folders to be included

Specifies the folders of the specified mailbox that should be archived.

Folders to be excluded

Specifies the folders of the specified mailbox that should not be archived.

Please note that you can select folders by clicking the "Browse Folders" link. However, the corresponding folders can also be entered manually in the "Folders to be included" and "Folders to be excluded" fields.

Please ensure that the entered folder names or folder paths are 100% correct and accurate, as they can not be processed otherwise.

In order to avoid any errors, we recommend that you select the folders using the "Browse Folders" option. This makes sure you are on the safe side when selecting folders.

All entered folders must either end with "\*" or "\", where the parameter "\*" determines that the specified folder and any existing subfolders should be archived. The "\" parameter determines that only the actual folder, but not its subfolders should be archived. Please enter the parameters without quotation marks (").

Filter

By default, all available emails in the specified mailbox are archived, but you can also specify which emails should not be archived.

Don't archive spam messages

Specifies that emails detected as spam or junk messages should not be archived. This option can help keep your email archive small and clean, but it also slows down the archiving process as each email to be archived is checked for spam and junk characteristics so the process can be very time-intensive. Therefore, activating this option should be well-considered.

Please also note that this option depends on the spam filter settings you have set. If you did not enable spam or junk email detection options in the spam filter settings, the "Don't archive spam messages" option will not be considered during the archiving process and junk emails are being archived. Therefore, please remember to set spam filter settings accordingly.

Don't archive messages that are blacklisted

Specifies that emails that match the set blacklist criteria should not be archived. This option can help protect your email archive from unwanted emails, but it can slow down the archiving process slightly, since each email to be archived is compared to the blacklist before archiving. To fill your blacklist, simply go to the Blacklist settings.

Only archive messages that are older than a specific date and time or a date range

Determines that only those emails should be archived, which are within a certain period of time or which have been sent or received at a certain time.

Date

Determines the date and time to be considered for emails. The corresponding date and time can be selected from the calendar selection fields. After determining the date and time, only those emails which are older than the set date and time are archived.

Range

Determines the time period for emails to be considered. The corresponding period of time may be selected by the corresponding selection fields, e.g. "1 weeks". After determining the time period, only those emails which are older than the specified period are archived.

Miscellaneous

The Miscellaneous tab allows you to specify advanced options for the archiving process.

Dynamic archiving

Determines that all emails are dynamically archived, which means that remote content, e.g. images and scripts are not embedded in the archived email, so this remote content (if any) must be manually loaded when viewing the email.

Dynamic archiving is the default method, which is also the fastest as well as storage-saving archiving method.

Static archiving

Determines that emails are archived statically, which means that external content, e.g. images and scripts are embedded in the archived email so that this remote content (if any) does not need to be loaded manually when viewing the email.

When statically archiving an email, the corresponding email is checked for remote content during the archiving process, which is then downloaded from the internet (if available) at the same time so that this content is embedded directly into the email to be archived.

Please note that static archiving will slow down the archiving process as every remote content of the corresponding email is downloaded from the internet to your local system. Depending on how large the corresponding remote content is, this can slow the archiving process enormously and noticeably.

Furthermore, it should be taken into consideration that external content may not be available at all and thus can not be embedded at all. Especially with very old emails, it is not uncommon that the corresponding contents were deleted by the corresponding server meanwhile.

In this case, this will also slow down the archiving process enormously since the corresponding external content could not be found and downloaded and thus ultimately skipped through MailShelf, which would then dynamically archive the email.

Another point to consider is the security aspect. Malicious senders could try to load malware or similar content as external content. Static archiving would therefore also download this malware, although it would not be executed.

Therefore, activating this option should be well-considered.

Allow duplicates in archive

Determines that email duplicates should also be archived in the archive, but not in the same archive folder.

By default, all email duplicates in the archive are skipped, so that the same email is only archived once. However, when you enable this option, you can also archive email duplicates, which may be in the same archive, even if they are already in a different archive folder within the same archive.

Please note that an archive folder can contain the same email only once. Therefore, email duplicates which are located in the same archive folder will not be archived by activating this option.

Archive assignment

Determines the archive that should be assigned to the profile to be created. This option is useful if you want to create a profile for an existing archive whose profile has been deleted in the past. You only have to select an archive here if you wish to assign the profile to be created with an existing archive. If you wish to create a new profile and a new archive, just leave the default value selected. Note: If an existing profile is assigned to a new or different archive, any scheduled task associated with it will be deleted and must be recreated.

Advanced

The Advanced tab allows you to specify some more advanced options for your email archive.

Retention Policy

The retention policies determine how long emails must be kept which means how long they must be in the archive before they can be deleted. This allows you to comply with legal requirements and also prevent the inadvertent deletion of archived emails. For example, if you use a retention period of 5 years, emails must be present at least 5 years and one day in the archive before you can delete them.

Determine the retention period with the scroll bar

The scroll bar allows you to determine the duration of storage in years, with a retention period of up to 30 years. Dragging the scroll list to the left will decrease the value, and you can increase the value by dragging to the right. If the value has been set to the minimum available value, the emails can be deleted from the archive at any time. The retention period can be changed at any time but only if it has not been permanently locked.

Locking the retention period

In order to comply with existing legal requirements, you can permanently lock the retention period. To do so, simply select a retention period of at least one year from the scroll bar and then click on the button "Lock Retention Policy". By clicking on this button, you can permanently lock the retention time.

Please note that locking the retention period is indeed permanent and final. Once you have locked the retention period, you will no longer be able to change it later.

Store encrypted messages in a decrypted state

Allows you to store encrypted messages in a decrypted state meaning that encrypted messages will be decrypted before and added to the archive afterwards. The correspondending private key (S/MIME and/or PGP) must be present in the certificate store/in the private key store before running the archiving task otherwise, encrypted messages cannot be decrypted during the archiving.

User Assignments

You can assign the profile to specific MailShelf users so that you can control which user is accessing the profile. If there is no specific user assignment in the multi-user mode, only administrators can access the profile. A profile is not limited to one user and can be assigned to more than one user at a time.

The user overview lists all currently created MailShelf users so that the user can be assigned quickly and easily by simply activating the user's selection box.

A user assignment already assigned can be withdrawn by deactivating the corresponding selection box. Users can be added and edited in the user management section.

Please note that the "User Assignments" tab is only displayed if you are running MailShelf in the Multi-User Environment and you are logged on as an administrator.


EML and MSG Files

To archive emails from a folder located on your system or network, which contains RFC822 compliant .eml files and/or Microsoft Outlook compliant .msg files, you must select the appropriate folder and set the appropriate settings if necessary. Once a profile has been created, it can be edited at any time.

The "Archive EML and MSG Files" window is separated in several tabs, which allows a simple and intuitive operation.

Folder Information

On the Folder Information tab, you can select the appropriate file folder from which emails should be archived. Basically, it is only necessary to enter the folder information correctly in order to be able to archive emails from a file folder so the other tabs do not necessarily have to be configured.

Profile Name

Specifies the profile name for the profile being created. You can either manually name your profile or let MailShelf decide how your profile is being named.

Folder

Enter or select the path that contains the email files and specify if any existing subfolders of the selected folder should also be archived.

Files to Archive

Select if RFC822 compliant .eml files or Microsoft Outlook compliant .msg files should be archived. You can select both to make sure everything is being archived.

Filter

By default, all available emails in the specified folder are archived, but you can also specify which emails should not be archived.

Don't archive spam messages

Specifies that emails detected as spam or junk messages should not be archived. This option can help keep your email archive small and clean, but it also slows down the archiving process as each email to be archived is checked for spam and junk characteristics so the process can be very time-intensive. Therefore, activating this option should be well-considered.

Please also note that this option depends on the spam filter settings you have set. If you did not enable spam or junk email detection options in the spam filter settings, the "Don't archive spam messages" option will not be considered during the archiving process and junk emails are being archived. Therefore, please remember to set spam filter settings accordingly.

Don't archive messages that are blacklisted

Specifies that emails that match the set blacklist criteria should not be archived. This option can help protect your email archive from unwanted emails, but it can slow down the archiving process slightly, since each email to be archived is compared to the blacklist before archiving. To fill your blacklist, simply go to the Blacklist settings.

Only archive messages that are older than a specific date and time or a date range

Determines that only those emails should be archived, which are within a certain period of time or which have been sent or received at a certain time.

Date

Determines the date and time to be considered for emails. The corresponding date and time can be selected from the calendar selection fields. After determining the date and time, only those emails which are older than the set date and time are archived.

Range

Determines the time period for emails to be considered. The corresponding period of time may be selected by the corresponding selection fields, e.g. "1 weeks". After determining the time period, only those emails which are older than the specified period are archived.

Message Deletion

By default, emails are not deleted after archiving them and remain in the specified folder until they are deleted manually from the folder. However, you can also specify that emails are automatically be deleted from the specified folder after archiving them.

Never delete any messages

Determines that emails are not deleted after archiving them and that they should remain in the mailbox.

Delete messages immediately after archiving

Determines that emails are deleted from the mailbox immediately after archiving them.

Delete messages after the specified period

Determines that emails should be deleted from the mailbox after archiving them, but at the earliest after the specified period, such as "1 Week".

When specifying e.g. "1 Week", emails are archived during the archiving process and are automatically deleted from the mailbox one week after archiving, provided that the archiving process is carried out again after one week.

The desired time period can be selected from the corresponding selection fields.

Delete messages if they are older than the specified date range

Determines that emails are automatically deleted from the mailbox if they are older than the specified period, e.g. "1 Week". The desired time period can be selected from the corresponding selection fields.

Miscellaneous

The Miscellaneous tab allows you to specify advanced options for the archiving process.

Dynamic archiving

Determines that all emails are dynamically archived, which means that remote content, e.g. images and scripts are not embedded in the archived email, so this remote content (if any) must be manually loaded when viewing the email.

Dynamic archiving is the default method, which is also the fastest as well as storage-saving archiving method.

Static archiving

Determines that emails are archived statically, which means that external content, e.g. images and scripts are embedded in the archived email so that this remote content (if any) does not need to be loaded manually when viewing the email.

When statically archiving an email, the corresponding email is checked for remote content during the archiving process, which is then downloaded from the internet (if available) at the same time so that this content is embedded directly into the email to be archived.

Please note that static archiving will slow down the archiving process as every remote content of the corresponding email is downloaded from the internet to your local system. Depending on how large the corresponding remote content is, this can slow the archiving process enormously and noticeably.

Furthermore, it should be taken into consideration that external content may not be available at all and thus can not be embedded at all. Especially with very old emails, it is not uncommon that the corresponding contents were deleted by the corresponding server meanwhile.

In this case, this will also slow down the archiving process enormously since the corresponding external content could not be found and downloaded and thus ultimately skipped through MailShelf, which would then dynamically archive the email.

Another point to consider is the security aspect. Malicious senders could try to load malware or similar content as external content. Static archiving would therefore also download this malware, although it would not be executed.

Therefore, activating this option should be well-considered.

Allow duplicates in archive

Determines that email duplicates should also be archived in the archive, but not in the same archive folder.

By default, all email duplicates in the archive are skipped, so that the same email is only archived once. However, when you enable this option, you can also archive email duplicates, which may be in the same archive, even if they are already in a different archive folder within the same archive.

Please note that an archive folder can contain the same email only once. Therefore, email duplicates which are located in the same archive folder will not be archived by activating this option.

Archive assignment

Determines the archive that should be assigned to the profile to be created. This option is useful if you want to create a profile for an existing archive whose profile has been deleted in the past. You only have to select an archive here if you wish to assign the profile to be created with an existing archive. If you wish to create a new profile and a new archive, just leave the default value selected. Note: If an existing profile is assigned to a new or different archive, any scheduled task associated with it will be deleted and must be recreated.

Advanced

The Advanced tab allows you to specify some more advanced options for your email archive.

Retention Policy

The retention policies determine how long emails must be kept which means how long they must be in the archive before they can be deleted. This allows you to comply with legal requirements and also prevent the inadvertent deletion of archived emails. For example, if you use a retention period of 5 years, emails must be present at least 5 years and one day in the archive before you can delete them.

Determine the retention period with the scroll bar

The scroll bar allows you to determine the duration of storage in years, with a retention period of up to 30 years. Dragging the scroll list to the left will decrease the value, and you can increase the value by dragging to the right. If the value has been set to the minimum available value, the emails can be deleted from the archive at any time. The retention period can be changed at any time but only if it has not been permanently locked.

Locking the retention period

In order to comply with existing legal requirements, you can permanently lock the retention period. To do so, simply select a retention period of at least one year from the scroll bar and then click on the button "Lock Retention Policy". By clicking on this button, you can permanently lock the retention time.

Please note that locking the retention period is indeed permanent and final. Once you have locked the retention period, you will no longer be able to change it later.

Store encrypted messages in a decrypted state

Allows you to store encrypted messages in a decrypted state meaning that encrypted messages will be decrypted before and added to the archive afterwards. The correspondending private key (S/MIME and/or PGP) must be present in the certificate store/in the private key store before running the archiving task otherwise, encrypted messages cannot be decrypted during the archiving.

User Assignments

You can assign the profile to specific MailShelf users so that you can control which user is accessing the profile. If there is no specific user assignment in the multi-user mode, only administrators can access the profile. A profile is not limited to one user and can be assigned to more than one user at a time.

The user overview lists all currently created MailShelf users so that the user can be assigned quickly and easily by simply activating the user's selection box.

A user assignment already assigned can be withdrawn by deactivating the corresponding selection box. Users can be added and edited in the user management section.

Please note that the "User Assignments" tab is only displayed if you are running MailShelf in the Multi-User Environment and you are logged on as an administrator.


MailShelf Archive File

To archive emails from a MailShelf Archive File located on your system or network, you must select the appropriate file and set the appropriate settings if necessary. Once a profile has been created, it can be edited at any time.

The "Archive MailShelf Archive File" window is separated in several tabs, which allows a simple and intuitive operation.

Archive File

On the Archive File tab, you can set the appropriate MailShelf Archive File from which emails should be archived. Basically, it is only necessary to enter the file information correctly in order to be able to archive emails from a MailShelf Archive File so the other tabs do not necessarily have to be configured.

Profile Name

Specifies the profile name for the profile being created. You can either manually name your profile or let MailShelf decide how your profile is being named.

MailShelf Archive File

Enter or select the path to the corresponding MailShelf Archive File.

User Assignments

You can assign the profile to specific MailShelf users so that you can control which user is accessing the profile. If there is no specific user assignment in the multi-user mode, only administrators can access the profile. A profile is not limited to one user and can be assigned to more than one user at a time.

The user overview lists all currently created MailShelf users so that the user can be assigned quickly and easily by simply activating the user's selection box.

A user assignment already assigned can be withdrawn by deactivating the corresponding selection box. Users can be added and edited in the user management section.

Please note that the "User Assignments" tab is only displayed if you are running MailShelf in the Multi-User Environment and you are logged on as an administrator.


Postbox

To archive emails from a Postbox installation, you must specify the appropriate Postbox profile and set the appropriate settings if necessary. Once a profile has been created, it can be edited at any time.

The "Archive Postbox" window is separated in several tabs, which allows a simple and intuitive operation.

Profile Information

On the Account Information tab, you can set the appropriate Postbox installation from which emails should be archived. Basically, it is only necessary to select the Postbox profile in order to be able to archive emails from a local Postbox instalaltion so the other tabs do not necessarily have to be configured.

Profile Name

Specifies the profile name for the profile being created. You can either manually name your profile or let MailShelf decide how your profile is being named.

Profile

Select the profile from the drop down list from which the emails should be archived. All compatible profiles that are available in your local Postbox installation are displayed in this list and can be selected to archive your emails from.

Refresh Profiles

Refreshes and displays all available profiles.

Email Folders

By default, all folders of your profile are included in the archive, but you can also choose to archive only specific folders of your profile.

Archive all folders

Determines that all available folders of the specified profile should be archived.

Archive specific folders

Determines that only certain folders of the specified profile should be archived. The folders are selected by clicking on the "Browse Folders" link, which opens a new window for folder selection.

In the folder selection window, you can include the selected folder by activating the selection box of the corresponding folder. The "Include Subfolders" option also allows you to specify whether any existing subfolders of the selected folder should also be included. To exclude a folder from the archive, simply deselect the corresponding selection box.

After you have selected all the desired folders, you can confirm your selection by clicking on the OK button, so that your selection will be applied.

After clicking the OK button in the folder selection window, MailShelf will automatically fill in the fields "Folders to be included" and "Folders to be excluded" based on your selection with the corresponding folder paths.

Folders to be included

Specifies the folders of the specified profile that should be archived.

Folders to be excluded

Specifies the folders of the specified profile that should not be archived.

Please note that you can select folders by clicking the "Browse Folders" link. However, the corresponding folders can also be entered manually in the "Folders to be included" and "Folders to be excluded" fields.

Please ensure that the entered folder names or folder paths are 100% correct and accurate, as they can not be processed otherwise.

In order to avoid any errors, we recommend that you select the folders using the "Browse Folders" option. This makes sure you are on the safe side when selecting folders.

All entered folders must either end with "\*" or "\", where the parameter "\*" determines that the specified folder and any existing subfolders should be archived. The "\" parameter determines that only the actual folder, but not its subfolders should be archived. Please enter the parameters without quotation marks (").

Filter

By default, all available emails in the specified profile are archived, but you can also specify which emails should not be archived.

Don't archive spam messages

Specifies that emails detected as spam or junk messages should not be archived. This option can help keep your email archive small and clean, but it also slows down the archiving process as each email to be archived is checked for spam and junk characteristics so the process can be very time-intensive. Therefore, activating this option should be well-considered.

Please also note that this option depends on the spam filter settings you have set. If you did not enable spam or junk email detection options in the spam filter settings, the "Don't archive spam messages" option will not be considered during the archiving process and junk emails are being archived. Therefore, please remember to set spam filter settings accordingly.

Don't archive messages that are blacklisted

Specifies that emails that match the set blacklist criteria should not be archived. This option can help protect your email archive from unwanted emails, but it can slow down the archiving process slightly, since each email to be archived is compared to the blacklist before archiving. To fill your blacklist, simply go to the Blacklist settings.

Don't archive read messages

Specifies that emails that are marked as read in the specified mailbox should not be archived so that only those -mails that are marked as unread in the specified mailbox are archived. This option can slow down the archiving process very slightly.

Only archive messages that are older than a specific date and time or a date range

Determines that only those emails should be archived, which are within a certain period of time or which have been sent or received at a certain time.

Date

Determines the date and time to be considered for emails. The corresponding date and time can be selected from the calendar selection fields. After determining the date and time, only those emails which are older than the set date and time are archived.

Range

Determines the time period for emails to be considered. The corresponding period of time may be selected by the corresponding selection fields, e.g. "1 weeks". After determining the time period, only those emails which are older than the specified period are archived.

Miscellaneous

The Miscellaneous tab allows you to specify advanced options for the archiving process.

Dynamic archiving

Determines that all emails are dynamically archived, which means that remote content, e.g. images and scripts are not embedded in the archived email, so this remote content (if any) must be manually loaded when viewing the email.

Dynamic archiving is the default method, which is also the fastest as well as storage-saving archiving method.

Static archiving

Determines that emails are archived statically, which means that external content, e.g. images and scripts are embedded in the archived email so that this remote content (if any) does not need to be loaded manually when viewing the email.

When statically archiving an email, the corresponding email is checked for remote content during the archiving process, which is then downloaded from the internet (if available) at the same time so that this content is embedded directly into the email to be archived.

Please note that static archiving will slow down the archiving process as every remote content of the corresponding email is downloaded from the internet to your local system. Depending on how large the corresponding remote content is, this can slow the archiving process enormously and noticeably.

Furthermore, it should be taken into consideration that external content may not be available at all and thus can not be embedded at all. Especially with very old emails, it is not uncommon that the corresponding contents were deleted by the corresponding server meanwhile.

In this case, this will also slow down the archiving process enormously since the corresponding external content could not be found and downloaded and thus ultimately skipped through MailShelf, which would then dynamically archive the email.

Another point to consider is the security aspect. Malicious senders could try to load malware or similar content as external content. Static archiving would therefore also download this malware, although it would not be executed.

Therefore, activating this option should be well-considered.

Allow duplicates in archive

Determines that email duplicates should also be archived in the archive, but not in the same archive folder.

By default, all email duplicates in the archive are skipped, so that the same email is only archived once. However, when you enable this option, you can also archive email duplicates, which may be in the same archive, even if they are already in a different archive folder within the same archive.

Please note that an archive folder can contain the same email only once. Therefore, email duplicates which are located in the same archive folder will not be archived by activating this option.

Archive assignment

Determines the archive that should be assigned to the profile to be created. This option is useful if you want to create a profile for an existing archive whose profile has been deleted in the past. You only have to select an archive here if you wish to assign the profile to be created with an existing archive. If you wish to create a new profile and a new archive, just leave the default value selected. Note: If an existing profile is assigned to a new or different archive, any scheduled task associated with it will be deleted and must be recreated.

Advanced

The Advanced tab allows you to specify some more advanced options for your email archive.

Retention Policy

The retention policies determine how long emails must be kept which means how long they must be in the archive before they can be deleted. This allows you to comply with legal requirements and also prevent the inadvertent deletion of archived emails. For example, if you use a retention period of 5 years, emails must be present at least 5 years and one day in the archive before you can delete them.

Determine the retention period with the scroll bar

The scroll bar allows you to determine the duration of storage in years, with a retention period of up to 30 years. Dragging the scroll list to the left will decrease the value, and you can increase the value by dragging to the right. If the value has been set to the minimum available value, the emails can be deleted from the archive at any time. The retention period can be changed at any time but only if it has not been permanently locked.

Locking the retention period

In order to comply with existing legal requirements, you can permanently lock the retention period. To do so, simply select a retention period of at least one year from the scroll bar and then click on the button "Lock Retention Policy". By clicking on this button, you can permanently lock the retention time.

Please note that locking the retention period is indeed permanent and final. Once you have locked the retention period, you will no longer be able to change it later.

Store encrypted messages in a decrypted state

Allows you to store encrypted messages in a decrypted state meaning that encrypted messages will be decrypted before and added to the archive afterwards. The correspondending private key (S/MIME and/or PGP) must be present in the certificate store/in the private key store before running the archiving task otherwise, encrypted messages cannot be decrypted during the archiving.

User Assignments

You can assign the profile to specific MailShelf users so that you can control which user is accessing the profile. If there is no specific user assignment in the multi-user mode, only administrators can access the profile. A profile is not limited to one user and can be assigned to more than one user at a time.

The user overview lists all currently created MailShelf users so that the user can be assigned quickly and easily by simply activating the user's selection box.

A user assignment already assigned can be withdrawn by deactivating the corresponding selection box. Users can be added and edited in the user management section.

Please note that the "User Assignments" tab is only displayed if you are running MailShelf in the Multi-User Environment and you are logged on as an administrator.


Mozilla SeaMonkey

To archive emails from a Mozilla SeaMonkey installation, you must specify the appropriate Mozilla SeaMonkey profile and set the appropriate settings if necessary. Once a profile has been created, it can be edited at any time.

The "Archive Mozilla SeaMonkey" window is separated in several tabs, which allows a simple and intuitive operation.

Profile Information

On the Account Information tab, you can set the appropriate Mozilla SeaMonkey installation from which emails should be archived. Basically, it is only necessary to select the Mozilla SeaMonkey profile in order to be able to archive emails from a local Mozilla SeaMonkey instalaltion so the other tabs do not necessarily have to be configured.

Profile Name

Specifies the profile name for the profile being created. You can either manually name your profile or let MailShelf decide how your profile is being named.

Profile

Select the profile from the drop down list from which the emails should be archived. All compatible profiles that are available in your local Mozilla SeaMonkey installation are displayed in this list and can be selected to archive your emails from.

Refresh Profiles

Refreshes and displays all available profiles.

Email Folders

By default, all folders of your profile are included in the archive, but you can also choose to archive only specific folders of your profile.

Archive all folders

Determines that all available folders of the specified profile should be archived.

Archive specific folders

Determines that only certain folders of the specified profile should be archived. The folders are selected by clicking on the "Browse Folders" link, which opens a new window for folder selection.

In the folder selection window, you can include the selected folder by activating the selection box of the corresponding folder. The "Include Subfolders" option also allows you to specify whether any existing subfolders of the selected folder should also be included. To exclude a folder from the archive, simply deselect the corresponding selection box.

After you have selected all the desired folders, you can confirm your selection by clicking on the OK button, so that your selection will be applied.

After clicking the OK button in the folder selection window, MailShelf will automatically fill in the fields "Folders to be included" and "Folders to be excluded" based on your selection with the corresponding folder paths.

Folders to be included

Specifies the folders of the specified profile that should be archived.

Folders to be excluded

Specifies the folders of the specified profile that should not be archived.

Please note that you can select folders by clicking the "Browse Folders" link. However, the corresponding folders can also be entered manually in the "Folders to be included" and "Folders to be excluded" fields.

Please ensure that the entered folder names or folder paths are 100% correct and accurate, as they can not be processed otherwise.

In order to avoid any errors, we recommend that you select the folders using the "Browse Folders" option. This makes sure you are on the safe side when selecting folders.

All entered folders must either end with "\*" or "\", where the parameter "\*" determines that the specified folder and any existing subfolders should be archived. The "\" parameter determines that only the actual folder, but not its subfolders should be archived. Please enter the parameters without quotation marks (").

Filter

By default, all available emails in the specified profile are archived, but you can also specify which emails should not be archived.

Don't archive spam messages

Specifies that emails detected as spam or junk messages should not be archived. This option can help keep your email archive small and clean, but it also slows down the archiving process as each email to be archived is checked for spam and junk characteristics so the process can be very time-intensive. Therefore, activating this option should be well-considered.

Please also note that this option depends on the spam filter settings you have set. If you did not enable spam or junk email detection options in the spam filter settings, the "Don't archive spam messages" option will not be considered during the archiving process and junk emails are being archived. Therefore, please remember to set spam filter settings accordingly.

Don't archive messages that are blacklisted

Specifies that emails that match the set blacklist criteria should not be archived. This option can help protect your email archive from unwanted emails, but it can slow down the archiving process slightly, since each email to be archived is compared to the blacklist before archiving. To fill your blacklist, simply go to the Blacklist settings.

Don't archive read messages

Specifies that emails that are marked as read in the specified mailbox should not be archived so that only those -mails that are marked as unread in the specified mailbox are archived. This option can slow down the archiving process very slightly.

Only archive messages that are older than a specific date and time or a date range

Determines that only those emails should be archived, which are within a certain period of time or which have been sent or received at a certain time.

Date

Determines the date and time to be considered for emails. The corresponding date and time can be selected from the calendar selection fields. After determining the date and time, only those emails which are older than the set date and time are archived.

Range

Determines the time period for emails to be considered. The corresponding period of time may be selected by the corresponding selection fields, e.g. "1 weeks". After determining the time period, only those emails which are older than the specified period are archived.

Miscellaneous

The Miscellaneous tab allows you to specify advanced options for the archiving process.

Dynamic archiving

Determines that all emails are dynamically archived, which means that remote content, e.g. images and scripts are not embedded in the archived email, so this remote content (if any) must be manually loaded when viewing the email.

Dynamic archiving is the default method, which is also the fastest as well as storage-saving archiving method.

Static archiving

Determines that emails are archived statically, which means that external content, e.g. images and scripts are embedded in the archived email so that this remote content (if any) does not need to be loaded manually when viewing the email.

When statically archiving an email, the corresponding email is checked for remote content during the archiving process, which is then downloaded from the internet (if available) at the same time so that this content is embedded directly into the email to be archived.

Please note that static archiving will slow down the archiving process as every remote content of the corresponding email is downloaded from the internet to your local system. Depending on how large the corresponding remote content is, this can slow the archiving process enormously and noticeably.

Furthermore, it should be taken into consideration that external content may not be available at all and thus can not be embedded at all. Especially with very old emails, it is not uncommon that the corresponding contents were deleted by the corresponding server meanwhile.

In this case, this will also slow down the archiving process enormously since the corresponding external content could not be found and downloaded and thus ultimately skipped through MailShelf, which would then dynamically archive the email.

Another point to consider is the security aspect. Malicious senders could try to load malware or similar content as external content. Static archiving would therefore also download this malware, although it would not be executed.

Therefore, activating this option should be well-considered.

Allow duplicates in archive

Determines that email duplicates should also be archived in the archive, but not in the same archive folder.

By default, all email duplicates in the archive are skipped, so that the same email is only archived once. However, when you enable this option, you can also archive email duplicates, which may be in the same archive, even if they are already in a different archive folder within the same archive.

Please note that an archive folder can contain the same email only once. Therefore, email duplicates which are located in the same archive folder will not be archived by activating this option.

Archive assignment

Determines the archive that should be assigned to the profile to be created. This option is useful if you want to create a profile for an existing archive whose profile has been deleted in the past. You only have to select an archive here if you wish to assign the profile to be created with an existing archive. If you wish to create a new profile and a new archive, just leave the default value selected. Note: If an existing profile is assigned to a new or different archive, any scheduled task associated with it will be deleted and must be recreated.

Advanced

The Advanced tab allows you to specify some more advanced options for your email archive.

Retention Policy

The retention policies determine how long emails must be kept which means how long they must be in the archive before they can be deleted. This allows you to comply with legal requirements and also prevent the inadvertent deletion of archived emails. For example, if you use a retention period of 5 years, emails must be present at least 5 years and one day in the archive before you can delete them.

Determine the retention period with the scroll bar

The scroll bar allows you to determine the duration of storage in years, with a retention period of up to 30 years. Dragging the scroll list to the left will decrease the value, and you can increase the value by dragging to the right. If the value has been set to the minimum available value, the emails can be deleted from the archive at any time. The retention period can be changed at any time but only if it has not been permanently locked.

Locking the retention period

In order to comply with existing legal requirements, you can permanently lock the retention period. To do so, simply select a retention period of at least one year from the scroll bar and then click on the button "Lock Retention Policy". By clicking on this button, you can permanently lock the retention time.

Please note that locking the retention period is indeed permanent and final. Once you have locked the retention period, you will no longer be able to change it later.

Store encrypted messages in a decrypted state

Allows you to store encrypted messages in a decrypted state meaning that encrypted messages will be decrypted before and added to the archive afterwards. The correspondending private key (S/MIME and/or PGP) must be present in the certificate store/in the private key store before running the archiving task otherwise, encrypted messages cannot be decrypted during the archiving.

User Assignments

You can assign the profile to specific MailShelf users so that you can control which user is accessing the profile. If there is no specific user assignment in the multi-user mode, only administrators can access the profile. A profile is not limited to one user and can be assigned to more than one user at a time.

The user overview lists all currently created MailShelf users so that the user can be assigned quickly and easily by simply activating the user's selection box.

A user assignment already assigned can be withdrawn by deactivating the corresponding selection box. Users can be added and edited in the user management section.

Please note that the "User Assignments" tab is only displayed if you are running MailShelf in the Multi-User Environment and you are logged on as an administrator.


Microsoft 365

To archive emails from a Microsoft 365 mailbox, you must specify the appropriate mailbox and set the appropriate settings if necessary. Once a profile has been created, it can be edited at any time. You need to have a registered client application in Microsoft Entra ID in order being able to archive a Microsoft 365 mailbox.

The "Archive Microsoft 365" window is separated in several tabs, which allows a simple and intuitive operation.

Account Information

On the Account Information tab, you can set the appropriate Microsoft 365 mailbox from which emails should be archived. Basically, it is only necessary to enter the account information correctly in order to be able to archive emails from an Microsoft 365 mailbox so the other tabs do not necessarily have to be configured.

Profile Name

Specifies the profile name for the profile being created. You can either manually name your profile or let MailShelf decide how your profile is being named.

User name

Enter the user name of the mailbox.

Application (client) ID

Enter the application (client) ID of the registered Microsoft Entra ID application.

Directory (tenant) ID

Enter the directory (tenant) ID of the registered Microsoft Entra ID application.

Secret

Enter the secret of the registered Microsoft Entra ID application. The button next to the secret field allows you to view or to hide the given secret.

Test Account

We recommend you to test your account settings to ensure that the given information is correct. Your emails cannot be archived if the given information is incorrect therefore, please click the Test Account Settings button to perform the test.

Email Folders

By default, all folders in your mailbox are included in the archive, but you can also choose to archive only specific folders in your mailbox.

Archive all folders

Determines that all available folders of the specified mailbox should be archived.

Archive specific folders

Determines that only certain folders of the specified mailbox should be archived. The folders are selected by clicking on the "Browse Folders" link, which opens a new window for folder selection.

In the folder selection window, you can include the selected folder by activating the selection box of the corresponding folder. The "Include Subfolders" option also allows you to specify whether any existing subfolders of the selected folder should also be included. To exclude a folder from the archive, simply deselect the corresponding selection box.

After you have selected all the desired folders, you can confirm your selection by clicking on the OK button, so that your selection will be applied.

After clicking the OK button in the folder selection window, MailShelf will automatically fill in the fields "Folders to be included" and "Folders to be excluded" based on your selection with the corresponding folder paths.

Folders to be included

Specifies the folders of the specified mailbox that should be archived.

Folders to be excluded

Specifies the folders of the specified mailbox that should not be archived.

Please note that you can select folders by clicking the "Browse Folders" link. However, the corresponding folders can also be entered manually in the "Folders to be included" and "Folders to be excluded" fields.

Please ensure that the entered folder names or folder paths are 100% correct and accurate, as they can not be processed otherwise.

In order to avoid any errors, we recommend that you select the folders using the "Browse Folders" option. This makes sure you are on the safe side when selecting folders.

All entered folders must either end with "\*" or "\", where the parameter "\*" determines that the specified folder and any existing subfolders should be archived. The "\" parameter determines that only the actual folder, but not its subfolders should be archived. Please enter the parameters without quotation marks (").

Filter

By default, all available emails in the specified mailbox are archived, but you can also specify which emails should not be archived.

Don't archive spam messages

Specifies that emails detected as spam or junk messages should not be archived. This option can help keep your email archive small and clean, but it also slows down the archiving process as each email to be archived is checked for spam and junk characteristics so the process can be very time-intensive. Therefore, activating this option should be well-considered.

Please also note that this option depends on the spam filter settings you have set. If you did not enable spam or junk email detection options in the spam filter settings, the "Don't archive spam messages" option will not be considered during the archiving process and junk emails are being archived. Therefore, please remember to set spam filter settings accordingly.

Don't archive messages that are blacklisted

Specifies that emails that match the set blacklist criteria should not be archived. This option can help protect your email archive from unwanted emails, but it can slow down the archiving process slightly, since each email to be archived is compared to the blacklist before archiving. To fill your blacklist, simply go to the Blacklist settings.

Don't archive read messages

Specifies that emails that are marked as read in the specified mailbox should not be archived so that only those -mails that are marked as unread in the specified mailbox are archived. This option can slow down the archiving process very slightly.

Only archive messages that are older than a specific date and time or a date range

Determines that only those emails should be archived, which are within a certain period of time or which have been sent or received at a certain time.

Date

Determines the date and time to be considered for emails. The corresponding date and time can be selected from the calendar selection fields. After determining the date and time, only those emails which are older than the set date and time are archived.

Range

Determines the time period for emails to be considered. The corresponding period of time may be selected by the corresponding selection fields, e.g. "1 weeks". After determining the time period, only those emails which are older than the specified period are archived.

Message Deletion

By default, emails are not deleted after archiving them and remain in the specified mailbox until they are deleted manually from the mailbox. However, you can also specify that emails are automatically be deleted from the specified mailbox after archiving them.

Never delete any messages

Determines that emails are not deleted after archiving them and that they should remain in the mailbox.

Delete messages immediately after archiving

Determines that emails are deleted from the mailbox immediately after archiving them.

Delete messages after the specified period

Determines that emails should be deleted from the mailbox after archiving them, but at the earliest after the specified period, such as "1 Week".

When specifying e.g. "1 Week", emails are archived during the archiving process and are automatically deleted from the mailbox one week after archiving, provided that the archiving process is carried out again after one week.

The desired time period can be selected from the corresponding selection fields.

Delete messages if they are older than the specified date range

Determines that emails are automatically deleted from the mailbox if they are older than the specified period, e.g. "1 Week". The desired time period can be selected from the corresponding selection fields.

Miscellaneous

The Miscellaneous tab allows you to specify advanced options for the archiving process.

Dynamic archiving

Determines that all emails are dynamically archived, which means that remote content, e.g. images and scripts are not embedded in the archived email, so this remote content (if any) must be manually loaded when viewing the email.

Dynamic archiving is the default method, which is also the fastest as well as storage-saving archiving method.

Static archiving

Determines that emails are archived statically, which means that external content, e.g. images and scripts are embedded in the archived email so that this remote content (if any) does not need to be loaded manually when viewing the email.

When statically archiving an email, the corresponding email is checked for remote content during the archiving process, which is then downloaded from the internet (if available) at the same time so that this content is embedded directly into the email to be archived.

Please note that static archiving will slow down the archiving process as every remote content of the corresponding email is downloaded from the internet to your local system. Depending on how large the corresponding remote content is, this can slow the archiving process enormously and noticeably.

Furthermore, it should be taken into consideration that external content may not be available at all and thus can not be embedded at all. Especially with very old emails, it is not uncommon that the corresponding contents were deleted by the corresponding server meanwhile.

In this case, this will also slow down the archiving process enormously since the corresponding external content could not be found and downloaded and thus ultimately skipped through MailShelf, which would then dynamically archive the email.

Another point to consider is the security aspect. Malicious senders could try to load malware or similar content as external content. Static archiving would therefore also download this malware, although it would not be executed.

Therefore, activating this option should be well-considered.

Allow duplicates in archive

Determines that email duplicates should also be archived in the archive, but not in the same archive folder.

By default, all email duplicates in the archive are skipped, so that the same email is only archived once. However, when you enable this option, you can also archive email duplicates, which may be in the same archive, even if they are already in a different archive folder within the same archive.

Please note that an archive folder can contain the same email only once. Therefore, email duplicates which are located in the same archive folder will not be archived by activating this option.

Archive assignment

Determines the archive that should be assigned to the profile to be created. This option is useful if you want to create a profile for an existing archive whose profile has been deleted in the past. You only have to select an archive here if you wish to assign the profile to be created with an existing archive. If you wish to create a new profile and a new archive, just leave the default value selected. Note: If an existing profile is assigned to a new or different archive, any scheduled task associated with it will be deleted and must be recreated.

Advanced

The Advanced tab allows you to specify some more advanced options for your email archive.

Retention Policy

The retention policies determine how long emails must be kept which means how long they must be in the archive before they can be deleted. This allows you to comply with legal requirements and also prevent the inadvertent deletion of archived emails. For example, if you use a retention period of 5 years, emails must be present at least 5 years and one day in the archive before you can delete them.

Determine the retention period with the scroll bar

The scroll bar allows you to determine the duration of storage in years, with a retention period of up to 30 years. Dragging the scroll list to the left will decrease the value, and you can increase the value by dragging to the right. If the value has been set to the minimum available value, the emails can be deleted from the archive at any time. The retention period can be changed at any time but only if it has not been permanently locked.

Locking the retention period

In order to comply with existing legal requirements, you can permanently lock the retention period. To do so, simply select a retention period of at least one year from the scroll bar and then click on the button "Lock Retention Policy". By clicking on this button, you can permanently lock the retention time.

Please note that locking the retention period is indeed permanent and final. Once you have locked the retention period, you will no longer be able to change it later.

Store encrypted messages in a decrypted state

Allows you to store encrypted messages in a decrypted state meaning that encrypted messages will be decrypted before and added to the archive afterwards. The correspondending private key (S/MIME and/or PGP) must be present in the certificate store/in the private key store before running the archiving task otherwise, encrypted messages cannot be decrypted during the archiving.

User Assignments

You can assign the profile to specific MailShelf users so that you can control which user is accessing the profile. If there is no specific user assignment in the multi-user mode, only administrators can access the profile. A profile is not limited to one user and can be assigned to more than one user at a time.

The user overview lists all currently created MailShelf users so that the user can be assigned quickly and easily by simply activating the user's selection box.

A user assignment already assigned can be withdrawn by deactivating the corresponding selection box. Users can be added and edited in the user management section.

Please note that the "User Assignments" tab is only displayed if you are running MailShelf in the Multi-User Environment and you are logged on as an administrator.


Microsoft Exchange

To archive emails from a Microsoft Exchange mailbox, you must specify the appropriate Microsoft Exchange mailbox and set the appropriate settings if necessary. Once a profile has been created, it can be edited at any time.

The "Archive Microsoft Exchange Mailbox" window is separated in several tabs, which allows a simple and intuitive operation.

Account Information

On the Account Information tab, you can set the appropriate Microsoft Exchange mailbox from which emails should be archived. Basically, it is only necessary to enter the account information correctly in order to be able to archive emails from an Microsoft Exchange mailbox so the other tabs do not necessarily have to be configured.

Profile Name

Specifies the profile name for the profile being created. You can either manually name your profile or let MailShelf decide how your profile is being named.

Microsoft Exchange Server Version

Select the appropriate version of the server you wish to connect to.

Host

Enter the host name of the Microsoft Exchange Server you wish to connect to, such as: "exchange.mydomain.tld". Please ask your administrator if you do not have this information.

Disable Certificate Validation

When this option is enabled, all server certificates are accepted no matter if they are self-signed, valid or not.

Autodiscover

Determine whether the host name should be detected automatically based on your email address and password. In such a case, it is not necessary to enter the host name manually. However, depending on how the corresponding Microsoft Exchange Server was configured, automatic discovery may be disabled. If in doubt, please ask your administrator.

User name

Enter the user name of your mailbox. This might be an email address or an account name (user principal name).

Password

Enter the corresponding password for your mailbox. The button next to the password field allows you to view or to hide the password.

Test Account

We recommend you to test your account settings to ensure that the given information is correct. Your emails cannot be archived if the given information is incorrect therefore, please click the Test Account button to perform the test.

Email Folders

By default, all folders in your mailbox are included in the archive, but you can also choose to archive only specific folders in your mailbox.

Archive all folders

Determines that all available folders of the specified mailbox should be archived.

Archive specific folders

Determines that only certain folders of the specified mailbox should be archived. The folders are selected by clicking on the "Browse Folders" link, which opens a new window for folder selection.

In the folder selection window, you can include the selected folder by activating the selection box of the corresponding folder. The "Include Subfolders" option also allows you to specify whether any existing subfolders of the selected folder should also be included. To exclude a folder from the archive, simply deselect the corresponding selection box.

After you have selected all the desired folders, you can confirm your selection by clicking on the OK button, so that your selection will be applied.

After clicking the OK button in the folder selection window, MailShelf will automatically fill in the fields "Folders to be included" and "Folders to be excluded" based on your selection with the corresponding folder paths.

Folders to be included

Specifies the folders of the specified mailbox that should be archived.

Folders to be excluded

Specifies the folders of the specified mailbox that should not be archived.

Please note that you can select folders by clicking the "Browse Folders" link. However, the corresponding folders can also be entered manually in the "Folders to be included" and "Folders to be excluded" fields.

Please ensure that the entered folder names or folder paths are 100% correct and accurate, as they can not be processed otherwise.

In order to avoid any errors, we recommend that you select the folders using the "Browse Folders" option. This makes sure you are on the safe side when selecting folders.

All entered folders must either end with "\*" or "\", where the parameter "\*" determines that the specified folder and any existing subfolders should be archived. The "\" parameter determines that only the actual folder, but not its subfolders should be archived. Please enter the parameters without quotation marks (").

Filter

By default, all available emails in the specified mailbox are archived, but you can also specify which emails should not be archived.

Don't archive spam messages

Specifies that emails detected as spam or junk messages should not be archived. This option can help keep your email archive small and clean, but it also slows down the archiving process as each email to be archived is checked for spam and junk characteristics so the process can be very time-intensive. Therefore, activating this option should be well-considered.

Please also note that this option depends on the spam filter settings you have set. If you did not enable spam or junk email detection options in the spam filter settings, the "Don't archive spam messages" option will not be considered during the archiving process and junk emails are being archived. Therefore, please remember to set spam filter settings accordingly.

Don't archive messages that are blacklisted

Specifies that emails that match the set blacklist criteria should not be archived. This option can help protect your email archive from unwanted emails, but it can slow down the archiving process slightly, since each email to be archived is compared to the blacklist before archiving. To fill your blacklist, simply go to the Blacklist settings.

Don't archive read messages

Specifies that emails that are marked as read in the specified mailbox should not be archived so that only those -mails that are marked as unread in the specified mailbox are archived. This option can slow down the archiving process very slightly.

Only archive messages that are older than a specific date and time or a date range

Determines that only those emails should be archived, which are within a certain period of time or which have been sent or received at a certain time.

Date

Determines the date and time to be considered for emails. The corresponding date and time can be selected from the calendar selection fields. After determining the date and time, only those emails which are older than the set date and time are archived.

Range

Determines the time period for emails to be considered. The corresponding period of time may be selected by the corresponding selection fields, e.g. "1 weeks". After determining the time period, only those emails which are older than the specified period are archived.

Message Deletion

By default, emails are not deleted after archiving them and remain in the specified mailbox until they are deleted manually from the mailbox. However, you can also specify that emails are automatically be deleted from the specified mailbox after archiving them.

Never delete any messages

Determines that emails are not deleted after archiving them and that they should remain in the mailbox.

Delete messages immediately after archiving

Determines that emails are deleted from the mailbox immediately after archiving them.

Delete messages after the specified period

Determines that emails should be deleted from the mailbox after archiving them, but at the earliest after the specified period, such as "1 Week".

When specifying e.g. "1 Week", emails are archived during the archiving process and are automatically deleted from the mailbox one week after archiving, provided that the archiving process is carried out again after one week.

The desired time period can be selected from the corresponding selection fields.

Delete messages if they are older than the specified date range

Determines that emails are automatically deleted from the mailbox if they are older than the specified period, e.g. "1 Week". The desired time period can be selected from the corresponding selection fields.

Miscellaneous

The Miscellaneous tab allows you to specify advanced options for the archiving process.

Dynamic archiving

Determines that all emails are dynamically archived, which means that remote content, e.g. images and scripts are not embedded in the archived email, so this remote content (if any) must be manually loaded when viewing the email.

Dynamic archiving is the default method, which is also the fastest as well as storage-saving archiving method.

Static archiving

Determines that emails are archived statically, which means that external content, e.g. images and scripts are embedded in the archived email so that this remote content (if any) does not need to be loaded manually when viewing the email.

When statically archiving an email, the corresponding email is checked for remote content during the archiving process, which is then downloaded from the internet (if available) at the same time so that this content is embedded directly into the email to be archived.

Please note that static archiving will slow down the archiving process as every remote content of the corresponding email is downloaded from the internet to your local system. Depending on how large the corresponding remote content is, this can slow the archiving process enormously and noticeably.

Furthermore, it should be taken into consideration that external content may not be available at all and thus can not be embedded at all. Especially with very old emails, it is not uncommon that the corresponding contents were deleted by the corresponding server meanwhile.

In this case, this will also slow down the archiving process enormously since the corresponding external content could not be found and downloaded and thus ultimately skipped through MailShelf, which would then dynamically archive the email.

Another point to consider is the security aspect. Malicious senders could try to load malware or similar content as external content. Static archiving would therefore also download this malware, although it would not be executed.

Therefore, activating this option should be well-considered.

Allow duplicates in archive

Determines that email duplicates should also be archived in the archive, but not in the same archive folder.

By default, all email duplicates in the archive are skipped, so that the same email is only archived once. However, when you enable this option, you can also archive email duplicates, which may be in the same archive, even if they are already in a different archive folder within the same archive.

Please note that an archive folder can contain the same email only once. Therefore, email duplicates which are located in the same archive folder will not be archived by activating this option.

Archive assignment

Determines the archive that should be assigned to the profile to be created. This option is useful if you want to create a profile for an existing archive whose profile has been deleted in the past. You only have to select an archive here if you wish to assign the profile to be created with an existing archive. If you wish to create a new profile and a new archive, just leave the default value selected. Note: If an existing profile is assigned to a new or different archive, any scheduled task associated with it will be deleted and must be recreated.

Advanced

The Advanced tab allows you to specify some more advanced options for your email archive.

Retention Policy

The retention policies determine how long emails must be kept which means how long they must be in the archive before they can be deleted. This allows you to comply with legal requirements and also prevent the inadvertent deletion of archived emails. For example, if you use a retention period of 5 years, emails must be present at least 5 years and one day in the archive before you can delete them.

Determine the retention period with the scroll bar

The scroll bar allows you to determine the duration of storage in years, with a retention period of up to 30 years. Dragging the scroll list to the left will decrease the value, and you can increase the value by dragging to the right. If the value has been set to the minimum available value, the emails can be deleted from the archive at any time. The retention period can be changed at any time but only if it has not been permanently locked.

Locking the retention period

In order to comply with existing legal requirements, you can permanently lock the retention period. To do so, simply select a retention period of at least one year from the scroll bar and then click on the button "Lock Retention Policy". By clicking on this button, you can permanently lock the retention time.

Please note that locking the retention period is indeed permanent and final. Once you have locked the retention period, you will no longer be able to change it later.

Store encrypted messages in a decrypted state

Allows you to store encrypted messages in a decrypted state meaning that encrypted messages will be decrypted before and added to the archive afterwards. The correspondending private key (S/MIME and/or PGP) must be present in the certificate store/in the private key store before running the archiving task otherwise, encrypted messages cannot be decrypted during the archiving.

User Assignments

You can assign the profile to specific MailShelf users so that you can control which user is accessing the profile. If there is no specific user assignment in the multi-user mode, only administrators can access the profile. A profile is not limited to one user and can be assigned to more than one user at a time.

The user overview lists all currently created MailShelf users so that the user can be assigned quickly and easily by simply activating the user's selection box.

A user assignment already assigned can be withdrawn by deactivating the corresponding selection box. Users can be added and edited in the user management section.

Please note that the "User Assignments" tab is only displayed if you are running MailShelf in the Multi-User Environment and you are logged on as an administrator.


Google Workspace

To archive emails from a Google Workspace mailbox, you must specify the appropriate mailbox and set the appropriate settings if necessary. Once a profile has been created, it can be edited at any time. You need to have a created service account in Google Cloud Console in order being able to archive a Google Workspace mailbox.

The "Archive Google Workspace Mailbox" window is separated in several tabs, which allows a simple and intuitive operation.

Account Information

On the Account Information tab, you can set the appropriate Google Workspace mailbox from which emails should be archived. Basically, it is only necessary to enter the account information correctly in order to be able to archive emails from an Google Workspace mailbox so the other tabs do not necessarily have to be configured.

Profile Name

Specifies the profile name for the profile being created. You can either manually name your profile or let MailShelf decide how your profile is being named.

Email address

Enter the email address of your mailbox.

Private key file

Enter or select the path to the private key file (JSON) downloaded from the Google Cloud Console.

Test Account

We recommend you to test your account settings to ensure that the given information is correct. Your emails cannot be archived if the given information is incorrect therefore, please click the Test Account Settings button to perform the test.

Email Folders

By default, all folders in your mailbox are included in the archive, but you can also choose to archive only specific folders in your mailbox.

Archive all folders

Determines that all available folders of the specified mailbox should be archived.

Archive specific folders

Determines that only certain folders of the specified mailbox should be archived. The folders are selected by clicking on the "Browse Folders" link, which opens a new window for folder selection.

In the folder selection window, you can include the selected folder by activating the selection box of the corresponding folder. The "Include Subfolders" option also allows you to specify whether any existing subfolders of the selected folder should also be included. To exclude a folder from the archive, simply deselect the corresponding selection box.

After you have selected all the desired folders, you can confirm your selection by clicking on the OK button, so that your selection will be applied.

After clicking the OK button in the folder selection window, MailShelf will automatically fill in the fields "Folders to be included" and "Folders to be excluded" based on your selection with the corresponding folder paths.

Folders to be included

Specifies the folders of the specified mailbox that should be archived.

Folders to be excluded

Specifies the folders of the specified mailbox that should not be archived.

Please note that you can select folders by clicking the "Browse Folders" link. However, the corresponding folders can also be entered manually in the "Folders to be included" and "Folders to be excluded" fields.

Please ensure that the entered folder names or folder paths are 100% correct and accurate, as they can not be processed otherwise.

In order to avoid any errors, we recommend that you select the folders using the "Browse Folders" option. This makes sure you are on the safe side when selecting folders.

All entered folders must either end with "\*" or "\", where the parameter "\*" determines that the specified folder and any existing subfolders should be archived. The "\" parameter determines that only the actual folder, but not its subfolders should be archived. Please enter the parameters without quotation marks (").

Filter

By default, all available emails in the specified mailbox are archived, but you can also specify which emails should not be archived.

Don't archive spam messages

Specifies that emails detected as spam or junk messages should not be archived. This option can help keep your email archive small and clean, but it also slows down the archiving process as each email to be archived is checked for spam and junk characteristics so the process can be very time-intensive. Therefore, activating this option should be well-considered.

Please also note that this option depends on the spam filter settings you have set. If you did not enable spam or junk email detection options in the spam filter settings, the "Don't archive spam messages" option will not be considered during the archiving process and junk emails are being archived. Therefore, please remember to set spam filter settings accordingly.

Don't archive messages that are blacklisted

Specifies that emails that match the set blacklist criteria should not be archived. This option can help protect your email archive from unwanted emails, but it can slow down the archiving process slightly, since each email to be archived is compared to the blacklist before archiving. To fill your blacklist, simply go to the Blacklist settings.

Don't archive read messages

Specifies that emails that are marked as read in the specified mailbox should not be archived so that only those -mails that are marked as unread in the specified mailbox are archived. This option can slow down the archiving process very slightly.

Only archive messages that are older than a specific date and time or a date range

Determines that only those emails should be archived, which are within a certain period of time or which have been sent or received at a certain time.

Date

Determines the date and time to be considered for emails. The corresponding date and time can be selected from the calendar selection fields. After determining the date and time, only those emails which are older than the set date and time are archived.

Range

Determines the time period for emails to be considered. The corresponding period of time may be selected by the corresponding selection fields, e.g. "1 weeks". After determining the time period, only those emails which are older than the specified period are archived.

Message Deletion

By default, emails are not deleted after archiving them and remain in the specified mailbox until they are deleted manually from the mailbox. However, you can also specify that emails are automatically be deleted from the specified mailbox after archiving them.

Never delete any messages

Determines that emails are not deleted after archiving them and that they should remain in the mailbox.

Delete messages immediately after archiving

Determines that emails are deleted from the mailbox immediately after archiving them.

Delete messages after the specified period

Determines that emails should be deleted from the mailbox after archiving them, but at the earliest after the specified period, such as "1 Week".

When specifying e.g. "1 Week", emails are archived during the archiving process and are automatically deleted from the mailbox one week after archiving, provided that the archiving process is carried out again after one week.

The desired time period can be selected from the corresponding selection fields.

Delete messages if they are older than the specified date range

Determines that emails are automatically deleted from the mailbox if they are older than the specified period, e.g. "1 Week". The desired time period can be selected from the corresponding selection fields.

Miscellaneous

The Miscellaneous tab allows you to specify advanced options for the archiving process.

Dynamic archiving

Determines that all emails are dynamically archived, which means that remote content, e.g. images and scripts are not embedded in the archived email, so this remote content (if any) must be manually loaded when viewing the email.

Dynamic archiving is the default method, which is also the fastest as well as storage-saving archiving method.

Static archiving

Determines that emails are archived statically, which means that external content, e.g. images and scripts are embedded in the archived email so that this remote content (if any) does not need to be loaded manually when viewing the email.

When statically archiving an email, the corresponding email is checked for remote content during the archiving process, which is then downloaded from the internet (if available) at the same time so that this content is embedded directly into the email to be archived.

Please note that static archiving will slow down the archiving process as every remote content of the corresponding email is downloaded from the internet to your local system. Depending on how large the corresponding remote content is, this can slow the archiving process enormously and noticeably.

Furthermore, it should be taken into consideration that external content may not be available at all and thus can not be embedded at all. Especially with very old emails, it is not uncommon that the corresponding contents were deleted by the corresponding server meanwhile.

In this case, this will also slow down the archiving process enormously since the corresponding external content could not be found and downloaded and thus ultimately skipped through MailShelf, which would then dynamically archive the email.

Another point to consider is the security aspect. Malicious senders could try to load malware or similar content as external content. Static archiving would therefore also download this malware, although it would not be executed.

Therefore, activating this option should be well-considered.

Allow duplicates in archive

Determines that email duplicates should also be archived in the archive, but not in the same archive folder.

By default, all email duplicates in the archive are skipped, so that the same email is only archived once. However, when you enable this option, you can also archive email duplicates, which may be in the same archive, even if they are already in a different archive folder within the same archive.

Please note that an archive folder can contain the same email only once. Therefore, email duplicates which are located in the same archive folder will not be archived by activating this option.

Archive assignment

Determines the archive that should be assigned to the profile to be created. This option is useful if you want to create a profile for an existing archive whose profile has been deleted in the past. You only have to select an archive here if you wish to assign the profile to be created with an existing archive. If you wish to create a new profile and a new archive, just leave the default value selected. Note: If an existing profile is assigned to a new or different archive, any scheduled task associated with it will be deleted and must be recreated.

Advanced

The Advanced tab allows you to specify some more advanced options for your email archive.

Retention Policy

The retention policies determine how long emails must be kept which means how long they must be in the archive before they can be deleted. This allows you to comply with legal requirements and also prevent the inadvertent deletion of archived emails. For example, if you use a retention period of 5 years, emails must be present at least 5 years and one day in the archive before you can delete them.

Determine the retention period with the scroll bar

The scroll bar allows you to determine the duration of storage in years, with a retention period of up to 30 years. Dragging the scroll list to the left will decrease the value, and you can increase the value by dragging to the right. If the value has been set to the minimum available value, the emails can be deleted from the archive at any time. The retention period can be changed at any time but only if it has not been permanently locked.

Locking the retention period

In order to comply with existing legal requirements, you can permanently lock the retention period. To do so, simply select a retention period of at least one year from the scroll bar and then click on the button "Lock Retention Policy". By clicking on this button, you can permanently lock the retention time.

Please note that locking the retention period is indeed permanent and final. Once you have locked the retention period, you will no longer be able to change it later.

Store encrypted messages in a decrypted state

Allows you to store encrypted messages in a decrypted state meaning that encrypted messages will be decrypted before and added to the archive afterwards. The correspondending private key (S/MIME and/or PGP) must be present in the certificate store/in the private key store before running the archiving task otherwise, encrypted messages cannot be decrypted during the archiving.

User Assignments

You can assign the profile to specific MailShelf users so that you can control which user is accessing the profile. If there is no specific user assignment in the multi-user mode, only administrators can access the profile. A profile is not limited to one user and can be assigned to more than one user at a time.

The user overview lists all currently created MailShelf users so that the user can be assigned quickly and easily by simply activating the user's selection box.

A user assignment already assigned can be withdrawn by deactivating the corresponding selection box. Users can be added and edited in the user management section.

Please note that the "User Assignments" tab is only displayed if you are running MailShelf in the Multi-User Environment and you are logged on as an administrator.


IMAP4 Mailbox

To archive emails from an IMAP4 mailbox, you must specify the appropriate IMAP4 mailbox and set the appropriate settings if necessary. Once a profile has been created, it can be edited at any time.

The "Archive IMAP4 Mailbox" window is separated in several tabs, which allows a simple and intuitive operation.

Account Information

On the Account Information tab, you can set the appropriate IMAP4 mailbox from which emails should be archived. Basically, it is only necessary to enter the account information correctly in order to be able to archive emails from an IMAP4 mailbox so the other tabs do not necessarily have to be configured.

Profile Name

Specifies the profile name for the profile being created. You can either manually name your profile or let MailShelf decide how your profile is being named.

Email Address

Enter the email address of your mailbox.

Host

Enter the host name of the server, such as "imap.mydomain.tld". Please ask your administrator if you do not have this information.

Port

Enter the port of your server, e.g. "143".

Timeout

Enter a timeout value in seconds, e.g. "30". This value determines that the specified number of seconds that is to be waited or retried before an error is displayed.

SSL Mode

Select the SSL mode to specify in which way the connection should switch into TLS/SSL mode.

SSL Protocol

Select the SSL protocol to be used for performing TLS/SSL negotiation and data encryption.

User Name

Enter the user name of your mailbox. This might be your email address.

Password

Enter the corresponding password for your mailbox. The button next to the password field allows you to view or to hide the password.

Authorize

This button is only available if your email account requires authentication through OAuth 2.0, like outlook.com, gmail.com and others. In this case, just click the Authorize button and completely follow the process in order to perform the authorization. The fields User Name as well as Password are not available if your email account needs to be authorized through OAuth 2.0.

Test Account

We recommend you to test your account settings to ensure that the given information is correct. Your emails cannot be archived if the given information is incorrect therefore, please click the Test Account Settings button to perform the test.

Some email providers may require you to set some specific settings on their web portal in order being able to archive via IMAP4. If this is the case, MailShelf will display a hint and provides a link with all required information and steps that have to be done.

Email Folders

By default, all folders in your mailbox are included in the archive, but you can also choose to archive only specific folders in your mailbox.

Archive all folders

Determines that all available folders of the specified mailbox should be archived.

Archive specific folders

Determines that only certain folders of the specified mailbox should be archived. The folders are selected by clicking on the "Browse Folders" link, which opens a new window for folder selection.

In the folder selection window, you can include the selected folder by activating the selection box of the corresponding folder. The "Include Subfolders" option also allows you to specify whether any existing subfolders of the selected folder should also be included. To exclude a folder from the archive, simply deselect the corresponding selection box.

After you have selected all the desired folders, you can confirm your selection by clicking on the OK button, so that your selection will be applied.

After clicking the OK button in the folder selection window, MailShelf will automatically fill in the fields "Folders to be included" and "Folders to be excluded" based on your selection with the corresponding folder paths.

Folders to be included

Specifies the folders of the specified mailbox that should be archived.

Folders to be excluded

Specifies the folders of the specified mailbox that should not be archived.

Please note that you can select folders by clicking the "Browse Folders" link. However, the corresponding folders can also be entered manually in the "Folders to be included" and "Folders to be excluded" fields.

Please ensure that the entered folder names or folder paths are 100% correct and accurate, as they can not be processed otherwise.

In order to avoid any errors, we recommend that you select the folders using the "Browse Folders" option. This makes sure you are on the safe side when selecting folders.

All entered folders must either end with "\*" or "\", where the parameter "\*" determines that the specified folder and any existing subfolders should be archived. The "\" parameter determines that only the actual folder, but not its subfolders should be archived. Please enter the parameters without quotation marks (").

Filter

By default, all available emails in the specified mailbox are archived, but you can also specify which emails should not be archived.

Don't archive spam messages

Specifies that emails detected as spam or junk messages should not be archived. This option can help keep your email archive small and clean, but it also slows down the archiving process as each email to be archived is checked for spam and junk characteristics so the process can be very time-intensive. Therefore, activating this option should be well-considered.

Please also note that this option depends on the spam filter settings you have set. If you did not enable spam or junk email detection options in the spam filter settings, the "Don't archive spam messages" option will not be considered during the archiving process and junk emails are being archived. Therefore, please remember to set spam filter settings accordingly.

Don't archive messages that are blacklisted

Specifies that emails that match the set blacklist criteria should not be archived. This option can help protect your email archive from unwanted emails, but it can slow down the archiving process slightly, since each email to be archived is compared to the blacklist before archiving. To fill your blacklist, simply go to the Blacklist settings.

Don't archive read messages

Specifies that emails that are marked as read in the specified mailbox should not be archived so that only those -mails that are marked as unread in the specified mailbox are archived. This option can slow down the archiving process very slightly.

Only archive messages that are older than a specific date and time or a date range

Determines that only those emails should be archived, which are within a certain period of time or which have been sent or received at a certain time.

Date

Determines the date and time to be considered for emails. The corresponding date and time can be selected from the calendar selection fields. After determining the date and time, only those emails which are older than the set date and time are archived.

Range

Determines the time period for emails to be considered. The corresponding period of time may be selected by the corresponding selection fields, e.g. "1 weeks". After determining the time period, only those emails which are older than the specified period are archived.

Message Deletion

By default, emails are not deleted after archiving them and remain in the specified mailbox until they are deleted manually from the mailbox. However, you can also specify that emails are automatically be deleted from the specified mailbox after archiving them.

Never delete any messages

Determines that emails are not deleted after archiving them and that they should remain in the mailbox.

Delete messages immediately after archiving

Determines that emails are deleted from the mailbox immediately after archiving them.

Delete messages after the specified period

Determines that emails should be deleted from the mailbox after archiving them, but at the earliest after the specified period, such as "1 Week".

When specifying e.g. "1 Week", emails are archived during the archiving process and are automatically deleted from the mailbox one week after archiving, provided that the archiving process is carried out again after one week.

The desired time period can be selected from the corresponding selection fields.

Delete messages if they are older than the specified date range

Determines that emails are automatically deleted from the mailbox if they are older than the specified period, e.g. "1 Week". The desired time period can be selected from the corresponding selection fields.

Miscellaneous

The Miscellaneous tab allows you to specify advanced options for the archiving process.

Dynamic archiving

Determines that all emails are dynamically archived, which means that remote content, e.g. images and scripts are not embedded in the archived email, so this remote content (if any) must be manually loaded when viewing the email.

Dynamic archiving is the default method, which is also the fastest as well as storage-saving archiving method.

Static archiving

Determines that emails are archived statically, which means that external content, e.g. images and scripts are embedded in the archived email so that this remote content (if any) does not need to be loaded manually when viewing the email.

When statically archiving an email, the corresponding email is checked for remote content during the archiving process, which is then downloaded from the internet (if available) at the same time so that this content is embedded directly into the email to be archived.

Please note that static archiving will slow down the archiving process as every remote content of the corresponding email is downloaded from the internet to your local system. Depending on how large the corresponding remote content is, this can slow the archiving process enormously and noticeably.

Furthermore, it should be taken into consideration that external content may not be available at all and thus can not be embedded at all. Especially with very old emails, it is not uncommon that the corresponding contents were deleted by the corresponding server meanwhile.

In this case, this will also slow down the archiving process enormously since the corresponding external content could not be found and downloaded and thus ultimately skipped through MailShelf, which would then dynamically archive the email.

Another point to consider is the security aspect. Malicious senders could try to load malware or similar content as external content. Static archiving would therefore also download this malware, although it would not be executed.

Therefore, activating this option should be well-considered.

Allow duplicates in archive

Determines that email duplicates should also be archived in the archive, but not in the same archive folder.

By default, all email duplicates in the archive are skipped, so that the same email is only archived once. However, when you enable this option, you can also archive email duplicates, which may be in the same archive, even if they are already in a different archive folder within the same archive.

Please note that an archive folder can contain the same email only once. Therefore, email duplicates which are located in the same archive folder will not be archived by activating this option.

Archive assignment

Determines the archive that should be assigned to the profile to be created. This option is useful if you want to create a profile for an existing archive whose profile has been deleted in the past. You only have to select an archive here if you wish to assign the profile to be created with an existing archive. If you wish to create a new profile and a new archive, just leave the default value selected. Note: If an existing profile is assigned to a new or different archive, any scheduled task associated with it will be deleted and must be recreated.

Advanced

The Advanced tab allows you to specify some more advanced options for your email archive.

Retention Policy

The retention policies determine how long emails must be kept which means how long they must be in the archive before they can be deleted. This allows you to comply with legal requirements and also prevent the inadvertent deletion of archived emails. For example, if you use a retention period of 5 years, emails must be present at least 5 years and one day in the archive before you can delete them.

Determine the retention period with the scroll bar

The scroll bar allows you to determine the duration of storage in years, with a retention period of up to 30 years. Dragging the scroll list to the left will decrease the value, and you can increase the value by dragging to the right. If the value has been set to the minimum available value, the emails can be deleted from the archive at any time. The retention period can be changed at any time but only if it has not been permanently locked.

Locking the retention period

In order to comply with existing legal requirements, you can permanently lock the retention period. To do so, simply select a retention period of at least one year from the scroll bar and then click on the button "Lock Retention Policy". By clicking on this button, you can permanently lock the retention time.

Please note that locking the retention period is indeed permanent and final. Once you have locked the retention period, you will no longer be able to change it later.

Store encrypted messages in a decrypted state

Allows you to store encrypted messages in a decrypted state meaning that encrypted messages will be decrypted before and added to the archive afterwards. The correspondending private key (S/MIME and/or PGP) must be present in the certificate store/in the private key store before running the archiving task otherwise, encrypted messages cannot be decrypted during the archiving.

User Assignments

You can assign the profile to specific MailShelf users so that you can control which user is accessing the profile. If there is no specific user assignment in the multi-user mode, only administrators can access the profile. A profile is not limited to one user and can be assigned to more than one user at a time.

The user overview lists all currently created MailShelf users so that the user can be assigned quickly and easily by simply activating the user's selection box.

A user assignment already assigned can be withdrawn by deactivating the corresponding selection box. Users can be added and edited in the user management section.

Please note that the "User Assignments" tab is only displayed if you are running MailShelf in the Multi-User Environment and you are logged on as an administrator.


POP3 Mailbox

To archive emails from a POP3 mailbox, you must specify the appropriate POP3 mailbox and set the appropriate settings if necessary. Once a profile has been created, it can be edited at any time.

The "Archive POP3 Mailbox" window is separated in several tabs, which allows a simple and intuitive operation.

Account Information

On the Account Information tab, you can set the appropriate POP3 mailbox from which emails should be archived. Basically, it is only necessary to enter the account information correctly in order to be able to archive emails from an POP3 mailbox so the other tabs do not necessarily have to be configured.

Profile Name

Specifies the profile name for the profile being created. You can either manually name your profile or let MailShelf decide how your profile is being named.

Email Address

Enter the email address of your mailbox.

Host

Enter the host name of the server, such as "pop3.mydomain.tld". Please ask your administrator if you do not have this information.

Port

Enter the port of your server, e.g. "110".

Timeout

Enter a timeout value in seconds, e.g. "30". This value determines that the specified number of seconds that is to be waited or retried before an error is displayed.

SSL Mode

Select the SSL mode to specify in which way the connection should switch into TLS/SSL mode.

SSL Protocol

Select the SSL protocol to be used for performing TLS/SSL negotiation and data encryption.

User Name

Enter the user name of your mailbox. This might be your email address.

Password

Enter the corresponding password for your mailbox. The button next to the password field allows you to view or to hide the password.

Authorize

This button is only available if your email account requires authentication through OAuth 2.0, like outlook.com, gmail.com and others. In this case, just click the Authorize button and completely follow the process in order to perform the authorization. The fields User Name as well as Password are not available if your email account needs to be authorized through OAuth 2.0.

Test Account

We recommend you to test your account settings to ensure that the given information is correct. Your emails cannot be archived if the given information is incorrect therefore, please click the Test Account Settings button to perform the test.

Some email providers may require you to set some specific settings on their web portal in order being able to archive via POP3. If this is the case, MailShelf will display a hint and provides a link with all required information and steps that have to be done.

Filter

By default, all available emails in the specified mailbox are archived, but you can also specify which emails should not be archived.

Don't archive spam messages

Specifies that emails detected as spam or junk messages should not be archived. This option can help keep your email archive small and clean, but it also slows down the archiving process as each email to be archived is checked for spam and junk characteristics so the process can be very time-intensive. Therefore, activating this option should be well-considered.

Please also note that this option depends on the spam filter settings you have set. If you did not enable spam or junk email detection options in the spam filter settings, the "Don't archive spam messages" option will not be considered during the archiving process and junk emails are being archived. Therefore, please remember to set spam filter settings accordingly.

Don't archive messages that are blacklisted

Specifies that emails that match the set blacklist criteria should not be archived. This option can help protect your email archive from unwanted emails, but it can slow down the archiving process slightly, since each email to be archived is compared to the blacklist before archiving. To fill your blacklist, simply go to the Blacklist settings.

Only archive messages that are older than a specific date and time or a date range

Determines that only those emails should be archived, which are within a certain period of time or which have been sent or received at a certain time.

Date

Determines the date and time to be considered for emails. The corresponding date and time can be selected from the calendar selection fields. After determining the date and time, only those emails which are older than the set date and time are archived.

Range

Determines the time period for emails to be considered. The corresponding period of time may be selected by the corresponding selection fields, e.g. "1 weeks". After determining the time period, only those emails which are older than the specified period are archived.

Message Deletion

By default, emails are not deleted after archiving them and remain in the specified mailbox until they are deleted manually from the mailbox. However, you can also specify that emails are automatically be deleted from the specified mailbox after archiving them.

Never delete any messages

Determines that emails are not deleted after archiving them and that they should remain in the mailbox.

Delete messages immediately after archiving

Determines that emails are deleted from the mailbox immediately after archiving them.

Delete messages after the specified period

Determines that emails should be deleted from the mailbox after archiving them, but at the earliest after the specified period, such as "1 Week".

When specifying e.g. "1 Week", emails are archived during the archiving process and are automatically deleted from the mailbox one week after archiving, provided that the archiving process is carried out again after one week.

The desired time period can be selected from the corresponding selection fields.

Delete messages if they are older than the specified date range

Determines that emails are automatically deleted from the mailbox if they are older than the specified period, e.g. "1 Week". The desired time period can be selected from the corresponding selection fields.

Miscellaneous

The Miscellaneous tab allows you to specify advanced options for the archiving process.

Dynamic archiving

Determines that all emails are dynamically archived, which means that remote content, e.g. images and scripts are not embedded in the archived email, so this remote content (if any) must be manually loaded when viewing the email.

Dynamic archiving is the default method, which is also the fastest as well as storage-saving archiving method.

Static archiving

Determines that emails are archived statically, which means that external content, e.g. images and scripts are embedded in the archived email so that this remote content (if any) does not need to be loaded manually when viewing the email.

When statically archiving an email, the corresponding email is checked for remote content during the archiving process, which is then downloaded from the internet (if available) at the same time so that this content is embedded directly into the email to be archived.

Please note that static archiving will slow down the archiving process as every remote content of the corresponding email is downloaded from the internet to your local system. Depending on how large the corresponding remote content is, this can slow the archiving process enormously and noticeably.

Furthermore, it should be taken into consideration that external content may not be available at all and thus can not be embedded at all. Especially with very old emails, it is not uncommon that the corresponding contents were deleted by the corresponding server meanwhile.

In this case, this will also slow down the archiving process enormously since the corresponding external content could not be found and downloaded and thus ultimately skipped through MailShelf, which would then dynamically archive the email.

Another point to consider is the security aspect. Malicious senders could try to load malware or similar content as external content. Static archiving would therefore also download this malware, although it would not be executed.

Therefore, activating this option should be well-considered.

Allow duplicates in archive

Determines that email duplicates should also be archived in the archive, but not in the same archive folder.

By default, all email duplicates in the archive are skipped, so that the same email is only archived once. However, when you enable this option, you can also archive email duplicates, which may be in the same archive, even if they are already in a different archive folder within the same archive.

Please note that an archive folder can contain the same email only once. Therefore, email duplicates which are located in the same archive folder will not be archived by activating this option.

Archive assignment

Determines the archive that should be assigned to the profile to be created. This option is useful if you want to create a profile for an existing archive whose profile has been deleted in the past. You only have to select an archive here if you wish to assign the profile to be created with an existing archive. If you wish to create a new profile and a new archive, just leave the default value selected. Note: If an existing profile is assigned to a new or different archive, any scheduled task associated with it will be deleted and must be recreated.

Advanced

The Advanced tab allows you to specify some more advanced options for your email archive.

Retention Policy

The retention policies determine how long emails must be kept which means how long they must be in the archive before they can be deleted. This allows you to comply with legal requirements and also prevent the inadvertent deletion of archived emails. For example, if you use a retention period of 5 years, emails must be present at least 5 years and one day in the archive before you can delete them.

Determine the retention period with the scroll bar

The scroll bar allows you to determine the duration of storage in years, with a retention period of up to 30 years. Dragging the scroll list to the left will decrease the value, and you can increase the value by dragging to the right. If the value has been set to the minimum available value, the emails can be deleted from the archive at any time. The retention period can be changed at any time but only if it has not been permanently locked.

Locking the retention period

In order to comply with existing legal requirements, you can permanently lock the retention period. To do so, simply select a retention period of at least one year from the scroll bar and then click on the button "Lock Retention Policy". By clicking on this button, you can permanently lock the retention time.

Please note that locking the retention period is indeed permanent and final. Once you have locked the retention period, you will no longer be able to change it later.

Store encrypted messages in a decrypted state

Allows you to store encrypted messages in a decrypted state meaning that encrypted messages will be decrypted before and added to the archive afterwards. The correspondending private key (S/MIME and/or PGP) must be present in the certificate store/in the private key store before running the archiving task otherwise, encrypted messages cannot be decrypted during the archiving.

User Assignments

You can assign the profile to specific MailShelf users so that you can control which user is accessing the profile. If there is no specific user assignment in the multi-user mode, only administrators can access the profile. A profile is not limited to one user and can be assigned to more than one user at a time.

The user overview lists all currently created MailShelf users so that the user can be assigned quickly and easily by simply activating the user's selection box.

A user assignment already assigned can be withdrawn by deactivating the corresponding selection box. Users can be added and edited in the user management section.

Please note that the "User Assignments" tab is only displayed if you are running MailShelf in the Multi-User Environment and you are logged on as an administrator.


Microsoft Outlook (Classic)

To archive emails from a Microsoft Outlook installation, you must specify the appropriate Microsoft Outlook storage and set the appropriate settings if necessary. Once a profile has been created, it can be edited at any time.

The "Archive Microsoft Outlook" window is separated in several tabs, which allows a simple and intuitive operation.

Storage Information

On the Storage Information tab, you can set the appropriate Microsoft Outlook storage from which emails should be archived. Basically, it is only necessary to select the Microsoft Outlook storage in order to be able to archive emails from a local Microsoft Outlook instalaltion so the other tabs do not necessarily have to be configured.

Profile Name

Specifies the profile name for the profile being created. You can either manually name your profile or let MailShelf decide how your profile is being named.

Microsoft Outlook Storage

Select the storage from the drop down list from which the emails should be archived. All compatible storages that are available in your local Microsoft Outlook installation are displayed in this list and can be selected to archive your emails from.

Refresh Storages

Refreshes and displays all available storages.

Email Folders

By default, all folders of your profile are included in the archive, but you can also choose to archive only specific folders of your storage.

Archive all folders

Determines that all available folders of the specified storage should be archived.

Archive specific folders

Determines that only certain folders of the specified storage should be archived. The folders are selected by clicking on the "Browse Folders" link, which opens a new window for folder selection.

In the folder selection window, you can include the selected folder by activating the selection box of the corresponding folder. The "Include Subfolders" option also allows you to specify whether any existing subfolders of the selected folder should also be included. To exclude a folder from the archive, simply deselect the corresponding selection box.

After you have selected all the desired folders, you can confirm your selection by clicking on the OK button, so that your selection will be applied.

After clicking the OK button in the folder selection window, MailShelf will automatically fill in the fields "Folders to be included" and "Folders to be excluded" based on your selection with the corresponding folder paths.

Folders to be included

Specifies the folders of the specified storage that should be archived.

Folders to be excluded

Specifies the folders of the specified storage that should not be archived.

Please note that you can select folders by clicking the "Browse Folders" link. However, the corresponding folders can also be entered manually in the "Folders to be included" and "Folders to be excluded" fields.

Please ensure that the entered folder names or folder paths are 100% correct and accurate, as they can not be processed otherwise.

In order to avoid any errors, we recommend that you select the folders using the "Browse Folders" option. This makes sure you are on the safe side when selecting folders.

All entered folders must either end with "\*" or "\", where the parameter "\*" determines that the specified folder and any existing subfolders should be archived. The "\" parameter determines that only the actual folder, but not its subfolders should be archived. Please enter the parameters without quotation marks (").

Filter

By default, all available emails in the specified storage are archived, but you can also specify which emails should not be archived.

Don't archive spam messages

Specifies that emails detected as spam or junk messages should not be archived. This option can help keep your email archive small and clean, but it also slows down the archiving process as each email to be archived is checked for spam and junk characteristics so the process can be very time-intensive. Therefore, activating this option should be well-considered.

Please also note that this option depends on the spam filter settings you have set. If you did not enable spam or junk email detection options in the spam filter settings, the "Don't archive spam messages" option will not be considered during the archiving process and junk emails are being archived. Therefore, please remember to set spam filter settings accordingly.

Don't archive messages that are blacklisted

Specifies that emails that match the set blacklist criteria should not be archived. This option can help protect your email archive from unwanted emails, but it can slow down the archiving process slightly, since each email to be archived is compared to the blacklist before archiving. To fill your blacklist, simply go to the Blacklist settings.

Only archive messages that are older than a specific date and time or a date range

Determines that only those emails should be archived, which are within a certain period of time or which have been sent or received at a certain time.

Date

Determines the date and time to be considered for emails. The corresponding date and time can be selected from the calendar selection fields. After determining the date and time, only those emails which are older than the set date and time are archived.

Range

Determines the time period for emails to be considered. The corresponding period of time may be selected by the corresponding selection fields, e.g. "1 weeks". After determining the time period, only those emails which are older than the specified period are archived.

Message Deletion

By default, emails are not deleted after archiving them and remain in the specified mailbox until they are deleted manually from the mailbox. However, you can also specify that emails are automatically be deleted from the specified mailbox after archiving them.

Never delete any messages

Determines that emails are not deleted after archiving them and that they should remain in the mailbox.

Delete messages immediately after archiving

Determines that emails are deleted from the mailbox immediately after archiving them.

Delete messages after the specified period

Determines that emails should be deleted from the mailbox after archiving them, but at the earliest after the specified period, such as "1 Week".

When specifying e.g. "1 Week", emails are archived during the archiving process and are automatically deleted from the mailbox one week after archiving, provided that the archiving process is carried out again after one week.

The desired time period can be selected from the corresponding selection fields.

Delete messages if they are older than the specified date range

Determines that emails are automatically deleted from the mailbox if they are older than the specified period, e.g. "1 Week". The desired time period can be selected from the corresponding selection fields.

Miscellaneous

The Miscellaneous tab allows you to specify advanced options for the archiving process.

Dynamic archiving

Determines that all emails are dynamically archived, which means that remote content, e.g. images and scripts are not embedded in the archived email, so this remote content (if any) must be manually loaded when viewing the email.

Dynamic archiving is the default method, which is also the fastest as well as storage-saving archiving method.

Static archiving

Determines that emails are archived statically, which means that external content, e.g. images and scripts are embedded in the archived email so that this remote content (if any) does not need to be loaded manually when viewing the email.

When statically archiving an email, the corresponding email is checked for remote content during the archiving process, which is then downloaded from the internet (if available) at the same time so that this content is embedded directly into the email to be archived.

Please note that static archiving will slow down the archiving process as every remote content of the corresponding email is downloaded from the internet to your local system. Depending on how large the corresponding remote content is, this can slow the archiving process enormously and noticeably.

Furthermore, it should be taken into consideration that external content may not be available at all and thus can not be embedded at all. Especially with very old emails, it is not uncommon that the corresponding contents were deleted by the corresponding server meanwhile.

In this case, this will also slow down the archiving process enormously since the corresponding external content could not be found and downloaded and thus ultimately skipped through MailShelf, which would then dynamically archive the email.

Another point to consider is the security aspect. Malicious senders could try to load malware or similar content as external content. Static archiving would therefore also download this malware, although it would not be executed.

Therefore, activating this option should be well-considered.

Allow duplicates in archive

Determines that email duplicates should also be archived in the archive, but not in the same archive folder.

By default, all email duplicates in the archive are skipped, so that the same email is only archived once. However, when you enable this option, you can also archive email duplicates, which may be in the same archive, even if they are already in a different archive folder within the same archive.

Please note that an archive folder can contain the same email only once. Therefore, email duplicates which are located in the same archive folder will not be archived by activating this option.

Archive assignment

Determines the archive that should be assigned to the profile to be created. This option is useful if you want to create a profile for an existing archive whose profile has been deleted in the past. You only have to select an archive here if you wish to assign the profile to be created with an existing archive. If you wish to create a new profile and a new archive, just leave the default value selected. Note: If an existing profile is assigned to a new or different archive, any scheduled task associated with it will be deleted and must be recreated.

Advanced

The Advanced tab allows you to specify some more advanced options for your email archive.

Retention Policy

The retention policies determine how long emails must be kept which means how long they must be in the archive before they can be deleted. This allows you to comply with legal requirements and also prevent the inadvertent deletion of archived emails. For example, if you use a retention period of 5 years, emails must be present at least 5 years and one day in the archive before you can delete them.

Determine the retention period with the scroll bar

The scroll bar allows you to determine the duration of storage in years, with a retention period of up to 30 years. Dragging the scroll list to the left will decrease the value, and you can increase the value by dragging to the right. If the value has been set to the minimum available value, the emails can be deleted from the archive at any time. The retention period can be changed at any time but only if it has not been permanently locked.

Locking the retention period

In order to comply with existing legal requirements, you can permanently lock the retention period. To do so, simply select a retention period of at least one year from the scroll bar and then click on the button "Lock Retention Policy". By clicking on this button, you can permanently lock the retention time.

Please note that locking the retention period is indeed permanent and final. Once you have locked the retention period, you will no longer be able to change it later.

Store encrypted messages in a decrypted state

Allows you to store encrypted messages in a decrypted state meaning that encrypted messages will be decrypted before and added to the archive afterwards. The correspondending private key (S/MIME and/or PGP) must be present in the certificate store/in the private key store before running the archiving task otherwise, encrypted messages cannot be decrypted during the archiving.

User Assignments

You can assign the profile to specific MailShelf users so that you can control which user is accessing the profile. If there is no specific user assignment in the multi-user mode, only administrators can access the profile. A profile is not limited to one user and can be assigned to more than one user at a time.

The user overview lists all currently created MailShelf users so that the user can be assigned quickly and easily by simply activating the user's selection box.

A user assignment already assigned can be withdrawn by deactivating the corresponding selection box. Users can be added and edited in the user management section.

Please note that the "User Assignments" tab is only displayed if you are running MailShelf in the Multi-User Environment and you are logged on as an administrator.


Mozilla Thunderbird

To archive emails from a Mozilla Thunderbird installation, you must specify the appropriate Mozilla Thunderbird profile and set the appropriate settings if necessary. Once a profile has been created, it can be edited at any time.

The "Archive Mozilla Thunderbird" window is separated in several tabs, which allows a simple and intuitive operation.

Profile Information

On the Account Information tab, you can set the appropriate Mozilla Thunderbird installation from which emails should be archived. Basically, it is only necessary to select the Mozilla Thunderbird profile in order to be able to archive emails from a local Mozilla Thunderbird instalaltion so the other tabs do not necessarily have to be configured.

Profile Name

Specifies the profile name for the profile being created. You can either manually name your profile or let MailShelf decide how your profile is being named.

Profile

Select the profile from the drop down list from which the emails should be archived. All compatible profiles that are available in your local Mozilla Thunderbird installation are displayed in this list and can be selected to archive your emails from.

Refresh Profiles

Refreshes and displays all available profiles.

Email Folders

By default, all folders of your profile are included in the archive, but you can also choose to archive only specific folders of your profile.

Archive all folders

Determines that all available folders of the specified profile should be archived.

Archive specific folders

Determines that only certain folders of the specified profile should be archived. The folders are selected by clicking on the "Browse Folders" link, which opens a new window for folder selection.

In the folder selection window, you can include the selected folder by activating the selection box of the corresponding folder. The "Include Subfolders" option also allows you to specify whether any existing subfolders of the selected folder should also be included. To exclude a folder from the archive, simply deselect the corresponding selection box.

After you have selected all the desired folders, you can confirm your selection by clicking on the OK button, so that your selection will be applied.

After clicking the OK button in the folder selection window, MailShelf will automatically fill in the fields "Folders to be included" and "Folders to be excluded" based on your selection with the corresponding folder paths.

Folders to be included

Specifies the folders of the specified profile that should be archived.

Folders to be excluded

Specifies the folders of the specified profile that should not be archived.

Please note that you can select folders by clicking the "Browse Folders" link. However, the corresponding folders can also be entered manually in the "Folders to be included" and "Folders to be excluded" fields.

Please ensure that the entered folder names or folder paths are 100% correct and accurate, as they can not be processed otherwise.

In order to avoid any errors, we recommend that you select the folders using the "Browse Folders" option. This makes sure you are on the safe side when selecting folders.

All entered folders must either end with "\*" or "\", where the parameter "\*" determines that the specified folder and any existing subfolders should be archived. The "\" parameter determines that only the actual folder, but not its subfolders should be archived. Please enter the parameters without quotation marks (").

Filter

By default, all available emails in the specified profile are archived, but you can also specify which emails should not be archived.

Don't archive spam messages

Specifies that emails detected as spam or junk messages should not be archived. This option can help keep your email archive small and clean, but it also slows down the archiving process as each email to be archived is checked for spam and junk characteristics so the process can be very time-intensive. Therefore, activating this option should be well-considered.

Please also note that this option depends on the spam filter settings you have set. If you did not enable spam or junk email detection options in the spam filter settings, the "Don't archive spam messages" option will not be considered during the archiving process and junk emails are being archived. Therefore, please remember to set spam filter settings accordingly.

Don't archive messages that are blacklisted

Specifies that emails that match the set blacklist criteria should not be archived. This option can help protect your email archive from unwanted emails, but it can slow down the archiving process slightly, since each email to be archived is compared to the blacklist before archiving. To fill your blacklist, simply go to the Blacklist settings.

Don't archive read messages

Specifies that emails that are marked as read in the specified mailbox should not be archived so that only those -mails that are marked as unread in the specified mailbox are archived. This option can slow down the archiving process very slightly.

Only archive messages that are older than a specific date and time or a date range

Determines that only those emails should be archived, which are within a certain period of time or which have been sent or received at a certain time.

Date

Determines the date and time to be considered for emails. The corresponding date and time can be selected from the calendar selection fields. After determining the date and time, only those emails which are older than the set date and time are archived.

Range

Determines the time period for emails to be considered. The corresponding period of time may be selected by the corresponding selection fields, e.g. "1 weeks". After determining the time period, only those emails which are older than the specified period are archived.

Miscellaneous

The Miscellaneous tab allows you to specify advanced options for the archiving process.

Dynamic archiving

Determines that all emails are dynamically archived, which means that remote content, e.g. images and scripts are not embedded in the archived email, so this remote content (if any) must be manually loaded when viewing the email.

Dynamic archiving is the default method, which is also the fastest as well as storage-saving archiving method.

Static archiving

Determines that emails are archived statically, which means that external content, e.g. images and scripts are embedded in the archived email so that this remote content (if any) does not need to be loaded manually when viewing the email.

When statically archiving an email, the corresponding email is checked for remote content during the archiving process, which is then downloaded from the internet (if available) at the same time so that this content is embedded directly into the email to be archived.

Please note that static archiving will slow down the archiving process as every remote content of the corresponding email is downloaded from the internet to your local system. Depending on how large the corresponding remote content is, this can slow the archiving process enormously and noticeably.

Furthermore, it should be taken into consideration that external content may not be available at all and thus can not be embedded at all. Especially with very old emails, it is not uncommon that the corresponding contents were deleted by the corresponding server meanwhile.

In this case, this will also slow down the archiving process enormously since the corresponding external content could not be found and downloaded and thus ultimately skipped through MailShelf, which would then dynamically archive the email.

Another point to consider is the security aspect. Malicious senders could try to load malware or similar content as external content. Static archiving would therefore also download this malware, although it would not be executed.

Therefore, activating this option should be well-considered.

Allow duplicates in archive

Determines that email duplicates should also be archived in the archive, but not in the same archive folder.

By default, all email duplicates in the archive are skipped, so that the same email is only archived once. However, when you enable this option, you can also archive email duplicates, which may be in the same archive, even if they are already in a different archive folder within the same archive.

Please note that an archive folder can contain the same email only once. Therefore, email duplicates which are located in the same archive folder will not be archived by activating this option.

Archive assignment

Determines the archive that should be assigned to the profile to be created. This option is useful if you want to create a profile for an existing archive whose profile has been deleted in the past. You only have to select an archive here if you wish to assign the profile to be created with an existing archive. If you wish to create a new profile and a new archive, just leave the default value selected. Note: If an existing profile is assigned to a new or different archive, any scheduled task associated with it will be deleted and must be recreated.

Advanced

The Advanced tab allows you to specify some more advanced options for your email archive.

Retention Policy

The retention policies determine how long emails must be kept which means how long they must be in the archive before they can be deleted. This allows you to comply with legal requirements and also prevent the inadvertent deletion of archived emails. For example, if you use a retention period of 5 years, emails must be present at least 5 years and one day in the archive before you can delete them.

Determine the retention period with the scroll bar

The scroll bar allows you to determine the duration of storage in years, with a retention period of up to 30 years. Dragging the scroll list to the left will decrease the value, and you can increase the value by dragging to the right. If the value has been set to the minimum available value, the emails can be deleted from the archive at any time. The retention period can be changed at any time but only if it has not been permanently locked.

Locking the retention period

In order to comply with existing legal requirements, you can permanently lock the retention period. To do so, simply select a retention period of at least one year from the scroll bar and then click on the button "Lock Retention Policy". By clicking on this button, you can permanently lock the retention time.

Please note that locking the retention period is indeed permanent and final. Once you have locked the retention period, you will no longer be able to change it later.

Store encrypted messages in a decrypted state

Allows you to store encrypted messages in a decrypted state meaning that encrypted messages will be decrypted before and added to the archive afterwards. The correspondending private key (S/MIME and/or PGP) must be present in the certificate store/in the private key store before running the archiving task otherwise, encrypted messages cannot be decrypted during the archiving.

User Assignments

You can assign the profile to specific MailShelf users so that you can control which user is accessing the profile. If there is no specific user assignment in the multi-user mode, only administrators can access the profile. A profile is not limited to one user and can be assigned to more than one user at a time.

The user overview lists all currently created MailShelf users so that the user can be assigned quickly and easily by simply activating the user's selection box.

A user assignment already assigned can be withdrawn by deactivating the corresponding selection box. Users can be added and edited in the user management section.

Please note that the "User Assignments" tab is only displayed if you are running MailShelf in the Multi-User Environment and you are logged on as an administrator.


Define a schedule for automatic archiving

With MailShelf, you can schedule archiving tasks so that it is executed fully automatically at the specified time and without the need for any interaction.

As soon as you have selected the option to add the schedule, the "Specify the trigger" window opens, where you can freely determine the schedule for the archiving task. The "Specify the trigger" window is separated in several areas, which allows a simple and intuitive operation.

Run this task

In the "Run this task" section the left, you can specify when the scheduled archiving should be performed. After clicking on the desired option, you can then freely determine the schedule in the appropriate tab. The corresponding tab is then to the right of the "Run this task" section.

The following options are available:

Once only

Specifies that the task should performed only once at the selected point in time. The point of time can be selected at "Start" and defines when the task should be performed.

Upon event

Specifies that the task should performed at a specific event.

System startup

The task will be performed every time you turn on your computer and after Microsoft Windows has fully loaded. Please note that this option is only available if you use a password for scheduling a task and cannot be selected when enabling the option "Schedule without password".

User logon

The task will be performed every time when you logon into your Microsoft Windows account. A logon deemed effective after you have entered your password for your Microsoft Windows account. If you do not use a password and/or if you have select the option "Schedule without password", a logon deemed effective when you can see your Windows Desktop. This is also applicable if you have set a password for your Microsoft Windows account but if you use the automatic logon feature.

On idle

The task will be performed every time your computer is idle. The Task Scheduler verifies that the computer is in an idle state every 15 minutes. Task Scheduler checks for an idle state using two criteria: user absence, and a lack of resource consumption. The user is considered absent if there is no keyboard or mouse input during this period of time. The computer is considered idle if all the processors and all the disks were idle for more than 90% of the last detection interval.

On workstation lock

The task will be performed every time your workstation is locked, e.g. by pressing WIN+L.

On workstation unlock

The task will be performed every time your workstation is unlocked.

Periodically

Specifies that the task should performed periodically at certain intervals, e.g. every 10 minutes or every 3 hours. For example, if you select 3 hours, the backup will be performed every 3 hours.

Daily

Specifies that the task should performed daily.

Start

Defines when the task should be performed the very first time. You don't need to change the given point of time if the schedule should take into effect immediately. If the schedule should take into effect at a later time, you can manually select the point of time.

Every day

Specifies that the task should be performed every day at the specified time.

Every <Value> day(s)

Specifies that the task should be performed at specific intervals. The interval can be individually defined by you, for example every 2 days, which means that the task should always be executed every two days.

Run the task every:

This option defines an additional periodic schedule for the specified time, which then executes the daily task not just once, but several times a day periodically at specific intervals. For example, if you select "Every day" and additionally "Run the task every 3 hours," the task will be performed several times each day at 3-hour intervals.

Weekly

Specifies that the task should performed weekly.

Start

Defines when the task should be performed the very first time. You don't need to change the given point of time if the schedule should take into effect immediately. If the schedule should take into effect at a later time, you can manually select the point of time.

Run the task every <Value> on

Specify a certain number of weeks and the days of the week you want the task to be run. For example, with the every 2 week(s) on Monday at 9:45 setting, the task will be performed on every second Monday at 9:45.

Monthly

Specifies that the task should performed monthly.

Start

Defines when the task should be performed the very first time. You don't need to change the given point of time if the schedule should take into effect immediately. If the schedule should take into effect at a later time, you can manually select the point of time.

Run the task on every <Value> day(s) of the month(s):

Specify the day of the month and the month(s) you want the task to be run. For example, with the every 10 day of the month January at 9:45 setting, the task will be performed on January 10 at 9:45.

Run with credentials

Specifies the Windows User Account to be used for executing scheduled archiving tasks.

User name

Enter your user name. The user name of your current Windows User Account will automatically be displayed and you just have to enter your password of your Windows User Account in the password field.

Password

Enter the password for the user account.

Show/Hide Password

Displays or hides the entered password.

Schedule without password

Tasks can also be scheduled without a password which is perfect for those users that haven't set a password for their Windows User Account. To schedule a task without a password, just enable the option "Schedule without password".

This option can also be used if you have set a password for your user account but in this case, you have to be logged in into your user account otherwise, schedule won't work.

Run the task only when the computer is idle

Specifies that the task is only performed if the computer is not used at the given point in time.

If missed, run the task at startup

Specifies that the task is performed at the next system startup if the task couldn't be performed at the scheduled point of time. This might happen if your computer was for example turned off at the given point in time.

To add and activate the schedule with the desired settings, simply click on the OK button. The Specify the trigger window will then close and add the schedule to the profile.

From this moment, MailShelf will automatically execute the task at the given point of time. Depending on how much emails you have, the archiving process can take several minutes or more. A notification in the taskbar is displayed when a scheduled task is running.

Important note: Due to design restrictions in Microsoft Windows 10 and higher, the start date of every task must be at least 5 minutes in the future otherwise, it won't run at all. MailShelf automatically adds 5 minutes to the start date.


History

In the History tab, MailShelf creates history and log entries for each executed archiving task as well as for each executed exporting task, which can be very useful for a further analysis of the corresponding task.

This gives you a complete overview of all performed tasks and in the event of a fault, can help you quickly and easily find the cause of the error.

Date and Archive Selection

Allows you to filter the data to be displayed in the history overview.

Specify date range

Allows you to restrict the date range of the history entries to be displayed, so the results are limited only to those history entries that were created in the specified time period.

Any Date

Determines that all history entries should be displayed regardless of the date.

Today

Determines that only those history entries should be displayed, which were created today.

Yesterday

Determines that only those history entries should be displayed, which were created yesterday.

This Week

Determines that only those history entries should be displayed that have been created within the current week.

Last Week

Determines that only those history entries should be displayed that have been created within the last week.

This Month

Determines that only those history entries should be displayed that have been created within the current month.

Last Month

Determines that only those history entries should be displayed that have been created within the last month.

This Year

Determines that only those history entries should be displayed that have been created within the current year.

Last Year

Determines that only those history entries should be displayed that have been created within the last year.

Custom...

Allows you to use the calendar selection fields to specify a period from-to-time, which determines that only those history entries which have been created in the specified period have to be displayed.

Action selection

Allows you to restrict the type of history entries to be displayed, limiting the results to a specific type.

All Tasks

Determines that history entries of all tasks are displayed, regardless if they are from archiving tasks or from exporting tasks.

Archiving Tasks

Determines that only history entries of executed archiving tasks are displayed.

Export Tasks

Determines that only history entries of executed exporting tasks are displayed.

Archive selection

Allows you to specify the archive for which the history entries should be displayed. All existing archives are listed in a drop down list from which you can easily select the desired archive. When you select a specific archive, you will only see results that refer explicitly to the selected archive. If you select "All Archives", the results of all existing archives are displayed. Note that archive starting with an asterisk (*) are currently not assigned to any profile.

Display Results

Displays the results for the selected options in the history overview.

History overview

Based on your selection in the "Date and Archive Selection" section, the history overview displays the corresponding results. The history overview is structured in several areas so that you can get a proper overview of all history entries.

Profile Name

Displays the name of the profile to which the history entry refers.

Result

Displays the result of the last execution. Possible values are "Successful", which means that the corresponding task has been performed successfully, and "Failed", which means that the corresponding task could not be executed successfully.

Messages

Displays the number of all processed emails.

Start Time

Displays the date and time at which the task was performed.

Complete Time

Displays the date and time at which the task was completed.

Machine Name

Displays the name of the computer on which the task was executed.

User Name

Displays the name of the user who executed the task.

By clicking on the right mouse button, a context menu opens, which offers you some additional options:

Group View

Groups the history overview by profile type.

Open Log

Opens a new window for detailed log view which contains the operation log as well as (if available) the server log. Please note that this log is only available if the "Log operations" option was activated at the time the task was executed. Please make sure that this option is activated if necessary.

Delete from History

Deletes the selected history entries irrevocably from the application database as well as from the history overview.


Application Settings

Use the application settings to determine how MailShelf works by setting the appropriate settings.

Data Location

Specifies the data path location of the application settings. This is also your database path if you are using the internal database as database server.

If you want to change the data location, you can do so by clicking the folder icon "Select Data Location" and specify your desired location. You can select any local path (e.g. folders, hard drives, thumb drives etc.) on your computer as data location but you have to ensure that you have the appropriate read/write permissions for the selected path.

If you already specified another, non-default path as data location, you can simply set the data location back to the default value by clicking the star-folder icon "Use Default Data Location".

Please note that a network path (e.g. network shares, network drives etc.) cannot be selected as a data path.

Minimize to Tray

Specifies if the application should minimize to the system tray. This way the application is running in the background and always available from the system tray. Possible values are:

Never

Means that the application will never minimize to the system tray. This is the default behaviour.

When Minimizing

Means that the application will minimize to the system tray when you click the minimize button on the application window. To restore the application, simply double-click on the application icon that can be found in the system tray. You can also click the right mouse-button on the system tray icon to get a selection of more options.

When Closing

Means that the application will minimize to the system tray when you click the close button on the application window. To restore the application, simply double-click on the application icon that can be found in the system tray. You can also click the right mouse-button on the system tray icon to get a selection of more options.

Help Settings

Specifies how the product documentation should be accessed. Possible values are:

Use Local Help

Means that the local installed help file should be opened when accessing the product documentation. No internet connection is required when using local help.

Use Online Help

Means that a browser window is being opened when accessing the product documentation. An internet connection is required when accessing online help since you will be forwarded to our online help centre. Online help might be more recent than local help since we push every change directly to our servers.

Prompts

Specifies if the application should ask you to confirm some application actions. Possible prompts are:

When Closing

Enables that the application asks you if you really want to close it when hitting the close button. This might be useful to avoid that the application is being closed by accident.

Search Settings

Provides you with search settings. Possible functions are:

Remember Strings

Means that search strings entered in Search are remembered and cached to simplify future searches.

Clear History

Clears all remembered search strings.

Functions

Provides you with advanced features of the application. Possible functions are:

Reset Application

Resets the application to its default values by preserving your license. This is comparable with a factory reset. After the application has been reset, the Getting Started Wizard will automatically open next time you start MailShelf. All already archived emails are not deleted and are still available in the database when resetting the application.


Administrative Settings

In the administrative settings, you specify the extended application settings. The administrative settings are available to you in single-user mode at any time, but in multi-user mode only if you are logged on as an administrator.

User Login Settings

In multi-user mode, the login settings are displayed that allow you to determine the logon behaviour of all MailShelf users. This section is only available if MailShelf is operated in the multi-user environment and you are currently logged on as an administrator.

Enumerate User Names

If this option has been enabled, each MailShelf user will be shown a selection list in the log-in window in which all currently created MailShelf users are enumerated. The corresponding user can then quickly and easily select his or her user name from the drop down list and only have to enter his or her password for logging on.

If this option has not been enabled, an text box appears in the log-in window, in which the corresponding user must enter his or her user name manually. An enumeration of all existing MailShelf users is not carried out in this case, so that in this case no conclusions can be drawn to other MailShelf users.

Allow Password Remembering

By enabling this option, you allow all MailShelf users to store their logon password so that it does not have to be entered manually when logging in by the user. Although this is a user-friendly feature, there could be a security risk, as when enabled, users with the appropriate user account who do not know the user password can log in with the corresponding user account. It is recommended that you evaluate your risk prior to using this option.

Allow Automatic Login

Enabling this option allows all MailShelf users to log in automatically, so users do not have to enter user names or passwords when logging on. Although this is a user-friendly feature, there could be a security risk, as when enabled, users with the appropriate user account who do not know the user account data can log in with this user account. It is recommended that you evaluate your risk prior to using this option.

Logging

Record the logs of the executed tasks for later use. You can chose between a debug log as well as a server log. Enabling a debug log and/or a server log may slow down the task. If both options are disabled, only an operational log will be created which consists of the result of the task, the number of newly archived messages, the start and end time of the task, as well as the computer name from which the task was executed, as well as the corresponding user name that executed the task.

Enable Debug Log

By enabling this option, all tasks are logged in detail so that a correspondingly detailed log entry is created in the history section. A debug log contains more detailed information about the corresponding task, which could be useful for a later use.

Enable Server Log

By enabling this option, all server connections are logged in detail so that a correspondingly detailed log entry is created in the history section. A server log contains more detailed information about the corresponding server connection, which could be useful for a later use. When e.g. an email server mailbox, e.g. IMAP, POP3, or Microsoft Exchange, or if existing mails from MailShelf are exported to such a mailbox, all email server responses are stored in the server log.

Re-attempt, if an error occurs

Specify how the application should handle errors that might occur during task execution. When this option is enabled, the application will try the current operation again before an error message is displayed. The number of attempts as well as the interval between the attempts can individually be set.


Archive Viewing Settings

In the Archive Viewing Settings, you can determine how your email archive should be displayed.

Archives Tree Expanding

The archive tree is the entire tree structure/folder structure of your archive which is represented in the archive by + and - icons and which enables you to navigate your email archive. Use this option to specify the behaviour of the archive tree.

Do Not Expand

Specifies that the archive tree is completely closed by default, so that you only see the profile name or the email address in the archive.

If you use the corresponding + or - icons to expand or collapse the archive tree, MailShelf will remember this so that you do not have to expand or collapse your archive tree again.

Expand First Level

Specifies that only the first level of the archive tree is expanded, e.g. only the folders that are directly in the archive but not its subfolders.

Even if you use the corresponding + or - icons of your archive tree to expand or collapse it, using this option, MailShelf will not remember this so that only the first level will be expanded.

Expand Whole Tree

Specifies that the entire archive tree is always expanded, so that all folders and all subfolders are visible.

Even if you use the corresponding + or - icons of your archive tree to expand or collapse it, using this option, MailShelf will not remember this so that always the whole tree will be expanded.

Clear Cache

Clears the cache of the tree meaning that all information about the expanded and collapsed trees will be removed.

Email View Layout

You can specify whether the archive is displayed in the vertical or horizontal view. Selecting the appropriate option selects the desired view.

HTML Renderer

Specifies the renderer being used to display HTML emails in MailShelf. MSHTML uses embedded Microsoft Internet Explorer technology to display HTML emails while WebView uses the modern Microsoft Edge (Chromium) technology to render HTML emails in MailShelf. MSHTML is considered obsolete but remains available for compatibility reasons.

Email Viewer Style

You can specify how the text, source, and header parts of each email should be displayed by specifying the desired font name, font size and font style. Please note that these settings do not affect the HTML part of an email since this part is displayed using the HTML renderer.

Tags

With tags you can highlight emails in your archive both in colour and with a tag.

Tags overview

In the overview of the tags, all currently created keywords are displayed and underlined by the set tag colour. Existing tags can be edited and/or deleted at any time. Double-clicking on an existing tag opens a window for editing the tag.

Add

Opens a new window in which a new tag can be added. Enter the tag name and select the desired colour of the tag.

Edit

Opens a new window in which the selected tag can be edited. Enter the tag name and select the desired colour of the tag.

Delete

Deletes the selected tag, but not the emails marked with this tag. Emails that have been marked with this tag are then not further marked.


Privacy and Security Settings

With the privacy and security settings, you can set privacy and security-relevant settings for the application, which can prevent malicious software from spreading to your systems that might be within an email.

Remote Content Loading

Determines whether remote content in HTML emails, e.g. images, scripts etc. should be automatically loaded when viewing an email.

Block remote content in HTML messages

By enabling this option, the email viewer does not automatically load remote content in HTML emails from the Internet, and must be manually loaded by user interaction when viewing an email. However, loading remote content may be restricted by user rights set by the administrator.

We strongly recommend that this option is always enabled, as there may be malicious software in the remote content that could find the way to your systems.

Never block for these email addresses and domains

By enabling this option, you can allow certain email addresses and Internet addresses (domain names) for loading remote content, so that remote content from the specified email addresses and/or internet addresses is automatically downloaded from the internet, even if the option "Block remote content in HTML messages" is enabled.

You should enter only such email addresses as well as Internet addresses here, which are absolutely trustworthy, although you should also note here that the sender address of an mail can be relatively easily forged.

Remote Content Restrictions

Determines that remote content of emails of certain email addresses and/or internet addresses can not be loaded in general. This allows you to exclude untrustworthy email addresses and/or internet addresses.

Please note that a restriction always has priority. Even if an email address and/or internet address entered here is not blocked in the section "Never block for these email addresses and domains", remote content for an email is not loaded.

Enable remote content restrictions

Enabling this option allows you to add email addresses and/or internet addresses, for which no remote content can be loaded.

URL Navigation

Determines whether a link is to be forwarded directly to the relevant website by clicking on it or whether a security prompt should be made in advance.

Prompt before navigating to an URL

Enabling this option requires the user to confirm whether or not to redirect to the Internet address of a clicked link. For security reasons, this security prompt also includes the complete website address that should be opened in the browser.

We recommend that this option is always enabled, as the user's system may infect with malicious software by visiting a dangerous website.

Never prompt for these URLs

By enabling this option, you can generally exclude specific internet addresses from the security prompts so that they are opened directly in the browser by clicking on it without a security prompt.

You should enter only such internet addresses here and thus exclude from the security prompts, which are absolutely trustworthy.

URL Navigation Restrictions

Determines that certain internet addresses can not be opened. This allows you to exclude untrustworthy internet addresses.

Please note that a restriction always has priority. Even if an internet address entered here is in the section "Never prompt for these URLs", the website cannot be opened from the email viewer.

Enable URL navigation restrictions

By enabling this option, you can add internet addresses which can not be opened in general from the email viewer. By entering "*", you can specify that all URLs are restricted and therefore no URLs may be opened at all.

Restrict potentially malicious URLs

By enabling this option, MailShelf looks up the URL in a daily updated database so determine if it might be malicious. If MailShelf determined the URL to be malicious, access to this URL is being blocked to protect your infrastructure. This option relies on a regularly updated database so ensure that your MailShelf installation is always up to date.

Email Attachments Handling

Determines whether a security prompt should be made before opening an email attachment, or whether the corresponding attachment should be opened directly and without a security prompt.

Prompt before opening a file attachment

By enabling this option, the user must confirm whether the selected file attachment should be opened or executed. For security reasons, this security prompt also includes the full file name.

We strongly recommend that this option is always enabled, as there may be malicious software in file attachments that might find the way to your systems.

Never prompt for these file extensions

By enabling this option, you can exclude certain file extensions from the security prompts so that corresponding file attachments with the specified extension are generally opened or executed without a security prompt.

You should only enter such file extensions here and thus exclude from the security prompts, which are absolutely safe.

File extensions overview

The overview of file extensions shows you which file extensions are currently defined. A right-click on the overview will give you some additional options.

Add

Opens the Add file extension window, where you can specify new file extensions. For example, enter ".txt" or "txt" for a text document. Multiple file extensions can also be added at once by separating them with a comma, e.g. ".txt, .zip, .png" etc.

Remove

Removes all selected file extension from the list.

Email Attachments Restrictions

Determines whether file extensions ending with a certain file extension may not be opened in general. This allows you to exclude questionable file extensions.

Please note that a restriction always has priority. Even if a file extension defined here is found in the section "Never prompt for these file extensions", a file attachment with such a file extension can still not be opened.

Enable file attachment restrictions

Enabling this option allows you to specify file extensions that can not be opened.

File extensions overview

The overview of file extensions shows you which file extensions are currently defined. A right-click on the overview will give you some additional options.

Add

Opens the Add file extension window, where you can specify new file extensions. For example, enter ".txt" or "txt" for a text document. Multiple file extensions can also be added at once by separating them with a comma, e.g. ".txt, .zip, .png" etc. You can also enter "*" or ".*" to restrict all files so that no file attachments can be opened.

Remove

Removes all selected file extension from the list.


S/MIME Certificates

Specify the certificate store to be used for decrypting S/MIME encrypted emails. Emails that are encrypted using S/MIME can be archived without the corresponding certificate, but the corresponding S/MIME certificate is required to display such an email.

Windows Certificate Store

Determines that the Windows certificate store should be used for decrypting S/MIME encrypted emails. The appropriate certificate must be added to the Windows certificate store. If necessary, consult the Microsoft Windows documentation to learn how to add new certificates to the Windows certificate store.

Application Store

Determines that the internal certificate store should be used for decrypting S/MIME encrypted emails. The appropriate certificate must be added to the internal certificate store.

Overview of the internal certificate store

The internal certificate store overview lists all currently available S/MIME certificates, which are currently present in the internal certificate store and provides you with more detailed information about the certificate.

By right-clicking on the overview, you will be given additional options that allow you to add new certificates, or to export or delete existing certificates.

View

Displays all properties of the selected S/MIME certificate.

Import

Opens a window for selecting an S/MIME certificate to be added to the internal certificate store. After selecting the appropriate certificate, you may need to enter the private key.

Export

Opens a window for selecting the file name to which the selected S/MIME certificate should be exported. After selecting the corresponding file path, you must enter the private key.

Remove

Removes the selected S/MIME certificate from the internal certificate store.


PGP Private Keys

Manage private keys being used for decrypting PGP encrypted emails. Emails that are encrypted using PGP can be archived without the corresponding private key, but the corresponding private key is required to display such an encrypted email.

The overview lists all currently available PGP private keys, which are currently present in the internal private key store and provides you with more detailed information about the private key.

Email

Displays the email address of the private key to which it belongs.

Valid From

Displays the valid from date of the private key.

Key ID

Displays the ID of the private key.

By right-clicking on the overview, you will be given additional options that allow you to add new private keys, or to remove existing private keys.

Add Key

Opens a new window where a new private key can be added to the internal private key store. To add a private key to the internal private key store, simply enter all necessary details and click the OK button.

Email Address

Enter the email address of the private key to which it belongs.

PGP Private Key

Enter the private key. You can also click the Import from File link to select the private key file.

Password

Enter the password of the private key. You cannot add a private key if you don't know the password for it.

Remove Key

Removes the selected private key from the internal private key store.


Blacklist

The blacklist allows you to determine that emails that meet the criteria defined here are completely excluded from archiving and thus do not even find their way into the archive. This helps you save disk space and also keeps unwanted emails away.

Email Addresses

Specify email addresses that should be added to the blacklist. Any email which has been sent to you by an email address defined here, will be excluded from archiving and thus not archived. Tick the box to block specific email addresses. Enter the complete email address in the corresponding text field, and make sure that you enter only one email address per line.

Domain Names

Specify domain names (internet addresses, URLs) that should be added to the blacklist. Any email which has been sent to you by a domain name specified here will be excluded from archiving and thus not archived. Tick the box to block specific domain names. Enter the complete domain name in the corresponding text field and make sure that you enter only one domain name per line.

IP Addresses, Ranges and Subnets

Specify IP addresses, IP ranges, and IP subnets that should be added to the blacklist. Any email which has been sent to you by a value determined here, will be excluded from archiving and thus not archived. Tick the box to block specific IP addresses, IP ranges and IP subnets. Enter the complete value in the corresponding text field and make sure that you enter only one value for each line.

If you want to add an IP address or an IP subnet, simply type the corresponding IP address or the corresponding IP subnet in the text field like "123.123.123.123" or "123.123.64.0/18". You can enter an IP range by entering the appropriate range, for example "123.123.64.0 - 123.123.127.255".

When you enter the values, you are not limited to just one type. You can easily mix and add IP addresses, IP ranges, and IP subnets.

Countries

Specify countries that should be added to the blacklist. Any email that has been sent to you from a country specified here will be excluded from archiving and will not be archived. This option relies on a regularly updated database so ensure that your MailShelf installation is always up to date.

To block a country, simply select it from the overview. The overview lists all countries with the country code and country name. By clicking on the country overview, you will be offered further options.

Select all

Selects all countries from the list. Although this option is offered to you, it is not recommended to actually select all countries because otherwise you will lose almost 100% of all emails.

Clear all

This disables all selected countries

Headers

Specify headers that should be added to the blacklist. Any email which contains a header defined here, is excluded from the archiving and thus not archived. Tick the box to block specific headers. In the corresponding text field, enter the complete header and make sure that you enter only one header for each line.

For example, to exclude newsletters and other advertising (no spam) from the archive, you can add the "Precedence: bulk" header by simply typing Precedence=bulk in the text box.

This will exclude all emails from the archive, which contain the header with the name "Precedence" and the value "bulk".

To block a specific header, the name and then the value separated by a = character must be entered in the text field:

• Name=Value

The headers also allows you to use a so-called wildcard so that you do not have to enter all the values ??of a specific header, but to add the complete header to the blacklist.

You can do this by adding the name of the header with the value * separated by a =

• Name=*

So for the "Precedence" header you would therefore add "Precedence=*" to the text field.

Domain Extensions (TLDs)

Specify domain extensions (TLDs) that should be added to the blacklist. Any email that has been sent to you by a domain ending with a domain extension defined here will be excluded from archiving and thus not archived.

Tick the box to block certain domain extensions. In the corresponding text box, type the full domain extension, such as .com and make sure that you enter only one domain extension per line. You can also add second-level domains like .co.uk

Trashmail

Specify whether emails should be excluded from archiving that have been sent to you by a disposable email address, a so-called trashmail address. Disposable email addresses are often used to send spam/junk messages and they often contain malicious software so that such emails should not be given any relevance on a regular basis.

Blacklist disposable email addresses and domain names

Enables the option to exclude disposable email addresses and their domain names. Any received email sent to you by a disposable email address will be excluded from archiving and will not be archived. This option relies on a regularly updated database so ensure that your MailShelf installation is always up to date.


Spam Filter Settings

In the spam filter settings you define how spam and junk emails should be detected in order to completely exclude them from archiving.

SpamAssassin

MailShelf comes with a complete SpamAssassin integration, which allows you to check any email for spam characteristics. In order to benefit from this SpamAssassin integration, only a corresponding SpamAssassin server must be available which however, does not necessarily have to be on the same system on which MailShelf is installed.

Enable SpamAssassin

This option enables the SpamAssassin integration so that you can check spam characteristics for any incoming email. Please note that the archiving process will slow down by activating SpamAssassin, since every single email is checked by SpamAssassin before it will be archived.

Host

Enter the server address under which the desired SpamAssassin server can be reached. For a local SpamAssassin installation, this is usually "127.0.0.1". However, you are not restricted to a local installation and therefore, a remote address can also be entered.

Port

Enter the port under which the desired SpamAssassin server can be reached. By default this is port "783".

Test Connection

Tests the connection to the specified SpamAssassin server. The result of the connection test can be found in the corresponding final report.

DNSBL Lookups

MailShelf comes with a complete integration for DNSBL queries, which allows you to lookup the sender IP address of each email to be archived on the activated blacklists to determine whether the corresponding email is spam or not.

Enable DNSBL Lookups

Enables DNSBL lookups and queries the blacklists activated in the overview during the archiving process.

DNSBL server overview

The DNSBL server overview lists all currently available DNSBL servers, including the DNSBL address and the query order. MailShelf already provides 38 different DNSBL server addresses, 2 of them are already enabled by default. Under normal circumstances, no more than 3 DNSBL servers should be enabled at the same time, since this would slow down the archiving process enormously.

Host

The DNSBL host is the server address under which the blacklist can be reached.

Query Order

The query order determines the order in which the enabled blacklists are queried. If the DNSBL server with query order 1 classifies the corresponding email as non-spam email, the DNSBL server with query order 2 is queried and so on until either no further DNSBL servers are available, or until the corresponding email has been classified as a spam email by a DNSBL server.

By right-clicking in the DNSBL server overview, you can access the context menu, which offers you further options:

Select all

Selects all the DNSBL servers in the overview and enables them.

Clear all

Disables all currently activated DNSBL servers.

Add

Opens a new window where you can add a new DNSBL server, specifying the DNSBL server address and the query order.

Edit

Opens a new window in which the selected DNSBL server can be edited.

Delete

Deletes all selected DNSBL servers and removes them from the overview.


User Management

In the user management section, you get an overview of all currently created MailShelf users and can also add new users as well as edit existing users. The user management section is only available in the multi-user environment.

User overview

The user overview lists all currently created MailShelf users. By right-clicking on the user overview you will be offered further options.

Add User

Opens a new window in which a new user can be added.

Edit User

Opens a new window in which a new user can be edited.

Delete User

Deletes all selected users, but not their email archives.

Disable User

Disables all selected users so that they can not log on.

Enable User

Enables all selected users so that they can log in again.


User Manager

The window for adding and editing a user is constructed in tabs which allows an easy and fast user management.

General

On the General tab, you can manage general and essential information about the user.

User name

Enter the user name, which is the name with which the user will log in to MailShelf.

Full name

If necessary, enter the full name of the user. The full name is not used to log in to MailShelf and may differ from the user name.

Description

If necessary, enter a description for the user.

Password

Enter the password for the user account with which the user will log in to MailShelf. You can view or hide the entered password by clinking the button next to this field.

Confirm Password

For security reasons, you must re-enter the password for the user account. You can view or hide the entered password by clinking the button next to this field.

User must change password at next log on

Specifies that the user must change the password for the user account on at next logon and the previous one is therefore no longer valid and can not be used for further logons.

User cannot change password

Specifies that the user will not be able to change the user account password. A modification of the user account password must therefore be carried out manually by an administrator.

User is administrator

Specifies that the user is an administrator with unrestricted rights.

Account is disabled

Specifies that the user account is disabled and can not be used for logons.

User has web access

Specifies that the user can sign in to MailShelf Web Access.

Assignments

In the Assignments tab, the user can be granted profile and archive assignments on which this access should be obtained. This tab is not available to administrators, since they already have full rights.

Profiles

Select the profiles on which the user should be granted access. You can only select profiles that have already been created in the Profiles section.

Archives

Select the archives on which the user should be granted access. You can only select archives that already exist in the entire archive.

Privileges

In the Privileges tab, the user can be assigned the desired application rights so that you can control exactly how the user is authorized and what is not. This tab is not available to administrators, since they already have full rights.

Privilege

Describes the internal application name of the corresponding privilege.

Description

Describes the privilege in detail.

By right-clicking on the overview, you can access the context menu, which offers you further options:

Select All

Selects and enables all user privileges.

Clear All

Disables all currently enabled user privileges.


Client Access Licenses

When operating MailShelf Server in a multi-user environment, MailShelf Server provides you the possibility to add client access licenses with which you can increase the maximum number of possible MailShelf user accounts individually and as required.

Additional client access licenses can be added at any time. For more information about client access licenses, click here.

License Overview

The license overview shows you all currently available client access licenses for your MailShelf Server installation. Your actual MailShelf Server product key already contains a certain number of allowed users, which is also displayed here.

Product Name

Displays the product name of the corresponding client access license, e.g. MailShelf Server or MailShelf CAL.

Product Key

Displays the product key of the corresponding client access license.

Users

Displays the number of allowed users of the corresponding client access license.

A right-click on the license overview opens a context menu, which offers you further options:

Add License

Opens a new window where you can enter the product key of a client access license to add it to your installation.

Please note that a newly added client access license does not replace an existing client access license, but is additionally added, thus extending the maximum number of allowed users.

For example, if a client access license with up to 10 allowed users is already available and another client access license with up to 25 allowed users is added, the end result is a user limit of 35 allowed users.

There is no restriction as to the number of client access licenses. Thus an unlimited number of client access licenses can be added to a MailShelf server installation.

Remove License

Allows you to remove the selected client access license(s) from your installation.

However, client access licenses can not be removed if more users than licenses are available. In such a case, the appropriate number of users must first be deleted before the corresponding client access license can be removed.


Client Configuration

Specify the client configuration that should applied to clients connecting to a MailShelf Server installation. All settings made here will be applied to every client that connect to this MailShelf Server installation.

Deploy via File System

Specify the file path in which you want to deploy MailShelf Client. This can be a local or a network path. After selecting the file path, MailShelf Client will be deployed to exactly this location so your users can install MailShelf Client on their system.

If you haven't deployed MailShelf Client before, it will automatically being downloaded and deployed afterwards.

Update Management

Specify how users connected to a MailShelf Server installation can update their clients.

User Decision

Specifies that the user can decide by itself if and how its client should be updated.

Install Automatically

Specifies that all clients connected to the server will automatically install available updates.

Check Automatically

Specifies that all clients connected to the server will automatically check for new updates but without installing them automatically. The user can install available updates manually.

Disabled

Specifies that updates for clients connected to the server are disabled.


User Activity Logging

The user activity logging is used to determine the user activity to be logged and to view logged user activities. User activity logging is organized into two tabs:

Settings

In the Settings tab, you define which user activities should be logged.

User Activity

Describes the internal application name of the corresponding user activity.

Description

Describes the appropriate user activity in detail.

By right-clicking on the overview, you can access the context menu, which offers you further options:

Select All

Selects and enables all entries.

Clear All

Disables all currently enabled entries.

User Activity Log

On the User Activity Log tab, you can view logged user activities in detail and filter them if needed.

Date range

Specifies the date range for which the results should be displayed.

User name

Specifies the user for whom the results should be displayed.

Activity type

Specifies the activity type for which the results should be displayed.

Display Results

Displays the result for the selected options.

Results overview

The results overview shows all relevant results based on your selection and separates them according to time stamp, activity type and the user name. By right-clicking on the results overview, you will be offered further options.

Open

Opens a new window that displays detailed information about the selected user activity entry. Double-clicking an entry there copies the value of the clicked user activity to the clipboard, so that it can be used further.

Delete

Deletes all selected user activity entries.

Delete all

Deletes all user activity entries.


Email Alerts

MailShelf can easily inform you of the result of various events by email. In order to sent such email notifications to you, the corresponding settings must be made.

Settings

In the Settings tab, you specify the email account to be used to send notifications.

Email from

Enter the sender address for email notifications. This is the email address from which the messages are sent.

Email to

Enter the recipient address of the email notifications. This is the email address that receives all email notifications. Multiple receivers can also be entered by comma-separating them.

Outgoing mail server (SMTP)

Enter the email server to be used (SMTP server), e.g. "smtp.mydomain.tld".

Port

Enter the port of the email server, e.g. "25".

Timeout

Enter a timeout value in seconds. This value determines that the specified number of seconds that is to be waited or retried before an error is displayed.

SSL Mode

Select the SSL mode to specify in which way the connection should switch into TLS/SSL mode.

SSL Protocol

Select the SSL protocol to be used for performing TLS/SSL negotiation and data encryption.

User name

Enter the user name for the corresponding email account.

Password

Enter the password for the corresponding email account.

Test Account

Tests the connection to the specified email server, while ensuring that the specified email account information is valid. The result of the connection test can be found in the corresponding final report which is displayed afterwards.

Notifications

In the Notifications tab, you select the type of notifications you would like to be notified by email.

Send notification upon operation's successful completion

Select this option if you want to receive an email notification when the task completes.

Send notification upon operation failure

Select this option if you want to receive an email notification when the task fails.

Send notification when user interaction is required

Select this option if you want to receive an email notification when the application requires your interaction.

Send notification when new updates are available

Select this option if you want to receive an email notification when new application updates are available.

Add full log to the notification

Select this option if every email notification should contain a full log of the task. Please note that a full log can be very large so it could be rejected by your email account provider due to size restrictions.

Send archiving report to the users' mailbox

Select this option if you want to send detailed reports about the archived emails to the users' mailbox after archiving.

History

In the History tab, you can view all sent email notifications.

Date range

Specifies the date range for which the results should be displayed.

User name

Specifies the user for whom the results should be displayed.

Display Results

Displays the result for the selected options.

Results overview

The results overview shows all relevant results based on your selection and separates them according to time stamp, recipient and the subject of the email notification. Double click on an entry to view the contents of the sent email notification.


Web Access

MailShelf Server allows you to enable MailShelf Web Access which makes MailShelf Server available on the web and also allows client to quickly connect to the MailShelf Server installation without the need of manually entering the database credentials.

Status

Displays the status of MailShelf Web Access. You can click on a specific status to change it.

Enabled

Means that MailShelf Web Access is up and running and listens for client connections.

Disabled

Means that MailShelf Web Access is disabled and no clients can connect to it.

Microsoft IIS Health

Displays the health and the status of Microsoft IIS. MailShelf Web Access relies on Microsoft IIS while Microsoft IIS Express isn't supported.

Installation Status

Displays the installation status of Microsoft IIS. If it is currently not installed, you can click the Install link to automatically install it.

Online Status

Displays the online status of Microsoft IIS.

Version

Displays the installed version of Microsoft IIS.

Microsoft IIS Website Summary

Displays a quick summary of the MailShelf Web Access website added to Microsoft IIS.

Web Site

Displays the Microsoft IIS website name of MailShelf Web Access. Click Configure to configure the website.

Application Pool

Displays the Microsoft IIS application pool of MailShelf Web Access.

Web Access URL

Displays the URL where clients can connect to MailShelf Web Access. You can click on the URL to open it in your web browser.

Machine Name

Displays the local machine name/the local host name of the server where Microsoft IIS as well as MailShelf Server is installed.

Ports

Displays the specified port numbers of the MailShelf Web Access website in Microsoft IIS.

Client Quick Connect

Specifies if MailShelf Client can simply connect to MailShelf Server without entering database details but by simply entering the MailShelf Web Access URL in order to retrieve the necessary database details.

Status

Displays the status of the feature. You can enable or disable it by simply clicking on it.

Password

Allows to set a connection password that has to be entered by the user configuring MailShelf Client on its computer. Enabling this option is recommended if you plan to remotely deploy MailShelf Client.


Backup and Recovery

When operating MailShelf in a single-user environment, MailShelf provides you backup and recovery options that enables you to back up and restore your entire MailShelf database, which contains all the emails and settings so that any data loss can be avoided. When operating MailShelf in a multi-user environment, please ensure to regularly perform backups through the database backup feature of your database server or by using 3rd party backup applications.

Backup

Allows you to backup your MailShelf database.

Backup location

Click the "Browse..." button to select the data path in which the backup should be stored.

Password (optional)

To protect your backup against unauthorised access, you can enter a password for encrypting the backup file. Please remember the password. If you forget the password, you will not be able to restore the backup at a later time.

Confirm password

If you have entered a password in the previous step, please re-enter it here for security reasons.

Backup now

Performs the backup. Depending on how many e-mails are in the archive, this process can take a certain amount of time, with enormous archives also several hours.

Recover

Allows you to recover your MailShelf database.

Backup file location

Click the "Open..." button to select the backup file that should be recovered.

Enter password

If the backup file has been encrypted with a password while creating the backup, please enter the password here.

Recover now

Recovers the email archive from the selected backup file and also restores all data.


Database Settings

In the database settings, you can specify the database provider that should be used. Which database provider should be selected depends on your personal needs. If you plan to archive huge amounts of data, e.g. several million emails, you should always use MariaDB Server whenever possible because it will work faster and more efficiently than the internal database and is available for free. The internal database can easily be used for medium-sized data amounts, e.g. up to one million emails but even then, it will run slower than a MariaDB database server.

Database Provider

Specifies the database provider to be used with MailShelf.

Internal Database

Determines that the application-internal database, based on SQLite, should be used for storing the data.

MariaDB Server

Determines that MariaDB Server should be used for storing the data. To learn more about to install and configure MariaDB, please click here.

Save Database Settings

Click this button to save your database settings. MailShelf will restart automatically after saving your database settings.

MariaDB Server Properties

Allows you to specify the necessary MariaDB properties. Click here to learn more about it.


Help and Support

Documentation

Opens the product documentation of the application.

Knowledge Base

Opens the zebNet Knowledge Base as a new website in your browser.

Technical Support

Displays you technical support options when having trouble with the application.


Additional Options

<USERNAME>

When operating MailShelf in the multi-user environment, the first entry is the user name of the currently sign in user. This contains a sub-menu:

Change Password

Opens a new window where the password of the currently sign in user can be changed.

Automatic Logon

Enabled or disables the automatic logon.

Sign out

Logs out the currently logged-in user, allowing another user to log in.

Product Registration

Opens a new website in your browser where you can register your product.

Enter License Key

Displays the application registration/activation form where a new product key can be entered. This might be useful if you wish to convert a free trial version into a full version.

Deactivate License Key

Allows you to deactivate your currently used license key in order to get it activated on another computer.

Software Updates

Checks if a newer version of the application is available.

Share your Ideas

Opens a new website in your browser where you can share your ideas with us. This way you can tell us what we can do better with a future release of the application of what you are currently missing in the application.

Report a Bug

Opens a new website in your browser where you can report application errors to us.

zebNet's Website

Opens the zebNet website in your browser.

About

Opens the about screen with advanced information about the application and its properties.

About

Displays the application name, edition name as well as the application version number. It also displays the currently used license and the type of license e.g. "Single User License".

Credits

Displays some credits and third party software notices as well as partner information (if any).

System Information

Displays detailed information about your system that might be useful when contacting technical support.

Copy

Copies the displayed system information to your clipboard so you can paste it somewhere else.

Save

Saves the displayed system information as text file so you can send it to someone e.g. send it by email to technical support.

Technical Support

Displays technical support options and information how to get in contact with technical support. This tab also displays the expiry date of your Update & Support Subscription and also contains information how to renew the Update & Support Subscription. The Renew link on the bottom of this tab opens the Update & Support Subscription Renewal Wizard where you can renew your current Update & Support Subscription.

Updates

Allows you to check for updates and to install any available update. It also displays the date and the time of the last successful update installation. This tab also displays the expiry date of your Update & Support Subscription and also contains information how to renew the Update & Support Subscription. The Renew link in the middle of this tab opens the Update & Support Subscription Renewal Wizard where you can renew your current Update & Support Subscription. If "Automatically check for updates" is enabled, zebNet Backup automatically checks for available updates when starting it but not more than once a day. If you wish to check for updates more than once a day, you manually need to click the "Check for updates" button.


Compatible Applications and Systems

MailShelf is compatible with a variety of applications, systems, and services, which are listed below.

Public Cloud Services

MailShelf is fully compatible with Microsoft 365 and Google Workspace, so that your emails from those platforms can also be archived easily and conveniently.

Email Servers

MailShelf is compatible with any available email server that supports the POP3/IMAP4 standard.

Email Providers

MailShelf is compatible with every email provider available worldwide, including those that require the OAuth 2.0 authentication method, such as outlook.com, gmail.com, yahoo.com, etc.

Microsoft Exchange Server

MailShelf is fully compatible with the following Microsoft Exchange server versions:

  • Microsoft Exchange Server 2007
  • Microsoft Exchange Server 2010
  • Microsoft Exchange Server 2013
  • Microsoft Exchange Server 2016
  • Microsoft Exchange Server 2019
  • Microsoft Exchange Server Subscription Edition (SE)

You may use a non-supported version (a lower version) of Microsoft Exchange with MailShelf and it might work but we don't recommend it and thus don't support such a configuration. If you need to use a lower than the required version of Microsoft Exchange, we recommend to also use a lower version of MailShelf e.g. MailShelf v1. We don't offer any downgrade right (e.g. downgrade from version 2.0 to version 1.0) so if you need to purchase a legacy product which is not actively marketed, please contact us by email at info@zebnet.co.uk

Email Clients

MailShelf is compatible with the most important and widely used email programs, which are listed below:

Microsoft Outlook (Classic)

  • Microsoft Outlook 2016

  • Microsoft Outlook 2019

  • Microsoft Outlook 2021

  • Microsoft Outlook 2024

  • Microsoft 365 Outlook Desktop App

Mozilla Thunderbird

MailShelf is fully compatible with Mozilla Thunderbird 91 or higher.

Mozilla SeaMonkey

MailShelf is fully compatible with Mozilla SeaMonkey 2 or higher.

Postbox

MailShelf is fully compatible with Postbox 5 or higher.

You may use a non-supported version (a lower version) of an email client with MailShelf and it might work but we don't recommend it and thus don't support such a configuration. If you need to use a lower than the required version of an email client, we recommend to also use a lower version of MailShelf e.g. MailShelf v1. We don't offer any downgrade right (e.g. downgrade from version 2.0 to version 1.0) so if you need to purchase a legacy product which is not actively marketed, please contact us by email at info@zebnet.co.uk

Email Files

MailShelf is fully compatible with the most widely used email files/email formats worldwide, which are listed below:

  • RFC822 compatible EML files (.eml)
  • Microsoft Outlook compatible MSG files (.msg)
  • Microsoft Outlook Data Files (.pst)
  • Microsoft Offline Outlook Data Files (.ost)
  • Microsoft Outlook Express Databases (.dbx)
  • Email Mailbox Files (.mbox)

To ensure continued compatibility with the listed services, servers, applications, and file formats, it is recommended to always have a valid Update & Support subscription so that future versions are also supported by your MailShelf installation.

The services, servers, applications, and file formats listed are constantly evolving, so you may encounter incompatibilities if you have an expired Update & Support subscription.

For services, servers, applications, and file formats that are updated after your Update & Support subscription expires, we cannot guarantee continued compatibility.

Compatible Database Servers

MailShelf is compatible with the following database servers for storing the email archive:

  • MariaDB 5.5

  • MariaDB 10

  • MariaDB 11

  • MariaDB 12

  • MySQL Server 5.7

  • MySQL Server 8.0

  • MySQL 8.4

  • MySQL 9.5

Incompatible Applications and Systems

Some applications and systems are not directly compatible with MailShelf. These are listed below:

  • eM Client
    The "eM Client" application is currently not directly compatible with MailShelf, because it has an opaque database structure that is currently not publicly documented. However, active support for this application is planned, and we are already working on this database structure in order to achieve compatibility as quickly as possible. Until full support is available, mailboxes can be archived using methods such as IMAP4.

  • Mailbird
    The "Mailbird" application is currently not directly compatible with MailShelf, because it has an opaque database structure that is currently not publicly documented. However, active support for this application is planned, and we are already working on this database structure in order to achieve compatibility as quickly as possible. Until full support is available, mailboxes can be archived using methods such as IMAP4.

  • Outlook for Windows/Modern Outlook
    The application "Outlook for Windows" or "Modern Outlook" is simply a "Progressive Web App (PWA), a web application. This application does not store the emails displayed to you locally, but retrieves them in real time via the internet. Since there are no local emails in the application's internal memory, they cannot be archived. This application accesses your emails using IMAP4, among other methods. To archive the emails displayed there in MailShelf, simply add the email mailboxes to MailShelf using IMAP4 as well.


Creating a service account in Google Cloud Console

Before you are able to access Google Workspaces mailboxes either for archiving or exporting purposes, you must create a Google service account. There are some steps involved in this process which are outlined below.

Prepare a service account

The first step is to prepare a service account in Google Cloud Console. The process is outlined below:

  1. Visit the Google Cloud Console and select the corresponding project you wish to create a service account for.
  2. Click on "Create service account" and enter a service account name like "MailShelf". The service account ID field should be filled automatically.
  3. The newly created service account now appears in the overview. Click the three dotted menu and select "Manage keys".
  4. Now the Keys overview appears. Click on "Add key" and select "Create new key" and "JSON" as key type then click "Create" to automatically download the key file.

When creating a new service account, make sure to enable domain-wide delegation. Also, remember the generated value of Client ID (in Domain-wide Delegation section) which is SomeID.apps.googleusercontent.com. The e-mail address of the service account will be SomeID@developer.gserviceaccount.com. SomeID itself looks like 01234567890-j348a3hnsd8923hs78mkdu3no5i2dk72.

Go to the Google Admin Console and grant your newly created service account the permission to access email via IMAP/SMTP:

  • Specify your SomeID.apps.googleusercontent.com as Client Name.
  • Specify https://mail.google.com/ as the scope value. Do NOT remove trailing slash character in that URL!

MailShelf is now able to connect to Google Workspace mailboxes. If you are having problems with the process, please contact zebNet Technical Support in order to request assistance.


Registering a client application in Microsoft Entra ID

Before you are able to access Microsoft 365 mailboxes either for archiving or exporting purposes, you must register a client application in Microsoft Entra ID. There are some steps involved in this process which are outlined below.

Register an application

The first step is to register an application on the Microsoft Entra admin center. The process is outlined below:

  1. Sign-in into the Microsoft Entra admin center as Global Administrator.
  2. On the left menu/navigation menu, click on "Entra ID".
  3. Click on "App registrations".
  4. Click on "New registration" so the view "Register an application" is being displayed.
  5. Enter a name for the application like "MailShelf".
  6. Under "Supported account types", select who can use the application. If you are unsure, just leave the default value enabled.
  7. Click on "Register" to actually register the application.

Now, the "App registrations" page displays the newly registered application. Click on the application to view its properties. Copy the values of "Application (client) ID" as well as of "Directory (tenant) ID" and note them. You will need this values to create a Microsoft 365 profile in MailShelf.

Creating credentials

In order being able to connect to a Microsoft 365 mailbox, MailShelf also asks you to enter a Secret which needs to be created in the Microsoft Entra admin center. The process to create a secret for your application is outlined below:

  1. Go to "App registrations" and click on the application, e.g. "MailShelf" so the application properties page is being displayed.
  2. Select "Certificate & secrets" on the section "Manage".
  3. Click on "New client secret" and enter a description for the secret like "MailShelf" and select when the secret expires.
  4. Click "Add" to add the secret.

The value of the secret is also required to make a connection. You should now have 3 values by hand:

  • Application (client) ID
  • Directory (tenant) ID
  • Secret

Don't delete this information. You will need it every time you want to connect to Microsoft 365

Configuring API permissions

The last step before MailShelf can connect to Microsoft 365 is to configure the API permissions in the Microsoft Entra admin center. The process to configure API permissions is outlined below:

  1. Go to "App registrations" and click on the application, e.g. "MailShelf" so the application properties page is being displayed.
  2. Select "API permissions" on the section "Manage".
  3. Click on "Add a permission" -> "Microsoft Graph" and add the following permissions: email, IMAP.AccessAsUser.All, offline_access, POP.AccessAsUser.All, profile, SMTP.Send, User.Read

After configuring the API permissions, MailShelf is now able to connect to Microsoft 365. If you are having problems with the process, please contact zebNet Technical Support in order to request assistance.


How to keep my email archive from a previous version?

MailShelf v2 uses a new and better database structure for performance and security purposes so you can't simply transfer your emails archived with MailShelf v1 out of the box to MailShelf v2 but you need to manually transfer them to MailShelf v2.

The simplest and easiest way is to use a MailShelf Archive File, a new file format introduced in MailShelf v2 which contains all necessary archive data and information of your email archives making it incredibly easy to transfer all of your emails to MailShelf v2.

MailShelf v1 does not natively support MailShelf Archive Files so you need a separate application in order to create MailShelf Archive Files for a MailShelf v1 archive. The MailShelf Archive File Creator is a small but very useful tool if you wish to easily transfer your emails from MailShelf v1 to MailShelf v2.

Please download and install MailShelf Archive File Creator and follow the process in order to transfer your emails.

MailShelf Archive File Creator is free for those users who currently have a valid Update & Support Subscription for MailShelf v1. If you don't have a valid Update & Support Subscription for MailShelf v1, you can purchase a license for MailShelf Archive File Creator.

If you won't use MailShelf Archive File Creator to transfer your emails, you can simply use the export feature of MailShelf v1 and the import feature of MailShelf v2 to export and import your emails from MailShelf v1 to MailShelf v2.

For the best results however, we recommended the use of MailShelf Archive File Creator.


MariaDB Server

Configuring MariaDB in MailShelf is simple and straight-forward. Simply make sure to have your database credentials by hand in order to configure it.

MariaDB Hostname or IP

Enter the host name or the IP address of your MariaDB database server.

Test Database Connection

Click to test the connection to the specified database server.

Install MariaDB Database Server

Click to automatically install MariaDB database server on the local machine.

Port

Enter the specified port of the database server, like "3306".

User Name

Enter the user name of the specified database user.

Password

Enter the password of the specified database user.

Select or enter a Database Name

Specify the database on the database server that should be used for storing your email archive. You can either manually enter a database name to create a new database or use the "Refresh Databases" button to select an existing database on the server that should be used for storing your email archive.


SSL Modes and Protocols

MailShelf allows you to fine-tune TLS/SSL settings being used to make server connections making it possible to connect to every mail server. Every mail server may have its own unique TLS/SSL configuration so it's important to understand the available options.

SSL Modes

Specifies in which way MailShelf should switch the connection into TLS/SSL mode.

Manually

An unencrypted connection will be made to the server.

STARTTLS

MailShelf will automatically call STARTTLS method when appropriate. No dedicated SSL/TLS port is required (the connection should be made to the regular ports). STARTTLS approach provides the same security level as "When Connecting". However, the mail server must support STARTTLS (STLS for POP3) extension.

STARTTLS (If Supported)

Similar to STARTTLS but does not require the server support STARTTLS. If the server supports STARTTLS, MailShelf will use it. If STARTTLS is not supported, MailShelf will not issue this command and the entire session will not be encrypted.

When Connecting

The entire conversation with the mail server will take place under TLS/SSL layer. A dedicated TLS/SSL port on the mail server (usually, 465 for SMTP, 995 for POP3, and 993 for IMAP4) is required.

SSL Protocols

Specifies the protocols to be used for performing TLS/SSL negotiation and data encryption.

Automatically

The most secure protocol supported by the server will be used to authenticate the client and encrypt the data (if it's available and set). If it's not set or set to the value which permits the usage of a highly vulnerable SSL 3.0 protocol, Automatically (TLS) will be tried instead. For better security, you can set TLS 1.2 or TLS 1.3 explicitly.

Automatically (TLS)

TLS 1.2 will be used if supported by the server. If not, it falls back to TLS 1.1 and if it's not supported either, it falls back to TLS 1.0. SSL 3.0 and its predecessors will not be tried anyway. This option is a decent trade-off between security and compatibility. This option does not try TLS 1.3 as it's not well supported by mail servers yet.

SSL 2.0

SSL 2.0 will be used to authenticate the client and encrypt the data.

SSL 3.0

SSL 3.0 will be used to authenticate the client and encrypt the data.

TLS 1.0

TLS 1.0 will be used to authenticate the client and encrypt the data.

TLS 1.1

TLS 1.1 will be used to authenticate the client and encrypt the data.

TLS 1.2

TLS 1.2 will be used to authenticate the client and encrypt the data.

TLS 1.3

TLS 1.3 will be used to authenticate the client and encrypt the data.

Default values for most modern mail server are "When Connecting" as SSL mode as well as "Automatically" as SSL protocol. With these settings, you should be able to connect to almost every modern mail server.

Please note that the mail server as well as your operating system must support the SSL/TLS version you have set in SSL Protocol. It might be necessary to manually enable the desired SSL/TLS version in your operating system before you are able to make connections to the server.

TLS 1.3 is a kind of a new protocol that's currently not well supported by both email servers as well as Windows operating systems. TLS 1.3 is enabled by default in Windows 11 but disabled by default in Windows 10 since it's not fully supported in Windows 10.

Also note that Windows 10 version 1903 or higher is required in order to enable TLS 1.3. You are not able at all to enable TLS 1.3 in Windows 7 or Windows 8.1.

TLS 1.2 is available but disabled by default in Windows 7 and Windows 8.1 but the MailShelf Setup Wizard will automatically enable it when installing MailShelf on a Windows 7 or Windows 8.1 system.


How to upgrade from a previous version?

Users of a previous version of MailShelf can upgrade to version 2 in few simple steps and directly through the Product Key Upgrade Wizard that's integrated into MailShelf version 2. Using this wizard, your product key of the previous version will be replaced with a new product key for version 2.

Before performing an upgrade to version 2, make sure to have your existing email archive ready for version 2. Click here to learn more about it.

To start the upgrade process for your product key, simply start MailShelf version 2 and enter your version 1 product key in the activation window. The application automatically detects the given product key and starts the Product Key Upgrade Wizard.

Just follow the instructions of the wizard and your product key will be upgraded in few moments so you are able to use MailShelf version 2.

Please note that some conditions outlined below must be met in order to being able to exchange/upgrade your product key. If one or more conditions aren't met, you won't be able to receive a new product key for version 7:

You must be a user of MailShelf version 1

We can only offer upgrades for users currently using MailShelf version 1. If you are using a lower version, you won't be able to upgrade/exchange your product key since this is an unsupported upgrade path.

Have an activated product key

The product key that you wish to upgrade needs to be activated in version 1 before running the upgrade process. If you have a version 1 product key that has never been activated with version 1, activate it with the version 1 product in order to run the upgrade wizard. If you try to upgrade a product key that has never been activated before, the upgrade process will fail.

Have a valid Update & Support Subscription

It's mandatory that your Update & Support Subscription is valid and not expired. If your subscription already expired, your are not entitled for a free upgrade and you will need to purchase a new license if you want to use MailShelf version 2.

Have your account details by hand

Make sure you have your zebNet Account details by hand since you will need to sign in into your account during the upgrade process. The new exchanged product key will automatically registered with your account while performing the upgrade.

Have a registered product

We can only offer upgrades for products that are registered with your zebNet Account. If the product you wish to upgrade isn't registered yet, please register it before starting the upgrade process otherwise, the upgrade process will fail.

Important note: After exchanging/upgrading your product key to version 2, the product key for the previous version becomes unusable so you can't use it again. The upgrade process is irreversible so only perform an upgrade if you really wish to do so. Also note that trial licenses can't be upgraded. Ensure to have your email archive exported or backed up before starting the process since you won't be able to access v1 afterwards.

Important note for users of MailShelf Basic v1 and MailShelf Standard v2:

With MailShelf v2, we have consolidated and simplified the available editions. MailShelf Basic and MailShelf Standard have now been combined into a new edition, MailShelf

Essentials.

For a free upgrade within your Update & Support subscription, the following upgrade paths are available to you for these two editions:

  • MailShelf Basic v1 to MailShelf Essentials v2
  • MailShelf Standard v1 to MailShelf Essentials v2


Update & Support Subscription Renewal Wizard

The application features a Update & Support Subscription Renewal Wizard making it incredibly easy for you to renew your Update & Support Subscription before it expires.

To renew your Update & Support Subscription you will need a renewal key that matches with your current license. For example, you can't renew a family license with a renewal key for a single user license. If you are unsure about your license, the Update & Support Subscription Renewal Wizard offers you a direct link to purchase the required and correctly matching renewal key.

Note that the renewal key differs from your product key so keep in mind that these are two different things. A product key is being used to unlock and activate the application while a renewal key is being used to renew the Update & Support Subscription of the product. Note that you cannot unlock and activate the application with a renewal key.

  1. When seeing the Update & Support Subscription Renewal Wizard please carefully read all given information and click the "Next" button to proceed.
  2. The window "Enter Renewal Key" asks for your renewal key. Please enter your renewal key in the box and click the "Next" button. If you don't have a renewal key yet, click the "Buy Now" link to purchase a renewal key.
  3. That's all. Your Update & Support Subscription has been renewed and your new expiry date is shown below.

Some conditions outlined below must be met in order to being able to renew your Update & Support Subscription:

Have a matching renewal key

The renewal key you have must be match with the license type of the product key you want to renew. If you are currently using a family license of the application, you will need a matching renewal key for this license. You can't renew your family license with a renewal key for a single user license or vice versa. Therefore, make sure that you have the correct renewal key. If necessary, you can purchase a matching renewal key through the Update & Support Subscription Renewal Wizard.

Have a valid Update & Support Subscription

It is mandatory that the Update & Support Subscription to be renewed isn't expired since it isn't possible to renew it after it has already expired so make sure that you renew it before it actually expires. The application displays you few reminders before your subscriptions expires.